jQuery(document).ready(function ($) {
    
	jQuery("#am_product_nav a").click(function(){
      
	   jQuery(".navbar-toggle").click();
	   
});

	
	$("#contextual-help-link").click(function () {
        $("#contextual-help-wrap").css("cssText", "display: block !important;");
    });
    $("#show-settings-link").click(function () {
        $("#screen-options-wrap").css("cssText", "display: block !important;");
    });
	
	if ($('.am_lesson_comments_section form').length) {
        $('.am_lesson_comments_section form').each(function () {
            $(this).submit(function (event) {
                event.preventDefault();
                //serialize and store form data in a variable
                am_submit_comment($(this));
            });
        });
    }
    $.fn.hasScrollBar = function () {
        return this.get(0).scrollHeight > this.height();
    }
    if ($('.am_product_modules_container').length) {
        if (!$('.am_product_modules_container').hasScrollBar()) {
            $(".am_product_adv").css('margin-right', '0px');
        }
    }
    if ($('.am_color_picker').length) {
        $('.am_color_picker').wpColorPicker();
    }
    if ($(".am_datepicker").length) {
        $(".am_datepicker").datetimepicker("destroy");
        $(".am_datepicker").datetimepicker({
            format: "d.m.Y H:i"
        });
    }
    if ($("#toplevel_page_am").length) {
        var content = $("#toplevel_page_am li:last-child").html();
        var class_name = $("#toplevel_page_am li:last-child").attr('class');
        $("#toplevel_page_am li:last-child").remove();
        if (class_name != '') {
            $('<li class="' + class_name + '">' + content + '</li>').insertAfter("#toplevel_page_am li.wp-first-item");
        }
        else {
            $('<li>' + content + '</li>').insertAfter("#toplevel_page_am li.wp-first-item");
        }
    }
    if ($("#am_product_option_detail").length) {
        $("#am_product_option_detail").click(function () {
            $(".am_product_detail").show();
            $(".am_product_design").hide();
            $(".am_login_design").hide();
            $("#am_product_option_design").removeClass('active');
            $("#am_login_design").removeClass('active');
            $("#am_product_option_detail").addClass('active');
            return false;
        });
    }
    if ($("#am_product_option_design").length) {
        $("#am_product_option_design").click(function () {
            $(".am_product_detail").hide();
            $(".am_login_design").hide();
            $(".am_product_design").show();
            $("#am_product_option_detail").removeClass('active');
            $("#am_login_design").removeClass('active');
            $("#am_product_option_design").addClass('active');
            return false;
        });
    }
    if ($("#am_login_design").length) {
        $("#am_login_design").click(function () {
            $(".am_product_detail").hide();
            $(".am_product_design").hide();
            $(".am_login_design").show();
            $("#am_product_option_detail").removeClass('active');
            $("#am_product_option_design").removeClass('active');
            $("#am_login_design").addClass('active');
            return false;
        });
    }
    if ($("#am_product_modules").length) {
        $("#am_product_modules").change(function () {
            if ($(this).val() != "") {
                var ajax_obj = $(this).next(".am_ajax_loader");
                ajax_obj.css('display', 'inline-block');
                var module_id = $(this).val();
                if ($("#am_product_modules_list #am_product_arch_mod_row" + module_id).length) {
                    alert('You already added that module');
                    ajax_obj.css('display', 'none');
                    return;
                }
                var data = {
                    action: 'am_load_product_module'
                    , id: module_id
                };
                $.post(ajaxurl, data, function (response) {
                    if (!response['error']) {
                        if (response['content'] != '') {
                            if ($("#am_product_modules_list .am_product_arch_mod_row").length) {
                                $("#am_product_modules_list").append(response['content']);
                            }
                            else {
                                $("#am_product_modules_list").html(response['content']);
                            }
                            eval(response['js']);
                            am_detect_coins($("#enable_coins"));
                            am_detect_days_delay($("#enable_delay_access"));
                            am_detect_sumit_mod($("#enable_sumit"));
                            am_detect_evergreen_mod($("#enable_evergreen"));
                        }
                    }
                    else {
                        alert(response['content']);
                    }
                    ajax_obj.css('display', 'none');
                });
            }
        });
    }
    if ($("#am_offer_product").length) {
        $("#am_offer_product").change(function () {
            if ($(this).val() != "") {
                var product_id = $(this).val();
                if (!$(".offer_product_" + product_id + "_lesson").length) {
                    var ajax_obj = $(this).next(".am_ajax_loader");
                    ajax_obj.css('display', 'inline-block');
                    var data = {
                        action: 'am_load_product'
                        , id: product_id
                    };
                    $.post(ajaxurl, data, function (response) {
                        if (!response['error']) {
                            if (response['content'] != '') {
                                if ($("#am_product_modules_list .am_product_arch_mod_row").length) {
                                    $("#am_product_modules_list").append(response['content']);
                                }
                                else {
                                    $("#am_product_modules_list").html(response['content']);
                                }
                                eval(response['js']);
                            }
                        }
                        else {
                            alert(response['content']);
                        }
                        ajax_obj.css('display', 'none');
                    });
                }
                else {
                    alert("This product added already");
                }
            }
        });
    }
    if ($("#enable_delay_access").length) {
        $("#enable_delay_access").click(function () {
            am_detect_days_delay($(this));
        });
        am_detect_days_delay($("#enable_delay_access"));
    }
    if ($("#enable_coins").length) {
        $("#enable_coins").click(function () {
            am_detect_coins($(this));
        });
        am_detect_coins($("#enable_coins"));
    }
    if ($("#enable_sumit").length) {
        $("#enable_sumit").click(function () {
            am_detect_sumit_mod($(this));
        });
        am_detect_sumit_mod($("#enable_sumit"));
    }
    if ($("#enable_evergreen").length) {
        $("#enable_evergreen").click(function () {
            am_detect_evergreen_mod($("#enable_evergreen"));
        });
        am_detect_evergreen_mod($("#enable_evergreen"));
    }
    if ($(".am_product_add_module_button").length) {
        $(".am_product_add_module_button").click(function () {
            var ajax_obj = $(this).next(".am_ajax_loader");
            ajax_obj.css('display', 'inline-block');
            var data = {
                action: 'am_add_product_module'
                , name: $("#am_product_add_module").val()
            };
            $.post(ajaxurl, data, function (response) {
                if (!response['error']) {
                    if (response['content'] != '') {
                        $("#am_product_add_module").val('');
                        $(".am_product_modules").append(response['content']);
                        //alert('Module added successfully, please select modules from above select box.');
                        var data = {
                            action: 'am_load_product_module'
                            , id: response['id']
                        };
                        $.post(ajaxurl, data, function (response) {
                            if (!response['error']) {
                                $(".am_ajax_loader").hide();
                                if (response['content'] != '') {
                                    if ($("#am_product_modules_list .am_product_arch_mod_row").length) {
                                        $("#am_product_modules_list").append(response['content']);
                                    }
                                    else {
                                        $("#am_product_modules_list").html(response['content']);
                                    }
                                    eval(response['js']);
                                    am_detect_coins($("#enable_coins"));
                                    am_detect_days_delay($("#enable_delay_access"));
                                    am_detect_sumit_mod($("#enable_sumit"));
                                    am_detect_evergreen_mod($("#enable_evergreen"));
                                }
                            }
                            else {
                                alert(response['content']);
                            }
                            //ajax_obj.css( 'display', 'none' );
                            $(".am_ajax_loader").hide();
                        });
                    }
                }
                else {
                    //ajax_obj.css( 'display', 'none' );
                    $(".am_ajax_loader").hide();
                    alert(response['content']);
                }
                //ajax_obj.css( 'display', 'none' );
            });
            return false;
        });
    }
    if ($(".am_lesson_link").length) {
        $(".am_lesson_link").click(function () {
            var selected_obj = $(this);
            var lesson = $(this).attr('id');
            $(".am_lesson_content_container .am_lesson_ajax_loader").css("display", "inline-block");
            var data = {
                action: 'am_load_lesson_contents'
                , lesson: lesson
            };
            $.post(am_js_values.ajax_url, data, function (response) {
                $(".am_lesson_content_container .am_lesson_ajax_loader").hide();
                if (!response.error) {
                    $(".am_lesson_active_link").removeClass('am_lesson_active_link');
                    selected_obj.addClass("am_lesson_active_link");
                    history.replaceState(null, null, '?lesson=' + lesson);
                    $(".am_product_content_area").html(response.content);
                    $(".am_lesson_time_header").html(response.duration);
                    $(".am_lesson_instructor_header").html(response.instructor);
                    document.title = response.title;
                    $('.am_lesson_comments_section form').each(function () {
                        $(this).submit(function (event) {
                            event.preventDefault();
                            //serialize and store form data in a variable
                            am_submit_comment($(this));
                        });
                    });
                    $("html, body").animate({
                        scrollTop: 0
                    }, "slow");
                    quiz_functions();
                }
            });
            return false;
        });
    }
    if ($(".am_product_module_title").length) {
        $(".am_product_module_title").click(function () {
            var mod_content_obj = $(this).next();
            if (mod_content_obj.is(":visible")) {
                mod_content_obj.slideUp();
            }
            else {
                mod_content_obj.show();
                $(".am_product_modules_container").animate({
                    scrollTop: ($(".am_product_modules_container").scrollTop() + 100) + "px"
                });
            }
        });
    }
    if ($(".am_navigation_top .am_product_module_title").length) {
        $(".am_navigation_top .am_product_module_title").unbind("click");
        $(".am_navigation_top .am_product_module_title").mouseover(function () {
            var mod_content_obj = $(this).next();
            if (mod_content_obj.is(":visible")) {
                mod_content_obj.slideUp();
            }
            else {
                $(".am_navigation_top .am_module_content").slideUp();
                mod_content_obj.slideDown();
            }
        });
        $(document).mousemove(function (e) {
            var container = $(".am_product_modules_container");
            if (!container.is(e.target) // if the target of the click isn't the container...
                && container.has(e.target).length === 0) // ... nor a descendant of the container
            {
                $(".am_navigation_top .am_module_content").slideUp();
            }
        });
    }
    if ($(".post-type-lessons #filter-by-date").length) {
        $(".post-type-lessons #filter-by-date").parent().prepend(am_product_filter);
    }
    if ($("#enable_coins").length) {
        if ($("#enable_coins").is(":checked")) {
            am_detect_coins($("#enable_coins"));
        }
        if ($("#enable_delay_access").is(":checked")) {
            am_detect_days_delay($("#enable_delay_access"));
        }
        if ($("#enable_sumit").is(":checked")) {
            am_detect_sumit_mod($("#enable_sumit"));
        }
        if ($("#enable_evergreen").is(":checked")) {
            am_detect_evergreen_mod($("#enable_evergreen"));
        }
    }
    if ($(".am_same_page_obj").length) {
        $(document).on("click", '.am_same_page_obj', function (e) {
            $(".am_same_page_obj.am_active").removeClass("am_active");
            var obj_id = $(this).attr("id");
            var obj_title = $(this).html();
            $(".am_emails_section_title span").html(obj_title);
            $(this).addClass("am_active");
            $(".am_emails_section").hide();
            $("." + obj_id).slideDown();
            var add_new = $(this).attr("data-add-new");
            $(".am_emails_section_addnew").hide();
            if (add_new == 'yes') {
                $(".am_emails_section_addnew").attr("id", obj_id + "_new");
                $(".am_emails_section_addnew").show();
            }
            return false;
        });
    }
    ///////////////////////////////////////////////////////////////////////////////////////////
    $(".am_user_survey").click(function () {
        if ($(this).is(":checked")) {
            var survey_id = $(this).val();
            var data = {
                action: 'am_submit_survey_report'
                , survey_id: survey_id
                , user_action: 'add'
            };
            $.post(am_js_values.ajax_url, data, function (response) {});
        }
        else {
            var survey_id = $(this).val();
            var data = {
                action: 'am_submit_survey_report'
                , survey_id: survey_id
                , user_action: 'remove'
            };
            $.post(am_js_values.ajax_url, data, function (response) {});
        }
    });
    quiz_functions();

    function quiz_functions() {
        $(".take_quiz").click(function () {
            var take_quiz_val = $(this).val();
            var lesson_id = $(this).attr('lesson_id');
            var product_id = $(this).attr('product_id');
            var module_id = $(this).attr('module_id');
            var li_num = $(this).attr('li_num');
            if (take_quiz_val == 'no') {
                var selected_obj = $(this);
                $(".am_lesson_content_container .am_lesson_ajax_loader").css("display", "inline-block");
                var data = {
                    action: 'am_load_lesson_contents_quiz_done'
                    , lesson: lesson_id
                };
                $.post(am_js_values.ajax_url, data, function (response) {
                    $(".am_lesson_content_container .am_lesson_ajax_loader").hide();
                    if (!response.error) {
                        //$(".am_lesson_active_link").removeClass('am_lesson_active_link');
                        $(".am_" + li_num + "_" + module_id).addClass("am_lesson_active_link");
                        //history.replaceState(null, null, '?lesson='+lesson);                    
                        $(".am_product_content_area").html(response.content);
                        $(".am_lesson_time_header").html(response.duration);
                        $(".am_lesson_instructor_header").html(response.instructor);
                        document.title = response.title;
                        $('.am_lesson_comments_section form').each(function () {
                            $(this).submit(function (event) {
                                event.preventDefault();
                                //serialize and store form data in a variable
                                am_submit_comment($(this));
                            });
                        });
                        $("html, body").animate({
                            scrollTop: 0
                        }, "slow");
                    }
                });
                //return false;
            }
            else {
                $(".am_lesson_content_container .am_lesson_ajax_loader").css("display", "inline-block");
                var data = {
                    action: 'am_load_lesson_quiz_questions'
                    , product_id: product_id
                    , lesson_id: lesson_id
                    , module_id: module_id
                };
                $.post(am_js_values.ajax_url, data, function (response) {
                    $(".am_lesson_content_container .am_lesson_ajax_loader").hide();
                    var split_response = response.split('|');
                    $(".am_product_content_area").html(split_response[0]);
                    $(".response_progress_bar").html(split_response[1]);
                    quiz_functions();
                });
            } //End if Take Quiz
        });
        $(".sbt_quiz_answer").click(function () {
            var option_id = $('input[name=quiz_answer]:checked').val();
            var question_id = $(this).attr('question_id');
            var module_id = $(this).attr('module_id');
            var product_id = $(this).attr('product_id');
            var count = $(this).attr('count');
            $(".am_lesson_content_container .am_lesson_ajax_loader").css("display", "inline-block");
            var data = {
                action: 'am_check_question_ans'
                , option_id: option_id
                , question_id: question_id
                , module_id: module_id
                , product_id: product_id
                , count: count
            };
            $.post(am_js_values.ajax_url, data, function (response) {
                $(".am_lesson_content_container .am_lesson_ajax_loader").hide();
                var split_response = response.split('|');
                $("#response_lesson_quiz").html(split_response[0]);
                $(".response_progress_bar").html(split_response[1]);
                quiz_functions();
            });
        });
        $(".quiz_next_question").click(function () {
            var question_id = $(this).attr('question_id');
            var module_id = $(this).attr('module_id');
            var product_id = $(this).attr('product_id');
            var count = $(this).attr('count');
            $(".am_lesson_content_container .am_lesson_ajax_loader").css("display", "inline-block");
            var data = {
                action: 'am_quiz_next_question'
                , question_id: question_id
                , module_id: module_id
                , product_id: product_id
                , count: count
            };
            $.post(am_js_values.ajax_url, data, function (response) {
                $(".am_lesson_content_container .am_lesson_ajax_loader").hide();
                var split_response = response.split('|');
                $("#response_lesson_quiz").html(split_response[0]);
                $(".response_progress_bar").html(split_response[1]);
                quiz_functions();
            });
        });
        $(".am_lesson_link2222").click(function () {
            var selected_obj = $(this);
            var lesson = $(this).attr('id');
            var li_num = $(this).attr('li_num');
            var module_id = $(this).attr('module_id');
            $(".am_lesson_content_container .am_lesson_ajax_loader").css("display", "inline-block");
            var data = {
                action: 'am_load_lesson_contents_quiz_done'
                , lesson: lesson
            };
            $.post(am_js_values.ajax_url, data, function (response) {
                $(".am_lesson_content_container .am_lesson_ajax_loader").hide();
                if (!response.error) {
                    //$(".am_lesson_active_link").removeClass('am_lesson_active_link');
                    $(".am_" + li_num + "_" + module_id).addClass("am_lesson_active_link");
                    history.replaceState(null, null, '?lesson=' + lesson);
                    $(".am_product_content_area").html(response.content);
                    $(".am_lesson_time_header").html(response.duration);
                    $(".am_lesson_instructor_header").html(response.instructor);
                    document.title = response.title;
                    $('.am_lesson_comments_section form').each(function () {
                        $(this).submit(function (event) {
                            event.preventDefault();
                            //serialize and store form data in a variable
                            am_submit_comment($(this));
                        });
                    });
                    $("html, body").animate({
                        scrollTop: 0
                    }, "slow");
                }
            });
            return false;
        });
        $(".repeat_quiz").click(function () {
            var product_id = $(this).attr('product_id');
            var lesson_id = $(this).attr('lesson_id');
            var module_id = $(this).attr('module_id');
            var li_num = $(this).attr('li_num');
            $(".am_lesson_content_container .am_lesson_ajax_loader").css("display", "inline-block");
            var data = {
                action: 'am_load_lesson_quiz_questions'
                , product_id: product_id
                , lesson_id: lesson_id
                , module_id: module_id
            };
            $.post(am_js_values.ajax_url, data, function (response) {
                $(".am_lesson_content_container .am_lesson_ajax_loader").hide();
                var split_response = response.split('|');
                $("#response_lesson_quiz").html(split_response[0]);
                $(".response_progress_bar").html(split_response[1]);
                quiz_functions();
            });
        });
        /*$(".lesson_finished_record").click(function(){
        	
        	var lesson_id = $(this).attr('lesson_id');
        	
        	var data = {
        		action: 'am_finished_lesson_record',
        		lesson_id:lesson_id                     
        	};
        	
        	$.post( am_js_values.ajax_url, data, function( response ) {
        		
        	});  
        	
        });	*/
    } //End quiz_functions	
    /////////////////////////////////////////////////////////////////////////////////////////////////////////		
});

function am_purchase_coins(obj) {
    var $ = jQuery;
    am_block_screen_for_ajax("#am_coins_purchased_button");
    var coins = $(obj).attr("data-coins");
    var post_id = $(obj).attr("data-post");
    var should_redirect = $(obj).attr("data-redirect");
    var data = {
        action: 'am_purchase_coins'
        , coins: coins
        , post_id: post_id
        , should_redirect: should_redirect
    };
    $.post(am_js_values.ajax_url, data, function (response) {
        am_hide_block_screen();
        if (response.error) {
            am_show_message(response.message);
        }
        else if (response.return_url != "" && should_redirect == 'yes') {
            window.location.href = response.return_url;
        }
        else {
            $(".am_coins_button_container").html(response.message);
        }
    });
    return false;
}

function am_show_message(msg) {
    var $ = jQuery;
    $(".am_message").html(msg);
    $(".am_message").slideDown();
    setTimeout(function () {
        $(".am_message").slideUp();
    }, 4000);
}

function am_hide_block_screen() {
    var $ = jQuery;
    $(".am_ajax_loader_container").hide();
}

function am_block_screen_for_ajax(obj_id) {
    var $ = jQuery;
    $(".am_block_screen").height($(document).height());
    var form_buttons_offset = $(obj_id).offset();
    console.log(form_buttons_offset);
    $(".am_full_screen_ajax_loader").css('top', form_buttons_offset.top);
    $(".am_full_screen_ajax_loader").css('display', 'inline-block');
    $(".am_ajax_loader_container").show();
}

function am_submit_comment(commentform) {
    var $ = jQuery;
    commentform.prepend('<div id="comment-status" ></div>'); // add info panel before the form to provide feedback or errors
    var statusdiv = $('#comment-status'); // define the info panel
    var formdata = commentform.serialize(); //'comment='+$("#comment").val()+'&comment_post_ID='+$("#comment_post_ID").val()+'&comment_parent='+$("#comment_parent").val()+'&_wp_unfiltered_html_comment'+$("#_wp_unfiltered_html_comment").val();
    console.log(formdata);
    //Add a status message
    statusdiv.html('<p>Processing...</p>');
    //Extract action URL from commentform
    var formurl = commentform.attr('action');
    //Post Form with data
    setTimeout(function () {
        $.ajax({
            type: 'post'
            , url: formurl
            , data: formdata
            , error: function (XMLHttpRequest, textStatus, errorThrown) {
                statusdiv.html('<p class="ajax-error" >You might have left one of the fields blank, or be posting too quickly</p>');
            }
            , success: function (data, textStatus) {
                if (data == "success" || textStatus == "success") {
                    //window.location.href = window.location.href;
                    setTimeout(function () {
                        var data = {
                            action: 'am_get_lesson_comments'
                            , lesson_id: $("#comment_post_ID").val()
                        };
                        $.post(am_js_values.ajax_url, data, function (response) {
                            if (!response['error']) {
                                if (response['content'] != '') {
                                    //statusdiv.html('<p class="ajax-success" >Thanks for your comment. We appreciate your response.</p>');
                                    //window.location.href = window.location.href;
                                    $('.am_lesson_comments_section').html(response['content']);
                                    $("#comment").val('');
                                    $('.am_lesson_comments_section form').each(function () {
                                        $(this).submit(function (event) {
                                            event.preventDefault();
                                            //serialize and store form data in a variable
                                            am_submit_comment($(this));
                                        });
                                    });
                                }
                            }
                            else {
                                alert(response['content']);
                            }
                        });
                    }, 0);
                }
                else {
                    statusdiv.html('<p class="ajax-error" >Please wait a while before posting your next comment</p>');
                    //commentform.find('textarea[name=comment]').val('');
                }
            }
        });
    }, 1000);
    return false;
}

function am_save_module_name(obj) {
    var $ = jQuery;
    var module_id = $(obj).attr('data-module-id');
    var module_name = $(obj).val();
    var data = {
        action: 'am_save_module_name'
        , module_id: module_id
        , module_name: module_name
    };
    $.post(ajaxurl, data, function (response) {
        if (response['content'] != '') {}
        else {
            alert(response['content']);
        }
    });
}

function am_load_next_lesson(obj) {
    var $ = jQuery;
    var lesson = $(obj).attr('id');
    //var module_id = $(obj).attr('module_id');
    $(".am_product_lesson_title .am_" + lesson).trigger("click");
    //$(".am_product_lesson_title .am_"+lesson+"_"+module_id).trigger("click");
    return false;
}

function am_update_lesson_fields(obj) {
    var $ = jQuery;
    var lesson_unique_id = $(obj).attr('data-lesson-id');
    var lesson_id = $(obj).val();
    var module_id = $(obj).attr('data-module-id');
    $("#free_access_start_" + lesson_unique_id).attr('name', 'free_access_start_' + module_id + '_' + lesson_id);
    $("#free_access_end_" + lesson_unique_id).attr('name', 'free_access_end_' + module_id + '_' + lesson_id);
    $("#evergreen_start_day_" + lesson_unique_id).attr('name', 'evergreen_start_day_' + module_id + '_' + lesson_id);
    $("#evergreen_start_hour_" + lesson_unique_id).attr('name', 'evergreen_start_hour_' + module_id + '_' + lesson_id);
    $("#evergreen_end_day_" + lesson_unique_id).attr('name', 'evergreen_end_day_' + module_id + '_' + lesson_id);
    $("#evergreen_end_hour_" + lesson_unique_id).attr('name', 'evergreen_end_hour_' + module_id + '_' + lesson_id);
    $("#days_delay_" + lesson_unique_id).attr('name', 'days_delay_' + module_id + '_' + lesson_id);
}

function am_detect_days_delay(obj) {
    var $ = jQuery;
    if (obj.is(':checked')) {
        $(".am_days_delay").show();
    }
    else {
        $(".am_days_delay").hide();
    }
}

function am_detect_coins(obj) {
    var $ = jQuery;
    if (obj.is(':checked')) {
        $(".am_enable_coins").show();
    }
    else {
        $(".am_enable_coins").hide();
    }
}

function am_detect_sumit_mod(obj) {
    var $ = jQuery;
    if (obj.is(':checked')) {
        $(".am_sumit_mod").show();
    }
    else {
        $(".am_sumit_mod").hide();
        if ($("#enable_evergreen").is(":checked")) {
            $(".am_sumit_mod.am_col_24").show();
        }
    }
}

function am_detect_evergreen_mod(obj) {
    var $ = jQuery;
    if (obj.is(':checked')) {
        $(".am_evergreen_mod").show();
    }
    else {
        $(".am_evergreen_mod").hide();
        if ($("#enable_sumit").is(":checked")) {
            $(".am_evergreen_mod.am_col_24").show();
        }
    }
}

function thischeckceddsfa() {
    if (jQuery(".EnableFreeAccess01").is(":checked")) {
        jQuery(".Enable_Free_Access_01").show();
    }
    else {
        jQuery(".Enable_Free_Access_01").hide();
    }
    if (jQuery(".EnableDelayedAccess01").is(":checked")) {
        jQuery(".Enable_Delayed_Access_01").show();
    }
    else {
        jQuery(".Enable_Delayed_Access_01").hide();
    }
    if (jQuery(".EvergreenMode01").is(":checked")) {
        jQuery(".Evergreen_Mode_01").show();
    }
    else {
        jQuery(".Evergreen_Mode_01").hide();
    }
    if (jQuery(".EnableCoinmanagement01").is(":checked")) {
        jQuery(".Enable_Coinmanagement_01").show();
    }
    else {
        jQuery(".Enable_Coinmanagement_01").hide();
    }
}

function am_add_lesson(obj) {
    var $ = jQuery;
    var ajax_obj = $(obj).next(".am_ajax_loader");
    ajax_obj.css('display', 'inline-block');
    var module_id = $(obj).attr('data-mod-id');
    var data = {
        action: 'am_add_product_lesson'
        , module_id: module_id
    };
    $.post(ajaxurl, data, function (response) {
        if (!response['error']) {
            if (response['content'] != '') {
                if ($("#am_product_lessons_list" + module_id + " .am_product_lesson").length) {
                    $("#am_product_lessons_list" + module_id).append(response['content']);
                }
                else {
                    $("#am_product_lessons_list" + module_id).html(response['content']);
                }
                $(".select-lesson-for-heading").on("change", function () {
                    var thislesson_name = $(this).find("option:selected").text();
                    $(this).closest(".lesson_main_box").find(".selected-lesson").text(thislesson_name);
                });
                eval(response['js']);
                am_detect_coins($("#enable_coins"));
                am_detect_days_delay($("#enable_delay_access"));
                am_detect_sumit_mod($("#enable_sumit"));
                am_detect_evergreen_mod($("#enable_evergreen"));
                thischeckceddsfa();
            }
        }
        else {
            alert(response['content']);
        }
        ajax_obj.css('display', 'none');
    });
    return false;
}

function am_del_module(obj) {
    var $ = jQuery;
    if (confirm('Are you sure you want to delete that item?')) {
        var module_id = $(obj).attr('data-mod-id');
        $("#am_product_arch_mod_row" + module_id).remove();
        if (!$("#am_product_modules_list .am_product_arch_mod_row").length) {
            $("#am_product_modules_list").html('<p>There is no module selected for this product. Please select some modules below and then add lessons against that module.</p>');
        }
    }
}

function am_del_lesson(obj) {
    var $ = jQuery;
    if (confirm('Are you sure you want to delete that item?')) {
        var lesson_id = $(obj).attr('data-lesson-id');
        var module_id = $(obj).attr('data-module-id');
        $("#am_product_lesson_" + lesson_id).remove();
        if (!$("#am_product_modules_list #am_product_lessons_list" + module_id + " .am_product_lesson").length) {
            $("#am_product_lessons_list" + module_id).html('<p>You should click on Add New Lesson to add some lessons</p>');
        }
    }
}

function am_del_product(obj) {
    var $ = jQuery;
    if (confirm('Are you sure you want to delete that item?')) {
        $("#offer_product_" + $(obj).attr('data-product-id')).remove();
    }
}
$(document).ready(function () {
    $(".dropdown").on("click", function () {
        $(".custom_overlay_wrap").show();
    });
    $(".custom_overlay_wrap").on("click", function () {
        $(".dropdown-content").fadeOut();
        $(".custom_overlay_wrap").hide();
    });
});







jQuery(document).ready(function(e) {
    var toggle = 0;
    jQuery(document).on('click','.open_close_all_tabs',function(){

    if(toggle == 0){

    if(jQuery('.module_main_heading h2').closest(".module_main_heading").hasClass("active")){


    }else{

    jQuery('.module_main_heading h2').closest(".module_main_heading").addClass("active");
    jQuery('.module_main_heading h2').closest(".module_main_panel").find(".module_main_body").addClass("active");
    }

    if(jQuery('.lesson_box_heading h3').closest(".lesson_box_heading").hasClass("active")){

    }else{

    jQuery('.lesson_box_heading h3').closest(".lesson_box_heading").addClass("active");
    jQuery('.lesson_box_heading h3').closest(".lesson_main_box").find(".lesson_box_body").addClass("active");
    }

    if(jQuery('.iner_options_acrdn_head h4 , .inop_icon').closest(".iner_options_acrdn_head").hasClass("active"))
    {

    jQuery('.iner_options_acrdn_head h4 , .inop_icon').closest(".iner_options_acrdn_head").addClass("active");
    jQuery('.iner_options_acrdn_head h4 , .inop_icon').closest(".iner_options_acrdn").find(".iner_options_acrdn_body").addClass("active"); }else{
    jQuery('.iner_options_acrdn_head h4 , .inop_icon').closest(".iner_options_acrdn_head").addClass("active");
    jQuery('.iner_options_acrdn_head h4 , .inop_icon').closest(".iner_options_acrdn").find(".iner_options_acrdn_body").addClass("active");
    }
        toggle = 1;
    }else{
        if(jQuery('.module_main_heading h2').closest(".module_main_heading").hasClass("active")){
        jQuery('.module_main_heading h2').closest(".module_main_heading").removeClass("active");
        jQuery('.module_main_heading h2').closest(".module_main_panel").find(".module_main_body").removeClass("active"); 
    }

    if(jQuery('.lesson_box_heading h3').closest(".lesson_box_heading").hasClass("active")){

    jQuery('.lesson_box_heading h3').closest(".lesson_box_heading").removeClass("active");
    jQuery('.lesson_box_heading h3').closest(".lesson_main_box").find(".lesson_box_body").removeClass("active");  

    }

    if(jQuery('.iner_options_acrdn_head h4 , .inop_icon').closest(".iner_options_acrdn_head").hasClass("active"))
    {
    jQuery('.iner_options_acrdn_head h4 , .inop_icon').closest(".iner_options_acrdn_head").removeClass("active");
    jQuery('.iner_options_acrdn_head h4 , .inop_icon').closest(".iner_options_acrdn").find(".iner_options_acrdn_body").removeClass("active"); 
    }

    toggle = 0;
    }//End Of Check
    });
});




