<?php if ( $message!="") : ?>
<div id="message" class="updated" style="margin-left: 2px;">
  <p><strong><?php echo __( $message, 'am' ); ?></strong></p>
</div>
<?php endif; ?>

<div class="setting-pg-main">
  <div class="setting-iner">
    <h1><?php echo __( 'Add Order', 'am' );?></h1>
    <div class="setting-iner-body">
      <ul>
        <li class="General_Settings active">
          <div class="accessmen_hd">
            <h2><?php echo __( 'Order Detail', 'am' );?></h2>
          </div>
          <form method="post" name="frm_am" id="frm_am" class="frm_am" action="?page=am_orders&action=add" enctype="multipart/form-data">
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Buyer First Name', 'am' );?></label>
              </div>
              <div class="col-54">
                <input type="text" name="first_name" id="first_name" class="element-form" value="" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Buyer Last Name', 'am' ); ?></label>
              </div>
              <div class="col-54">
                <input type="text" name="last_name" id="last_name" class="element-form" value="" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Buyer Email', 'am' );?></label>
              </div>
              <div class="col-54">
                <input type="text" name="email" id="email" class="element-form" value="" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Status', 'am' );?></label>
              </div>
              <div class="col-54">
                <div class="element-radio">
                  <input type="radio" name="status" id="astatus" value="active" checked="checked" />
                  <label for="astatus"><?php echo __( 'Active', 'am' ); ?></label>
                </div>
                <div class="element-radio">
                  <input type="radio" name="status" id="bstatus" value="inactive" />
                  <label for="bstatus"><?php echo __( 'Inactive', 'am' ); ?></label>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Product', 'am' );?></label>
              </div>
              <div class="col-54">
              <?php 
			  $product_found = false;
			  if( !empty($products) ) { 
			  
			  $product_found = true;
			  foreach( $products as $product ) { ?>
              <div class="element-radio">
                  <input type="radio" name="product" id="product_<?php echo $product->id;?>" value="<?php echo $product->id;?>@@<?php echo $product->product_name;?>" />
                  <label for="product_<?php echo $product->id;?>"><?php echo $product->product_name;?></label>
              </div>
		      <?php }?>
              
			  <?php }
			  if( !empty($offers) ) {
			  
			  $product_found = true;
			  foreach( $offers as $offer ) { ?>
              <div class="element-radio">
                  <input type="radio" name="offer" id="offer_<?php echo $offer->id;?>" value="<?php echo $offer->id;?>@@<?php echo $offer->offer_name;?>" />
                  <label for="offer_<?php echo $offer->id;?>"><?php echo $offer->offer_name;?></label>
              </div>
			  <?php }?>
              
			  <?php }
			  if(!$product_found){ ?>
			  <p><?php echo __( 'You not setup any product yet, please create some products first.', 'am' );?></p>
			  <?php }?>
              
             </div>
              </div>
             
             <div class="border-top-section">
             <div class="col-40  ">
                <label class="element-label"></label>
             </div>
             <div class="col-54">
                <input type="submit" name="btnsave" id="btnsave" class="custom_button_wrap" value="<?php echo __( 'Save', 'am' );?>">
             </div>
             </div>
          </form>
        </li>
      </ul>
    </div>
  </div>
</div>