<?php if ( $message!="") : ?>
<div id="message" class="updated fade"><p><strong><?php echo __( $message, 'am' ); ?></strong></p></div>
<?php endif; ?>
<div class="wrap">
<h2><?php echo __( 'Update Bonus Button', 'am' );?></h2>
<form method="post" name="frm_am" id="frm_am" class="frm_am" action="?page=am_bonus_buttons&action=edit&id=<?php echo $bonus_button->id;?>" enctype="multipart/form-data">
    <table class="wp-list-table widefat fixed" cellspacing="0">
        <thead>
        <tr>
            <th scope="col" class="manage-column" style=""><?php echo __( 'Button Detail', 'am' );?></th>
        </tr>
        </thead>
        <tbody id="the-list">
        <tr>
            <td>            	
                <table width="100%">
                    <tr>
                        <td width="150"><?php echo __( 'Title', 'am' );?></td>
                        <td>
                            <input type="text" name="title" id="title" value="<?php echo $bonus_button->title;?>" />                            
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __( 'Description', 'am' );?></td>
                        <td>
                            <input type="text" name="desc" id="desc" value="<?php echo $bonus_button->desc;?>" />                            
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __( 'Symbol Image', 'am' );?></td>
                        <td>
                            <img src="<?php echo $bonus_button->symbol;?>" width="100" /><br>
                            <input type="text" name="symbol" id="symbol" value="<?php echo $bonus_button->symbol;?>" />   
                            <input class="upload_media_button button" type="button" name="btnupload" value="<?php echo __( 'Upload', 'am' ); ?>" />
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __( 'Button Text', 'am' );?></td>
                        <td>
                            <input type="text" name="button_text" id="button_text" value="<?php echo $bonus_button->button_text;?>" />
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __( 'Page URL', 'am' );?></td>
                        <td>
                            <input type="text" name="url" id="url" value="<?php echo $bonus_button->url;?>" />
                        </td>
                    </tr>
                    <tr>
                        <td><?php echo __( 'Only For Customers?', 'am' );?></td>
                        <td>
                            <input type="checkbox" name="for_customers" id="for_customers" value="yes"<?php if( $bonus_button->for_customers == 'yes' ){ echo " checked";}?> />
                        </td>
                    </tr>                    
                    <tr>
                        <td><?php echo __( 'Product', 'am' );?></td>
                        <td>
                            <?php foreach( $products as $product ) { ?>
                                <?php if( $bonus_button->product == $product->id ){?>
                                <input type="radio" name="product" checked id="product_<?php echo $product->id;?>" value="<?php echo $product->id;?>" /> <?php echo $product->product_name;?><br>
                                <?php }else{?>
                                <input type="radio" name="product" id="product_<?php echo $product->id;?>" value="<?php echo $product->id;?>" /> <?php echo $product->product_name;?><br>
                                <?php }?>
                            <?php }?>
                        </td>
                    </tr>
                    <tr>
                        <td><input type="hidden" name="id" value="<?php echo $bonus_button->id;?>" /></td>
                        <td><input type="submit" name="btnsave" id="btnsave" class="button button-primary button-large" value="<?php echo __( 'Save', 'am' );?>"></td>
                    </tr>
                </table>
            </td>
        </tr>
        </tbody>
    </table>                            
</form>
</div>