<?php if ( $message!="") : ?>
<div id="message" class="updated" style="margin-left: 2px;">
  <p><strong><?php echo __( $message, 'am' ); ?></strong></p>
</div>
<?php endif; ?>


<?php $am_lincense_key=constant('AM_LICENSE_KEY');  ?>

<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css"/>
<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
<link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>css/jquery.datetimepicker.min.css">


<div class="setting-pg-main am_add_product_custom">
  <div class="setting-iner">
    <h1><?php echo __( 'Edit Product', 'am' ); ?></h1>
    <div class="setting-iner-header">
      <ul>
        <li class="GeneralSettings active"> <a href="javascript:void(0);"> <span class="icon-set"></span>
          <div class="custom_setting_fa_icons_b"> <i class="fa fa-cog" aria-hidden="true"></i></div>
          <?php echo __( 'Product Detail', 'am' ); ?> </a> </li>
        <li class="DefaultDesign"> <a href="javascript:void(0);"> <span class="icon-set"></span>
          <div class="custom_setting_fa_icons_b"> <i class="fa fa-paint-brush" aria-hidden="true"></i></div>
          <?php echo __( 'Product Design', 'am' ); ?> </a> </li>
      </ul>
    </div>
    <form method="post" name="frm_am" id="frm_am" class="frm_am" action="?page=am_products&action=edit&id=<?php echo $product->id;?>" enctype="multipart/form-data">
	<div>
			<div class="am_menu_container">
	<div id="product_details">
		<h3 class="am_menu_title"><?php echo __( 'Product Details Settings', 'am' );?></h3>
		<ul class="am_ulmenus">
			<li class="am_liparent amliparent_detail" data-val="general"><span class="dashicons dashicons-admin-generic"></span><span class="am_li_menu_span"><?php echo __( 'General', 'am' );?></span></span></li>
			<li class="am_liparent amliparent_detail" data-val="course_architecture"><span class="dashicons dashicons-media-video"></span><span class="am_li_menu_span"><?php echo __( 'Course Architect', 'am' );?></span></li>
			<li class="am_liparent amliparent_detail" data-val="pages_posts"><span class="dashicons dashicons-media-document"></span></span><span class="am_li_menu_span"><?php echo __( 'Pages and Posts', 'am' );?></span></li>
			<li class="am_liparent amliparent_detail" data-val="payment_processor"><span class="dashicons dashicons-cart"></span><span class="am_li_menu_span"><?php echo __( 'Payment Processor', 'am' );?></span></li>
			<li class="am_liparent amliparent_detail" data-val="redirections"><span class="dashicons dashicons-image-rotate"></span><span class="am_li_menu_span"><?php echo __( 'Redirections', 'am' );?></span></li>
			
		</ul>
	</div>
	
	<div id="product_design" style="display:none;">
		<h3 class="am_menu_title"><?php echo __( 'Product Design Settings', 'am' );?></h3>
		<ul class="am_ulmenus">
			<li class="am_liparent amliparent_design" data-val="image"><span class="dashicons dashicons-image-rotate-right"></span><span class="am_li_menu_span"><?php echo __( 'Images', 'am' );?></span></li>
			<li class="am_liparent amliparent_design" data-val="gradient"><span class="dashicons dashicons-media-video"></span><span class="am_li_menu_span"><?php echo __( 'Gradients', 'am' );?></span></li>
			<li class="am_liparent amliparent_design" data-val="navigation"><span class="dashicons dashicons-media-document"></span><span class="am_li_menu_span"><?php echo __( 'Navigation', 'am' );?></span></li>
			
			
		</ul>
		
	
	</div>
	
	</div>
	
	
	
      <div class="setting-iner-body am_right_container">
        <ul>
          <li class="General_Settings active">
		   <div id="general">
            <div class="accessmen_hd">
              <h2><?php echo __( 'Product Detail', 'am' ); ?></h2>
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Product Name', 'am' );?></label>
              </div>
			   <div class="col-54">
			  <input type="hidden" name="id" value="<?php echo $product->id;?>" />
                <input type="text" name="product_name" id="product_name" class="element-form" value="<?php echo $product->product_name;?>">
				</div>
             
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Product Image', 'am' );?></label>
              </div>
              <div class="col-54">
                <?php if( !empty($product->product_image) ) {?>
                <img src="<?php echo $product->product_image;?>" width="150" /><br>
                <?php }?>
                <input type="text" name="product_image" min="0" id="product_image" value="<?php echo $product->product_image;?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section Enable_Coinmanagement_01">
              <div class="col-40">
                <label class="element-label"><?php echo __( 'Initial Coins on purchase', 'am' );?></label>
              </div>
              <div class="col-54">
                <input type="number" name="initial_coins" min="0" id="initial_coins" value="<?php if(!empty($product->initial_coins)){echo $product->initial_coins;}else{echo "0";}?>" class="textfield" />
              </div>
              <div class="col-40" style="float:none;">
                <label class="element-label"><?php echo __( 'Coins added per Month', 'am' );?></label>
              </div>
              <div class="col-54">
                <input type="number" name="month_coins" id="month_coins" value="<?php if(!empty($product->month_coins)){echo $product->month_coins;}else{echo "0";}?>" class="textfield" />
              </div>
            </div>
			
			</div>
			
			<div id="course_architecture" style="display:none;">
		
            		<div class="accessmen_hd">
              <h2><?php echo __( 'Course Architecture', 'am' ); ?></h2>
            </div>
           
            <div class="border-top-section">
					 <div class="col-54">
                
                <span class="checkspan customcheck_span">
                <label><?php echo __( 'Enable Free Access (Summit Mode)', 'am' );?></label>
                <input type="checkbox" name="enable_sumit"<?php if($product->enable_sumit != ""){echo ' checked';}?> value="yes" id="enable_sumit" class="enable_sumit <?php if(!empty($am_lincense_key)){ echo "EnableFreeAccess01"; }?>  checkbox_course">
                <span class="checklabspan"></span><label style="color:#f00;font-weight:bold;display:none;">Funktion nur mit gültiger Lizenz möglich</label> </span> <span class="checkspan customcheck_span">
                <label><?php echo __( 'Enable Delayed Access on Purchase', 'am' );?></label>
                <input type="checkbox" name="enable_delay_access"<?php if($product->enable_delay_access != ""){echo ' checked';}?> value="yes" id="enable_delay_access" class="enable_delay_access <?php if(!empty($am_lincense_key)){ echo "EnableDelayedAccess01"; }?> checkbox_course">
                <span class="checklabspan"></span><label style="color:#f00;font-weight:bold;display:none;">Funktion nur mit gültiger Lizenz möglich</label> </span> <span class="checkspan customcheck_span">
                <label><?php echo __( 'Evergreen Mode', 'am' );?></label>
                <input type="checkbox" name="enable_evergreen"<?php if($product->enable_evergreen != ""){echo ' checked';}?> value="yes" id="enable_evergreen" class="enable_evergreen <?php if(!empty($am_lincense_key)){ echo "EvergreenMode01"; }?> checkbox_course">
                <span class="checklabspan"></span><label style="color:#f00;font-weight:bold;display:none;">Funktion nur mit gültiger Lizenz möglich</label> </span> <span class="checkspan customcheck_span">
                <label><?php echo __( 'Enable Coinmanagement', 'am' );?></label>
                <input type="checkbox" name="enable_coins"<?php if($product->enable_coins != ""){echo ' checked';}?> value="yes" id="enable_coins" class="enable_coins <?php if(!empty($am_lincense_key)){ echo "EnableCoinmanagement01";}?> checkbox_course">
                <span class="checklabspan"></span><label style="color:#f00;font-weight:bold;display:none;">Funktion nur mit gültiger Lizenz möglich</label> </span> </div>
              <div class="col-xs-12 col-sm-12 col-md-10 col-lg-8 col-lg-offset-2 col-md-offset-1">
                <button type="button" class="custom_button_wrap open_close_all_tabs" style="margin: 5px 20px;padding: 4px 5px;margin-top: -5px;"><?php echo __( 'Open/Close Tabs', 'am' );?></button>
                <div class="row">
                  <div class="module_main_outer" id="am_product_modules_list"> 
                  
                      <!------------ Here Lessons will goes ------------> 
                      <?php 
					  $module_ids = array();
					  $final_modules = array();
					  foreach( $course_structures as $lesson_row )  {
					  	if( !in_array( $lesson_row->module_id, $module_ids ) ) {
							foreach( $modules as $module ) {
								if( $module->id == $lesson_row->module_id ) {
									$module_ids[] = $lesson_row->module_id;
									$final_modules[] = $module;
									break;
								}
							}                                                
						}
					  }
					  ?>
                      <?php foreach( $final_modules as $module ){ ?>
                      <div class="module_main_panel am_product_arch_mod_row" id="am_product_arch_mod_row<?php echo $module->id;?>" data-index="<?php echo $module->id;?>" data-id="<?php echo $module->id;?>">
                        <div class="module_main_heading active">
                            <h2>
                                <i class="fa fa-plus" aria-hidden="true"></i>
                                <i class="fa fa-minus" aria-hidden="true"></i>
                                <?php echo $module->name;?>
                                <input type="hidden" value="<?php echo $module->name;?>" name="module_names[]" data-module-id="<?php echo $module->id;?>" onblur="javascript: return am_save_module_name(this);" />
                                <input type="hidden" name="modules[]" value="<?php echo $module->id;?>" />
                            </h2>
                            <span class="mdl-icons">
                                <span class="mdl-trash" data-mod-id="<?php echo $module->id;?>" onclick="javascript: return am_del_module(this);"><i class="fa fa-trash-o" aria-hidden="true"></i></span>
                                <span class="mdl-drag"><i class="fa fa-bars" aria-hidden="true"></i></span>
                            </span>
                        </div>
                        <div class="module_main_body active">
                            <div class="lesson_append_box am_product_lessons_list" id="am_product_lessons_list<?php echo $module->id;?>">
                             
                             <!------------ Here Lessons will goes ------------> 
                             <?php foreach( $course_structures as $lesson_row ) {?>
							 <?php if( $lesson_row->module_id == $module->id ) {?>
                             <?php $lesson_id = uniqid(); ?>
                             <div class="lesson_main_box am_product_lesson" data-index="<?php echo $lesson_id;?>" id="am_product_lesson_<?php echo $lesson_id;?>">
                                <div class="lesson_box_heading active">
                                    <h3>
                                        <i class="fa fa-plus" aria-hidden="true"></i>
                                        <i class="fa fa-minus" aria-hidden="true"></i>
                                        <span class="selected-lesson"><?php echo __( 'New Lesson', 'am' );?></span>
                                    </h3>
                                    <span class="lson-icons">
                                        <span class="lson-trash" data-lesson-id="<?php echo $lesson_id;?>" data-module-id="<?php echo $module->id;?>" onclick="javascript: return am_del_lesson(this);"><i class="fa fa-trash-o" aria-hidden="true"></i></span>
                                        <span class="lson-drag"><i class="fa fa-bars" aria-hidden="true"></i></span>
                                    </span>
                                </div>
                                <div class="lesson_box_body active">
                                   <div class="select_lesson_box">
                                        <div class="col-md-offset-1 col-md-3 col-xs-12">
                                            <label><?php echo __( 'Select Lesson', 'am' );?></label>
                                        </div>
                                        <div class="col-md-6 col-xs-12">
                                            <select name="lessons_<?php echo $module->id;?>[]" class="am_product_select_lesson select-lesson-for-heading" data-module-id="<?php echo $module->id;?>" data-lesson-id="<?php echo $lesson_id;?>" onchange="javascript: am_update_lesson_fields(this);">
                                                <option value=""><?php echo __( 'Select Lesson', 'am' );?></option>
                                                <?php foreach( $lessons as $lesson ) {?>
													<?php if( $lesson_row->lesson_id == $lesson->ID ) {?>
                                                        <option value="<?php echo $lesson->ID;?>" selected><?php echo $lesson->post_title;?></option>
                                                    <?php }else{?>
                                                        <option value="<?php echo $lesson->ID;?>"><?php echo $lesson->post_title;?></option>
                                                    <?php }?>
                                                <?php }?>
                                            </select>
                                        </div>
                                    </div>
                                   <div class="iner_options_acrdn Enable_Free_Access_01">
                                        <div class="iner_options_acrdn_head active">
                                            <h4>
                                                <i class="fa fa-plus" aria-hidden="true"></i>
                                                <i class="fa fa-minus" aria-hidden="true"></i>
                                                <?php echo __( 'Enable Free Access (Summit Mode)', 'am' );?> 
                                            </h4>
                                        </div>
                                        <div class="iner_options_acrdn_body active">
                                            <div class="form-group col-xs-12">
                                                <div class="row">
                                                    <div class="col-md-4 col-xs-12">
                                                        <label><?php echo __( 'Start Free Access', 'am' );?></label>
                                                    </div>
                                                    <div class="col-md-8 col-xs-12">
                                                        <input type="text" class="form-control am_datepicker" value="<?php if( !empty($lesson_row->free_access_start) ) {echo date( "d.m.Y H:i", $lesson_row->free_access_start );}?>" name="free_access_start_<?php echo $module->id;?>_<?php echo $lesson_row->lesson_id;?>" id="free_access_start_<?php echo $lesson_id;?>" />
                                                    </div>
                                                </div>
                                            </div>    
                                            <div class="form-group col-xs-12">
                                                <div class="row">
                                                    <div class="col-md-4 col-xs-12">
                                                        <label><?php echo __( 'End Free Access', 'am' );?></label>
                                                    </div>
                                                    <div class="col-md-8 col-xs-12">
                                                        <input type="text" class="form-control am_datepicker" value="<?php if( !empty($lesson_row->free_access_end) ) {echo date( "d.m.Y H:i", $lesson_row->free_access_end );}?>" name="free_access_end_<?php echo $module->id;?>_<?php echo $lesson_row->lesson_id;?>" id="free_access_end_<?php echo $lesson_id;?>" />
                                                    </div>
                                                </div>
                                            </div> 
                                        </div>
                                    </div>
                                   <div class="iner_options_acrdn Enable_Delayed_Access_01">
                                        <div class="iner_options_acrdn_head active">
                                            <h4>
                                                <i class="fa fa-plus" aria-hidden="true"></i>
                                                <i class="fa fa-minus" aria-hidden="true"></i>
                                                <?php echo __( 'Enable Delayed Access on Purchase', 'am' );?>
                                            </h4>
                                        </div>
                                        <div class="iner_options_acrdn_body active">
                                            <div class="form-group col-xs-12">
                                                <div class="row">
                                                    <div class="col-md-4 col-xs-12">
                                                        <label><?php echo __( 'Days of Delay', 'am' );?></label>
                                                    </div>
                                                    <div class="col-md-8 col-xs-12">
                                                        <input type="number" value="<?php echo $lesson_row->days_delay;?>" min="0" name="days_delay_<?php echo $module->id;?>_<?php echo $lesson_row->lesson_id;?>" class="form-control" id="days_delay_<?php echo $lesson_id;?>" />
                                                    </div>
                                                </div>
                                            </div>    
                                        </div>
                                    </div>
                                   <div class="iner_options_acrdn Evergreen_Mode_01">
                                        <div class="iner_options_acrdn_head active">
                                            <h4>
                                                <i class="fa fa-plus" aria-hidden="true"></i>
                                                <i class="fa fa-minus" aria-hidden="true"></i>
                                                <?php echo __( 'Evergreen Mode', 'am' );?>
                                            </h4>
                                        </div>
                                        <div class="iner_options_acrdn_body active">
                                            <div class="form-group col-xs-12">
                                                <div class="row">
                                                    <div class="col-md-4 col-xs-4">
                                                        <label><?php echo __( 'Start Day', 'am' );?></label>
                                                    </div>
                                                    <div class="col-md-5 col-xs-4">
                                                        <input type="number" class="form-control" name="evergreen_start_day_<?php echo $module->id;?>_<?php echo $lesson_row->lesson_id;?>" id="evergreen_start_day" min="0" value="<?php echo $lesson_row->evergreen_start_day;?>" />
                                                    </div>
                                                    <div class="col-md-1 col-xs-2 text-center">
                                                        <label style="text-align:center;">@</label>
                                                    </div>
                                                    <div class="col-md-2 col-xs-2">
                                                        <select name="evergreen_start_hour" id="evergreen_start_hour_<?php echo $lesson_id;?>" class="form-control">
                                                        <?php 
														for( $i=0; $i<=23; $i++ ) {
															$selected = '';
															if( $lesson_row->evergreen_end_hour == $i ) {
																$selected = ' selected';
															}
															if( $i<=9 ) {
																echo '<option value="0'.$i.'"'.$selected.'>0'.$i.'</option>';
															}else{
																echo '<option value="'.$i.'"'.$selected.'>'.$i.'</option>';
															}                
														}
														?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>  
                                            <div class="form-group col-xs-12">
                                                <div class="row">
                                                    <div class="col-md-4 col-xs-4">
                                                        <label><?php echo __( 'End Day', 'am' );?></label>
                                                    </div>
                                                    <div class="col-md-5 col-xs-4">
                                                        <input type="number" name="evergreen_end_day_<?php echo $module->id;?>_<?php echo $lesson_row->lesson_id;?>" id="evergreen_end_day" min="0" value="<?php echo $lesson_row->evergreen_end_day;?>" class="form-control" />
                                                    </div>
                                                    <div class="col-md-1 col-xs-2 text-center">
                                                        <label style="text-align:center;">@</label>
                                                    </div>
                                                    <div class="col-md-2 col-xs-2">
                                                        <select name="evergreen_end_hour" id="evergreen_end_hour_<?php echo $lesson_id;?>" class="form-control">
                                                        <?php 
														for( $i=0; $i<=23; $i++ ) {
															$selected = '';
															if( $lesson_row->evergreen_end_hour == $i ) {
																$selected = ' selected';
															}
															if( $i<=9 ) {
																echo '<option value="0'.$i.'"'.$selected.'>0'.$i.'</option>';
															}else{
																echo '<option value="'.$i.'"'.$selected.'>'.$i.'</option>';
															}                
														}
														?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>  
                                        </div>
                                    </div>
                                   <div class="iner_options_acrdn Enable_Coinmanagement_01">
                                        <div class="iner_options_acrdn_head active">
                                            <h4>
                                                <i class="fa fa-plus" aria-hidden="true"></i>
                                                <i class="fa fa-minus" aria-hidden="true"></i>
                                                <?php echo __( 'Enable Coinmanagement', 'am' );?>
                                            </h4>
                                        </div>
                                        <div class="iner_options_acrdn_body active">
                                            <div class="form-group col-xs-12">
                                                <div class="row">
                                                    <div class="col-md-4 col-xs-12">
                                                        <label><?php echo __( 'Coins', 'am' );?></label>
                                                    </div>
                                                    <div class="col-md-8 col-xs-12">
                                                        <input type="number" class="form-control" value="<?php echo $lesson_row->coins;?>" min="0" name="tokens_<?php echo $module->id;?>_<?php echo $lesson_row->lesson_id;?>" id="tokens_<?php echo $lesson_id;?>" />
                                                    </div>
                                                </div>
                                            </div>  
                                        </div>
                                    </div>
                                </div>
                             </div>
                             <?php }?>
                             <?php }?>
                             <!------------ End Here Lessons will goes ------------> 
                                  
                            </div>
                            <div class="add_lessonn_btn_box">
                                <a href="javascript:void(0);" data-mod-id="<?php echo $module->id;?>" class="am_add_lesson_button custom_button_wrap" onclick="javascript: return am_add_lesson(this);"><?php echo __( 'Add New Lesson', 'am' );?></a><span class="am_ajax_loader"></span>
                            </div>
                        </div>
                      </div>
                      <?php } ?>
                  	  <!------------ End Here Lessons will goes ------------> 	
                  
                  </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Add Module Title', 'am' );?></label>
              </div>
              <div class="col-54">
                <input type="text" name="am_product_add_module" id="am_product_add_module" class="element-form">
                <input type="button" class="custom_button_wrap am_product_add_module_button" value="<?php echo __( 'Add', 'am' );?>">
                <span class="am_ajax_loader"></span> </div>
				
			
            </div>
			
			
			 <div class="border-top-section ck-sxtion" id="error_editor" style="display:none;">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Error Text(For Summit Mode)', 'am' );?></label>
              </div>
              <div class="col-54">
                <?php
				$settings = array( 'media_buttons' => false );
				wp_editor( html_entity_decode(stripslashes($product->error_text)), 'error_text', $settings );
				?>
              </div>
            </div>

		
				</div>
				
				
			
       <div id="pages_posts" style="display:none;">
			<div class="accessmen_hd">
              <h2><?php echo __( 'Secure Posts and Pages (optional)', 'am' ); ?></h2>
            </div>
			
			
            <div class="border-top-section">
              <h4><?php echo __( 'Pages', 'am' );?></h4>
              <?php 
			  $selected_product_secure_pages = maybe_unserialize($product->product_secure_pages);
		      $pages_price = maybe_unserialize($product->pages_price);
			  ?>
              <div class="col-xs-12 col-sm-12 col-md-10 col-lg-8 col-lg-offset-2 col-md-offset-1">
                <div class="row">
                  <div class="PageAndPost_main_outer">
                    <div class="PageAndPost_main_iner">
                      <?php $i=0;?>
                      <?php foreach( $pages as $page ) { ?>
                      <?php 
					  //Get Product Page Sturcture
					  $page_structures = $this->am_get_product_page_structure($product->id,$page->ID);
					  ?>
                      <div class="PageAndPost_main_panel">
                        <div class="PageAndPost_main_header">
                          <input type="hidden" min="0" value="<?php echo $pages_price[$i];?>" name="pages_price[]" id="page_price_<?php echo $page->ID;?>" />
                          <div class="pp_check">
                            <input type="checkbox" name="product_secure_pages[]" value="<?php echo $page->ID;?>" <?php if(is_array($selected_product_secure_pages) && in_array($page->ID, $selected_product_secure_pages)) {?> checked <?php } ?> />
                            <span class="cicon"> <i class="fa fa-check-square-o" aria-hidden="true"></i> <i class="fa fa-square-o" aria-hidden="true"></i> </span> </div>
                          <div class="pp_title"><?php echo $page->post_title;?></div>
                        </div>
                        <div class="PageAndPost_main_body">
                          <div class="iner_options_acrdn Enable_Free_Access_01">
                            <div class="iner_options_acrdn_head">
                              <h4> <i class="fa fa-plus" aria-hidden="true"></i> <i class="fa fa-minus" aria-hidden="true"></i> <?php echo __( 'Enable Free Access (Summit Mode)', 'am' );?></h4>
                              <span class="inop_icon"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </span> </div>
                            <div class="iner_options_acrdn_body">
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-12">
                                    <label><?php echo __( 'Start Free Access', 'am' );?></label>
                                  </div>
                                  <div class="col-md-8 col-xs-12">
                                    <input name="page_free_access_start[<?php echo $page->ID;?>][]" type="text" class="form-control am_datepicker" value="<?php if($page_structures->free_access_start !=""){ echo date( "d.m.Y H:i", $page_structures->free_access_start);} ?>">
                                  </div>
                                </div>
                              </div>
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-12">
                                    <label><?php echo __( 'End Free Access', 'am' );?></label>
                                  </div>
                                  <div class="col-md-8 col-xs-12">
                                    <input name="page_free_access_end[<?php echo $page->ID;?>][]"   type="text" class="form-control am_datepicker" value="<?php if($page_structures->free_access_end !=""){echo date( "d.m.Y H:i", $page_structures->free_access_end);} ?>">
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div class="iner_options_acrdn Enable_Delayed_Access_01">
                            <div class="iner_options_acrdn_head">
                              <h4> <i class="fa fa-plus" aria-hidden="true"></i> <i class="fa fa-minus" aria-hidden="true"></i> <?php echo __( 'Enable Delayed Access on Purchase', 'am' );?></h4>
                              <span class="inop_icon"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </span> </div>
                            <div class="iner_options_acrdn_body">
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-12">
                                    <label><?php echo __( 'Days of Delay', 'am' );?></label>
                                  </div>
                                  <div class="col-md-8 col-xs-12">
                                    <input name="page_days_delay[<?php echo $page->ID;?>][]" type="number" class="form-control" value="<?php echo $page_structures->days_delay;?>">
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div class="iner_options_acrdn Evergreen_Mode_01">
                            <div class="iner_options_acrdn_head">
                              <h4> <i class="fa fa-plus" aria-hidden="true"></i> <i class="fa fa-minus" aria-hidden="true"></i> <?php echo __( 'Evergreen Mode', 'am' );?></h4>
                              <span class="inop_icon"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </span> </div>
                            <div class="iner_options_acrdn_body">
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-4">
                                    <label><?php echo __( 'Start Day', 'am' );?></label>
                                  </div>
                                  <div class="col-md-5 col-xs-4">
                                    <input name="page_evergreen_start_day[<?php echo $page->ID;?>][]" type="number" class="form-control" value="<?php echo $page_structures->evergreen_start_day;?>">
                                  </div>
                                  <div class="col-md-1 col-xs-2 text-center">
                                    <label style="text-align:center;">@</label>
                                  </div>
                                  <div class="col-md-2 col-xs-2">
                                    <select class="form-control" name="page_evergreen_start_hour[<?php echo $page->ID;?>][]">
                                    <?php 
									for( $i=0; $i<=23; $i++ ) {
										$selected = '';
										if( $page_structures->evergreen_start_hour == $i ) {
											$selected = ' selected';
										}
										if( $i<=9 ) {
											echo '<option value="0'.$i.'"'.$selected.'>0'.$i.'</option>';
										}else{
											echo '<option value="'.$i.'"'.$selected.'>'.$i.'</option>';
										}                
									}
									?>
                                    </select>
                                  </div>
                                </div>
                              </div>
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-4">
                                    <label><?php echo __( 'End Day', 'am' );?></label>
                                  </div>
                                  <div class="col-md-5 col-xs-4">
                                    <input name="page_evergreen_end_day[<?php echo $page->ID;?>][]" type="number" class="form-control" value="<?php echo $page_structures->evergreen_end_day;?>">
                                  </div>
                                  <div class="col-md-1 col-xs-2 text-center">
                                    <label style="text-align:center;">@</label>
                                  </div>
                                  <div class="col-md-2 col-xs-2">
                                    <select class="form-control" name="page_evergreen_end_hour[<?php echo $page->ID;?>][]">
                                    <?php 
									for( $i=0; $i<=23; $i++ ) {
										$selected = '';
										if( $page_structures->evergreen_end_hour == $i ) {
											$selected = ' selected';
										}
										if( $i<=9 ) {
											echo '<option value="0'.$i.'"'.$selected.'>0'.$i.'</option>';
										}else{
											echo '<option value="'.$i.'"'.$selected.'>'.$i.'</option>';
										}                
									}
									?>
                                    </select>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div class="iner_options_acrdn Enable_Coinmanagement_01">
                            <div class="iner_options_acrdn_head">
                              <h4> <i class="fa fa-plus" aria-hidden="true"></i> <i class="fa fa-minus" aria-hidden="true"></i> <?php echo __( 'Enable Coinmanagement', 'am' );?></h4>
                              <span class="inop_icon"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </span> </div>
                            <div class="iner_options_acrdn_body">
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-12">
                                    <label><?php echo __( 'Coins', 'am' );?></label>
                                  </div>
                                  <div class="col-md-8 col-xs-12">
                                    <input name="page_coins[<?php echo $page->ID;?>][]" type="number" class="form-control" value="<?php echo $page_structures->coins;?>">
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <?php } ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <h4><?php echo __( 'Posts', 'am' );?></h4>
              <?php 
			  $selected_product_secure_posts = maybe_unserialize($product->product_secure_posts);
			  $posts_price = maybe_unserialize($product->posts_price);
			  ?>
              <div class="col-xs-12 col-sm-12 col-md-10 col-lg-8 col-lg-offset-2 col-md-offset-1">
                <div class="row">
                  <div class="PageAndPost_main_outer">
                    <div class="PageAndPost_main_iner">
                      <?php $i=0;?>
                      <?php foreach( $posts as $post ) { ?>
                      <?php 
					  //Get Product Post Sturcture
					  $post_structures = $this->am_get_product_page_structure($product->id,$post->ID);
					  ?>
                      <div class="PageAndPost_main_panel">
                        <div class="PageAndPost_main_header">
                          <input type="hidden" min="0" value="<?php echo $posts_price[$i];?>" name="posts_price[]" id="prost_price_<?php echo $post->ID;?>" />
                          <div class="pp_check">
                            <input type="checkbox" name="product_secure_posts[]" value="<?php echo $post->ID;?>" <?php if(is_array($selected_product_secure_posts) && in_array($post->ID, $selected_product_secure_posts)) {?> checked <?php } ?> />
                            <span class="cicon"> <i class="fa fa-check-square-o" aria-hidden="true"></i> <i class="fa fa-square-o" aria-hidden="true"></i> </span> </div>
                          <div class="pp_title"><?php echo $post->post_title;?></div>
                        </div>
                        <div class="PageAndPost_main_body">
                          <div class="iner_options_acrdn Enable_Free_Access_01">
                            <div class="iner_options_acrdn_head">
                              <h4> <i class="fa fa-plus" aria-hidden="true"></i> <i class="fa fa-minus" aria-hidden="true"></i> <?php echo __( 'Enable Free Access (Summit Mode)', 'am' );?></h4>
                              <span class="inop_icon"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </span> </div>
                            <div class="iner_options_acrdn_body">
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-12">
                                    <label><?php echo __( 'Start Free Access', 'am' );?></label>
                                  </div>
                                  <div class="col-md-8 col-xs-12">
                                    <input name="post_free_access_start[<?php echo $post->ID;?>][]" type="text" class="form-control am_datepicker" value="<?php if($post_structures->free_access_start !=""){ echo date( "d.m.Y H:i", $post_structures->free_access_start);} ?>">
                                  </div>
                                </div>
                              </div>
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-12">
                                    <label><?php echo __( 'End Free Access', 'am' );?></label>
                                  </div>
                                  <div class="col-md-8 col-xs-12">
                                    <input name="post_free_access_end[<?php echo $post->ID;?>][]" type="text" class="form-control am_datepicker" value="<?php if($post_structures->free_access_end !=""){ echo date( "d.m.Y H:i", $post_structures->free_access_end);} ?>">
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div class="iner_options_acrdn Enable_Delayed_Access_01">
                            <div class="iner_options_acrdn_head">
                              <h4> <i class="fa fa-plus" aria-hidden="true"></i> <i class="fa fa-minus" aria-hidden="true"></i> <?php echo __( 'Enable Delayed Access on Purchase', 'am' );?></h4>
                              <span class="inop_icon"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </span> </div>
                            <div class="iner_options_acrdn_body">
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-12">
                                    <label><?php echo __( 'Days of Delay', 'am' );?></label>
                                  </div>
                                  <div class="col-md-8 col-xs-12">
                                    <input name="post_days_delay[<?php echo $post->ID;?>][]" type="number" class="form-control" value="<?php echo $post_structures->days_delay;?>">
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div class="iner_options_acrdn Evergreen_Mode_01">
                            <div class="iner_options_acrdn_head">
                              <h4> <i class="fa fa-plus" aria-hidden="true"></i> <i class="fa fa-minus" aria-hidden="true"></i> <?php echo __( 'Evergreen Mode', 'am' );?></h4>
                              <span class="inop_icon"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </span> </div>
                            <div class="iner_options_acrdn_body">
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-4">
                                    <label><?php echo __( 'Start Day', 'am' );?></label>
                                  </div>
                                  <div class="col-md-5 col-xs-4">
                                    <input name="post_evergreen_start_day[<?php echo $post->ID;?>][]" type="number" class="form-control" value="<?php echo $post_structures->evergreen_start_day;?>">
                                  </div>
                                  <div class="col-md-1 col-xs-2 text-center">
                                    <label style="text-align:center;">@</label>
                                  </div>
                                  <div class="col-md-2 col-xs-2">
                                    <select class="form-control" name="post_evergreen_start_hour[<?php echo $post->ID;?>][]">
                                    <?php 
									for( $i=0; $i<=23; $i++ ) {
										$selected = '';
										if( $post_structures->evergreen_start_hour == $i ) {
											$selected = ' selected';
										}
										if( $i<=9 ) {
											echo '<option value="0'.$i.'"'.$selected.'>0'.$i.'</option>';
										}else{
											echo '<option value="'.$i.'"'.$selected.'>'.$i.'</option>';
										}                
									}
									?>
                                    </select>
                                  </div>
                                </div>
                              </div>
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-4">
                                    <label><?php echo __( 'End Day', 'am' );?></label>
                                  </div>
                                  <div class="col-md-5 col-xs-4">
                                    <input name="post_evergreen_end_day[<?php echo $post->ID;?>][]" type="number" class="form-control" value="<?php echo $post_structures->evergreen_end_day;?>">
                                  </div>
                                  <div class="col-md-1 col-xs-2 text-center">
                                    <label style="text-align:center;">@</label>
                                  </div>
                                  <div class="col-md-2 col-xs-2">
                                    <select class="form-control" name="post_evergreen_end_hour[<?php echo $post->ID;?>][]">
                                    <?php 
									for( $i=0; $i<=23; $i++ ) {
										$selected = '';
										if( $post_structures->evergreen_end_hour == $i ) {
											$selected = ' selected';
										}
										if( $i<=9 ) {
											echo '<option value="0'.$i.'"'.$selected.'>0'.$i.'</option>';
										}else{
											echo '<option value="'.$i.'"'.$selected.'>'.$i.'</option>';
										}                
									}
									?>
                                    </select>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                          <div class="iner_options_acrdn Enable_Coinmanagement_01">
                            <div class="iner_options_acrdn_head">
                              <h4> <i class="fa fa-plus" aria-hidden="true"></i> <i class="fa fa-minus" aria-hidden="true"></i> <?php echo __( 'Enable Coinmanagement', 'am' );?></h4>
                              <span class="inop_icon"> <i class="fa fa-pencil-square-o" aria-hidden="true"></i> </span> </div>
                            <div class="iner_options_acrdn_body">
                              <div class="form-group col-xs-12">
                                <div class="row">
                                  <div class="col-md-4 col-xs-12">
                                    <label><?php echo __( 'Coins', 'am' );?></label>
                                  </div>
                                  <div class="col-md-8 col-xs-12">
                                    <input name="post_coins[<?php echo $post->ID;?>][]" type="number" class="form-control" value="<?php echo $post_structures->coins;?>">
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>
                      <?php } ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
			</div>
				<div id="payment_processor" style="display:none;">
		
			<div class="accessmen_hd">
              <h2><?php echo __( 'Payment Processor Connection', 'am' ); ?></h2>
            </div>
         
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'DigiStore24 Products', 'am' );?></label>
              </div>
              <div class="col-54 digi_products_list">
                <?php 
				//echo "<pre>";
				//print_r($selected_digi_products);
				
				global $wpdb;
				$selected_digi_products = array();
				
				$DigiSql =	"SELECT  digi_products,selected_product FROM wpiz_am_products WHERE id = '".$_GET['id']."' ";
				$DigiSqlResult = $wpdb->get_row($DigiSql);
				$digidata = $DigiSqlResult->digi_products;
				$selected_digi_products = explode(',' , $digidata);
				foreach( $digi_products as $k=>$pro ) { 
				if( $k == 'products' ) { 
					foreach( $pro as $digi_product ) { 
						if($digi_product->is_active == 'Y') { ?>
                        <div class="element-checkbox digi_products_list">
                          <input type="checkbox" name="digi_products" <?php if(in_array( $digi_product->id, $selected_digi_products )) { ?> checked ="checked" <?php } ?> id="digi_product_<?php echo $digi_product->id;?>" value="<?php echo $digi_product->id;?>" />
                          
                          <label for="digi_product_<?php echo $digi_product->id;?>"><?php echo $digi_product->id;?> - <?php echo $digi_product->name;?></label>
                        </div>
                <?php 	} 
                     }
				}
                }?>	
				<input type="text" name="selected_product"  value = "<?php echo $DigiSqlResult->selected_product; ?>" id ="selected_product"> 
              </div>
            </div></div>
			
			
          <div id="redirections" style="display:none">
		<div class="accessmen_hd">
              <h2><?php echo __( 'Redirections', 'am' ); ?></h2>
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Login redirect ', 'am' );?></label>
              </div>
              <div class="col-54">
                <select name="login_redirect" id="login_redirect" class="custom_selection_wrap">
                  <option value=""><?php echo __( 'Auto-Configurate', 'am' );?></option>
                  <?php foreach( $pages as $k=>$page ) { ?>
                  <option value="<?php echo $page->ID;?>"<?php if($product->login_redirect == $page->ID ){echo ' selected';}?>><?php echo $page->post_title;?></option>
                  <?php }?>
                </select>
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Error redirect to', 'am' );?></label>
              </div>
              <div class="col-54">
                <select name="error_redirect" id="error_redirect" class="custom_selection_wrap">
                  <option value=""><?php echo __( 'Select Page', 'am' );?></option>
                  <?php foreach( $pages as $k=>$page ) { ?>
                  <option value="<?php echo $page->ID;?>"<?php if($product->error_redirect == $page->ID ){echo ' selected';}?>><?php echo $page->post_title;?></option>
                  <?php }?>
                </select>
              </div>
            </div>
			
			<div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Lock user account if payment canceled)', 'am' );?></label>
              </div>
              <div class="col-54"> <span class="checkspan customcheck_span checkspan_custom_w">
                <input type="checkbox" value="yes" name="lock_user_on_no_payment"<?php if($product->lock_user_on_no_payment == 'yes' ){echo ' checked';}?> id="lock_user_on_no_payment">
                <span class="checklabspan"></span> </span> </div>
            </div>
            <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"><?php echo __( 'Account Lock redirect to', 'am' );?></label>
              </div>
              <div class="col-54">
                <select name="lock_redirect" id="lock_redirect" class="custom_selection_wrap">
                  <option value=""><?php echo __( 'Select Page', 'am' );?></option>
                  <?php foreach( $pages as $k=>$page ) { ?>
                  <option value="<?php echo $page->ID;?>"<?php if($product->lock_redirect == $page->ID ){echo ' selected';}?>><?php echo $page->post_title;?></option>
                  <?php }?>
                </select>
              </div>
            </div>
			
			</div>
			  <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"></label>
              </div>
              <div class="col-54">
                <input type="submit" name="btnsave" id="btnsave" class="custom_button_wrap" value="<?php echo __( 'Save', 'am' ); ?>">
              </div>
            </div>
			
				
          </li>
          
          
          <li class="Default_Design">
            <div id="image">
		  
            <div class="accessmen_hd">
              <h2><?php echo __( 'Images', 'am' );?></h2>
            </div>
            <div class="border-top-section">
              <div class="col-38">
                <label class="element-label"><?php echo __( 'Show Advertising Image if not logged in:', 'am' );?></label>
              </div>
              <div class="col-58"> <span class="checkspan customcheck_span checkspan_custom_w">
                <input type="checkbox" name="enable_adv"<?php if( $product->enable_adv == 'yes' ) {echo ' checked';}?> id="enable_adv" value="yes" class="enable_adv">
                <span class="checklabspan"></span> </span> </div>
            </div>
            <div class="border-top-section" id="upload_image" style="display:none;">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Select Advertising Image', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( !empty($product->adv_image) ) {?>
                <img src="<?php echo $product->adv_image;?>" width="150" /><br>
                <?php }?>
                <input type="text" name="adv_image" id="adv_image" value="<?php echo $product->adv_image;?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button  custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section" id="upload_url" style="display:none;">
              <div class="col-38">
                <label class="element-label"><?php echo __( 'Advertising URL', 'am' );?></label>
              </div>
              <div class="col-58">
                <input type="text" name="adv_url" id="adv_url" value="<?php echo $product->adv_url;?>" class="textfield element-form" />
              </div>
            </div>
           
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Page Background Image', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( !empty($product->bg_image) ) {?>
                <img src="<?php echo $product->bg_image;?>" width="150" /><br>
                <?php }?>
                <input type="text" name="bg_image" id="bg_image" value="<?php echo $product->bg_image;?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button  custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Page Logo', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( !empty($product->logo) ) {?>
                <img src="<?php echo $product->logo;?>" width="150" /><br>
                <?php }?>
                <input type="text" name="logo" id="logo" value="<?php echo $product->logo;?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
			</div>
			<div id="gradient" style="display:none">
			<div class="accessmen_hd">
              <h2><?php echo __( 'Gradients', 'am' );?></h2>
            </div>
            <div class="border-top-section">
              
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Background Gradient', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color Start', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="top_header_gradient_color1" id="top_header_gradient_color1" value="<?php echo $product->top_header_gradient_color1;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color End', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="top_header_gradient_color2" id="top_header_gradient_color2" value="<?php echo $product->top_header_gradient_color2;?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
            
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_wrap"><?php echo __( 'Content Top Area', 'am' );?></label>
              </div>
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Background Gradient', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color Start', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="content_top_gradient_color1" id="content_top_gradient_color1" value="<?php echo $product->content_top_gradient_color1;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color End', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="content_top_gradient_color2" id="content_top_gradient_color2" value="<?php echo $product->content_top_gradient_color2;?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
			</div>
			
			
            <div id="navigation" style="display:none;">
           
          <div class="accessmen_hd">
              <h2><?php echo __( 'Navigation', 'am' );?></h2>
         
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Sidebar', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="radio" name="menu_position" id="3233_tab1" value="left" <?php  if($product->menu_position == "left" || $product->menu_position == '' ){ echo ' checked';} ?> />
                    <label for="3233_tab1"><?php echo __('Left', 'am');?></label>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="radio" name="menu_position" id="222_tab1" value="right" <?php  if($product->menu_position == "right"){ echo ' checked';} ?> />
                    <label for="222_tab1"><?php echo __('Right', 'am');?></label>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="radio" name="menu_position" id="223332_tab1" value="top" <?php  if($product->menu_position == "top"){ echo ' checked';} ?>  />
                    <label for="223332_tab1"><?php echo __( 'Open all module tabs', 'am' );?></label>
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Module', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Background Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="module_bg_color" id="module_bg_color" value="<?php echo $product->module_bg_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="module_text_color" id="module_text_color" value="<?php echo $product->module_text_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="size_font_warp">
                  <div class="color_start_wrap">
                    <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                    <div class="aligment_wrap"> <span class="color_custom_pi">
                      <input type="number" name="module_text_size" id="module_text_size" min="10" value="<?php echo $product->module_text_size;?>" />
                      </span> </div>
                  </div>
                  <div class="color_start_wrap font_wrap">
                    <label class="custom_element"> <?php echo __( 'Font', 'am' );?></label>
                    <div class="aligment_wrap"> <span class="color_custom_pi">
                      <select name="module_text_font" id="module_text_font" class="custom_selection_wo_w product_module_text">
                        <option value=""><?php echo __( 'Select Font', 'am' );?></option>
                        <?php 
						foreach( $fonts as $font ) {
							if($product->module_text_font == $font ){
								echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';
							}else{
								echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';
							}                                        
						}
						?>
                      </select>
                      </span> </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Lesson', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Background Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="lesson_bg_color" id="lesson_bg_color" value="<?php echo $product->lesson_bg_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="lesson_text_color" id="lesson_text_color" value="<?php echo $product->lesson_text_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="size_font_warp">
                  <div class="color_start_wrap">
                    <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                    <div class="aligment_wrap"> <span class="color_custom_pi">
                      <input type="number" name="lesson_text_size" id="lesson_text_size" min="10" value="<?php echo $product->lesson_text_size;?>" />
                      </span> </div>
                  </div>
                  <div class="color_start_wrap font_wrap">
                    <label class="custom_element"><?php echo __( 'Font', 'am' );?></label>
                    <div class="aligment_wrap"> <span class="color_custom_pi">
                      <select name="lesson_text_font" id="lesson_text_font" class="custom_selection_wo_w product_module_text">
                        <option value=""><?php echo __( 'Select Font' , 'am' );?></option>
                        <?php 
						foreach( $fonts as $font ) {
							if($product->lesson_text_font == $font ){
								echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';
							}else{
								echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';
							}                                        
						}
						?>
                      </select>
                      </span> </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Accessible Text', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Active', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="access_active_color" id="access_active_color" value="<?php echo $product->access_active_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"> <?php echo __( 'Inactive', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="access_inactive_color" id="access_inactive_color" value="<?php echo $product->access_inactive_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Accessible Symbol', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Active', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="access_symbol_active_color" id="access_symbol_active_color" value="<?php echo $product->access_symbol_active_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Inactive', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="access_symbol_inactive_color" id="access_symbol_inactive_color" value="<?php echo $product->access_symbol_inactive_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Module Tabs', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="radio" name="module_tab" id="product_module_tab1" value="all_active" <?php if( $product->module_tab == "all_active" ) {echo " checked";}?>>
                    <label for="product_module_tab1"><?php echo __( 'Open all active module tabs', 'am' );?></label>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="radio" name="module_tab" id="product_module_tab2" value="close_all" <?php if( $product->module_tab == "close_all" ) {echo " checked";}?>>
                    <label for="product_module_tab2"><?php echo __( 'Close all module tabs', 'am' );?></label>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="radio" name="module_tab" id="product_module_tab3" value="open_all" <?php if( $product->module_tab == "open_all" ) {echo " checked";}?>>
                    <label for="product_module_tab3"> <?php echo __( 'Open all module tabs', 'am' );?></label>
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Sticky Menu', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="checkbox" name="sticky_menu" value="yes" id="sticky_menu" class="sticky_menu" <?php if( $product->sticky_menu == "yes" ) {echo " checked";}?>>
                    <label for="sticky_menu"><?php echo __( 'Always on top (Sticky menu)', 'am' );?></label>
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Scrollbar', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="checkbox" name="scrollbar" value="yes" id="scrollbar" <?php if( $product->scrollbar == "yes" ) {echo " checked";}?> class="scrollbar">
                    <label for="scrollbar"><?php echo __( 'Scrollbar', 'am' );?></label>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="checkbox" name="auto_scroll" value="yes" id="auto_scroll" <?php if( $product->auto_scroll == "yes" ) {echo " checked";}?> class="scrollbar">
                    <label for="auto_scroll"><?php echo __( 'Auto Scroll To Active Lessons', 'am' );?></label>
                    </span> </div>
                </div>
              </div>
            </div>
		
			</div>
				 <div class="border-top-section">
              <div class="col-40  ">
                <label class="element-label"></label>
              </div>
              <div class="col-54">
                <input type="submit" name="btnsave" id="btnsave" class="custom_button_wrap" value="<?php echo __( 'Save', 'am' ); ?>">
              </div>
            </div>
			
			<div id="post_header" style="display:none">
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_wrap"><?php echo __( 'Post Header', 'am' );?></label>
              </div>
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Duration Text', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="post_duriation_text_color" id="post_duriation_text_color" value="<?php echo $product->post_duriation_text_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="number" name="post_duriation_text_size" id="post_duriation_text_size" min="10" value="<?php echo $product->post_duriation_text_size;?>" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Font', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <select name="post_duriation_text_font" id="post_duriation_text_font" class="custom_selection_wo_w product_module_text">
                      <option value=""><?php echo __( 'Select Font', 'am' );?></option>
                      <?php 
					  foreach( $fonts as $font ) {
							if($product->post_duriation_text_font == $font ){
								echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';
							}else{
								echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';
							}                                        
					   }
					   ?>
                    </select>
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Instructor', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="instructor_text_color" id="instructor_text_color" value="<?php echo $product->instructor_text_color;?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="number" name="instructor_text_size" id="instructor_text_size" min="10" value="<?php echo $product->instructor_text_size;?>" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Font', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <select name="instructor_text_font" id="instructor_text_font" class="custom_selection_wo_w product_module_text">
                      <option value=""><?php echo __( 'Select Font', 'am' );?></option>
                      <?php 
					  foreach( $fonts as $font ) {
							if($product->instructor_text_font == $font ){
								echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';
							}else{
								echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';
							}                                        
					   }
					   ?>
                    </select>
                    </span> </div>
                </div>
              </div>
            </div>
           
			</div>
          </li>
        </ul>
      </div></div>
    </form>
  </div>
</div>
<?php
 


if(empty($am_lincense_key))
{
	?>
	
	<script>
		jQuery(document).ready(function(){
				
			jQuery(".checkbox_course").click(function()
			{
				jQuery(this).next().next().show().fadeOut(5000)
				return false;
			});
			
		});
	
	</script>

<?php } ?>
<script src="https://rubaxa.github.io/Sortable/Sortable.js"></script> 
<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script> 
<script src="<?php echo AM_PLUGIN_URL;?>js/jquery.datetimepicker.full.min.js"></script> 
<script>
	Sortable.create(am_product_modules_list, {
	  animation: 150
	});
</script> 
<script>
jQuery(document).ready(function(e) {
    jQuery(".col-54.digi_products_list input:checkbox").change(function() {
        var checkedarray = [];
        jQuery(".col-54.digi_products_list input:checkbox").each(function() {
            if (jQuery(this).is(":checked")) {
                checkedarray.push($(this).val());
            } else {}
        });
        jQuery("#selected_product").val(checkedarray);
    });
    jQuery("body").on("click", ".GeneralSettings", function() {
        jQuery(".setting-iner-header > ul > li").removeClass("active");
        jQuery(".setting-iner-body > ul > li").removeClass("active");
        jQuery(this).addClass("active");
        jQuery(".General_Settings").addClass("active");
		jQuery("#product_details").show();
			jQuery("#product_design").hide();
		
    });
    jQuery("body").on("click", ".DefaultDesign", function() {
        jQuery(".setting-iner-header > ul > li").removeClass("active");
        jQuery(".setting-iner-body > ul > li").removeClass("active");
        jQuery(this).addClass("active");
        jQuery(".Default_Design").addClass("active");
		jQuery("#product_details").hide();
			jQuery("#product_design").show();
    });
});

	
	
	
	
</script> 
<script>
jQuery(document).ready(function(e) {
    jQuery("body").on("click",".module_main_heading h2",function(){
		if(jQuery(this).closest(".module_main_heading").hasClass("active")){
			jQuery(this).closest(".module_main_heading").removeClass("active");
			jQuery(this).closest(".module_main_panel").find(".module_main_body").removeClass("active");	
		}else{
			jQuery(this).closest(".module_main_heading").addClass("active");
			jQuery(this).closest(".module_main_panel").find(".module_main_body").addClass("active");
		}
	});
	
	
	jQuery("body").on("click",".lesson_box_heading h3",function(){
		if(jQuery(this).closest(".lesson_box_heading").hasClass("active")){
			jQuery(this).closest(".lesson_box_heading").removeClass("active");
			jQuery(this).closest(".lesson_main_box").find(".lesson_box_body").removeClass("active");	
		}else{
			jQuery(this).closest(".lesson_box_heading").addClass("active");
			jQuery(this).closest(".lesson_main_box").find(".lesson_box_body").addClass("active");
		}
	});
	
	
	jQuery("body").on("click",".iner_options_acrdn_head h4 , .inop_icon",function(){
		if(jQuery(this).closest(".iner_options_acrdn_head").hasClass("active")){
			jQuery(this).closest(".iner_options_acrdn_head").removeClass("active");
			jQuery(this).closest(".iner_options_acrdn").find(".iner_options_acrdn_body").removeClass("active");	
		}else{
			jQuery(this).closest(".iner_options_acrdn_head").addClass("active");
			jQuery(this).closest(".iner_options_acrdn").find(".iner_options_acrdn_body").addClass("active");
		}
	});
	
	
	//*------------------------------------------*/ lesson_main_box selected-lesson select-lesson-for-heading
	jQuery(".select-lesson-for-heading").on("change",function(){
		var thislesson_name = $(this).find("option:selected").text();
		$(this).closest(".lesson_main_box").find(".selected-lesson").text(thislesson_name);
	});
	jQuery(".select-lesson-for-heading").each(function(index, element) {
        var thislesson_namex = $(this).find("option:selected").text();
		$(this).closest(".lesson_main_box").find(".selected-lesson").text(thislesson_namex);
    });
	/*--------------------------------  
	Enable_Free_Access_01 Enable_Delayed_Access_01 Evergreen_Mode_01 Enable_Coinmanagement_01 
	------------*/
	function thischeckceddsfa(){
		if(jQuery(".EnableFreeAccess01").is(":checked")){
			jQuery(".Enable_Free_Access_01").show();
		}else{
			jQuery(".Enable_Free_Access_01").hide();
		}
		if(jQuery(".EnableDelayedAccess01").is(":checked")){
			jQuery(".Enable_Delayed_Access_01").show();
		}else{
			jQuery(".Enable_Delayed_Access_01").hide();
		}
		if(jQuery(".EvergreenMode01").is(":checked")){
			jQuery(".Evergreen_Mode_01").show();
		}else{
			jQuery(".Evergreen_Mode_01").hide();
		}
		if(jQuery(".EnableCoinmanagement01").is(":checked")){
			jQuery(".Enable_Coinmanagement_01").show();
		}else{
			jQuery(".Enable_Coinmanagement_01").hide();
		}
	}
	thischeckceddsfa();

	jQuery(".EnableFreeAccess01").on("click",function(){
		if(jQuery(this).is(":checked")){
			jQuery(".Enable_Free_Access_01").show();
		}else{
			jQuery(".Enable_Free_Access_01").hide();
		}
	});
	
	jQuery(".EnableDelayedAccess01").on("click",function(){
		if(jQuery(this).is(":checked")){
			jQuery(".Enable_Delayed_Access_01").show();
		}else{
			jQuery(".Enable_Delayed_Access_01").hide();
		}
	});
	
	jQuery(".EvergreenMode01").on("click",function(){
		if(jQuery(this).is(":checked")){
			jQuery(".Evergreen_Mode_01").show();
		}else{
			jQuery(".Evergreen_Mode_01").hide();
		}
	});
	
	jQuery(".EnableCoinmanagement01").on("click",function(){
		if(jQuery(this).is(":checked")){
			jQuery(".Enable_Coinmanagement_01").show();
		}else{
			jQuery(".Enable_Coinmanagement_01").hide();
		}
	});
});
</script> 
<script>
jQuery( function() {
	
	jQuery( ".module_main_outer" ).sortable({ 
		handle: '.module_main_heading',
		update: function(){
			jQuery(".module_main_panel").each(function(index, element) {
                var thisDataIndex = jQuery(this).index() + 1;
				jQuery(this).attr("data-index",thisDataIndex);
            });
		} 
	});
	jQuery( ".module_main_outer" ).disableSelection();
	
	jQuery( ".lesson_append_box" ).sortable({ 
		handle: '.lesson_box_heading',
		update: function(){
			jQuery(".lesson_main_box").each(function(index, element) {
                var thisDataIndex = jQuery(this).index() + 1;
				jQuery(this).attr("data-index",thisDataIndex);
            });
		} 
	});
	jQuery( ".lesson_append_box" ).disableSelection();
});
jQuery(document).ready(function(e) {
	
	jQuery(".amliparent_detail").click(function()
	{
		jQuery("#general").hide();
		jQuery("#course_architecture").hide();
		jQuery("#pages_posts").hide();
		jQuery("#payment_processor").hide();
		jQuery("#redirections").hide();
		
		
		var idtoshow=jQuery(this).attr('data-val');
		
		jQuery("#"+idtoshow).show();
		jQuery(".amliparent_detail").css({'background-color':'#FFF','font-weight':'normal'})
		jQuery(this).css({'background-color':'#F8F7F9','font-weight':'bold'});
	});
	
	jQuery("#enable_adv").change(function()
	{
		if(jQuery(this).is(":checked"))
		{
			jQuery("#upload_image").show();
			jQuery("#upload_url").show();
		}
		else
		{
			jQuery("#upload_image").hide();
			jQuery("#upload_url").hide();
			
		}
		
	});
	
	if(jQuery("#enable_sumit").is(":checked") || jQuery("#enable_evergreen").is(":checked"))
		{
			jQuery("#error_editor").show();
		}
		
	jQuery("#enable_sumit,#enable_evergreen").change(function()
	{
		if(jQuery("#enable_sumit").is(":checked") || jQuery("#enable_evergreen").is(":checked"))
		{
			jQuery("#error_editor").show();
		}
		else
		{
			jQuery("#error_editor").hide();
			
		}
		
		
	});

	jQuery(".amliparent_design").click(function()
	{
		jQuery("#gradient").hide();
		jQuery("#navigation").hide();
		jQuery("#image").hide();
		
		var idtoshow=jQuery(this).attr('data-val');
		
		jQuery("#"+idtoshow).show();
		jQuery(".amliparent_design").css({'background-color':'#FFF','font-weight':'normal'})
		jQuery(this).css({'background-color':'#F8F7F9','font-weight':'bold'});
	});

    jQuery("body").on("click",".pp_check input",function(){
		if(jQuery(this).is(":checked")){
			jQuery(this).closest(".PageAndPost_main_panel").addClass("active");
		}else{
			jQuery(this).closest(".PageAndPost_main_panel").removeClass("active");
		}
	});
	
	jQuery(".pp_check input").each(function(index, element) {
		if(jQuery(this).is(":checked")){
			jQuery(this).closest(".PageAndPost_main_panel").addClass("active");
		}else{
			jQuery(this).closest(".PageAndPost_main_panel").removeClass("active");
		}
	});
});
</script>