<div class="lesson_main_box am_product_lesson" data-index="<?php echo $lesson_id;?>" id="am_product_lesson_<?php echo $lesson_id;?>">
<div class="lesson_box_heading active">
    <h3>
        <i class="fa fa-plus" aria-hidden="true"></i>
        <i class="fa fa-minus" aria-hidden="true"></i>
        <span class="selected-lesson"><?php echo __( 'New Lesson', 'am' );?></span>
    </h3>
    <span class="lson-icons">
        <span class="lson-trash" data-lesson-id="<?php echo $lesson_id;?>" data-module-id="<?php echo $module->id;?>" onclick="javascript: return am_del_lesson(this);"><i class="fa fa-trash-o" aria-hidden="true"></i></span>
        <span class="lson-drag"><i class="fa fa-bars" aria-hidden="true"></i></span>
    </span>
</div>
<div class="lesson_box_body active">
    <div class="select_lesson_box">
        <div class="col-md-offset-1 col-md-3 col-xs-12">
            <label><?php echo __( 'Select Lesson', 'am' );?></label>
        </div>
        <div class="col-md-6 col-xs-12">
            <select name="lessons_<?php echo $module->id;?>[]" class="am_product_select_lesson select-lesson-for-heading" data-module-id="<?php echo $module->id;?>" data-lesson-id="<?php echo $lesson_id;?>" onchange="javascript: am_update_lesson_fields(this);">
                <option value=""><?php echo __( 'Select Lesson', 'am' );?></option>
                <?php foreach( $lessons as $lesson ) {?>
                <option value="<?php echo $lesson->ID;?>"><?php echo $lesson->post_title;?></option>
                <?php }?>
            </select>
        </div>
    </div>
   <div class="iner_options_acrdn Enable_Free_Access_01">
        <div class="iner_options_acrdn_head active">
            <h4>
                <i class="fa fa-plus" aria-hidden="true"></i>
                <i class="fa fa-minus" aria-hidden="true"></i>
                <?php echo __( 'Enable Free Access (Summit Mode)', 'am' );?> 
            </h4>
        </div>
        <div class="iner_options_acrdn_body active">
            <div class="form-group col-xs-12">
                <div class="row">
                    <div class="col-md-4 col-xs-12">
                        <label><?php echo __( 'Start Free Access', 'am' );?></label>
                    </div>
                    <div class="col-md-8 col-xs-12">
                        <input type="text" class="form-control am_datepicker" value="" name="" id="free_access_start_<?php echo $lesson_id;?>" />
                    </div>
                </div>
            </div>    
            <div class="form-group col-xs-12">
                <div class="row">
                    <div class="col-md-4 col-xs-12">
                        <label><?php echo __( 'End Free Access', 'am' );?></label>
                    </div>
                    <div class="col-md-8 col-xs-12">
                        <input type="text" class="form-control am_datepicker" value="" name="" id="free_access_end_<?php echo $lesson_id;?>" />
                    </div>
                </div>
            </div> 
        </div>
    </div>
   <div class="iner_options_acrdn Enable_Delayed_Access_01">
        <div class="iner_options_acrdn_head active">
            <h4>
                <i class="fa fa-plus" aria-hidden="true"></i>
                <i class="fa fa-minus" aria-hidden="true"></i>
                <?php echo __( 'Enable Delayed Access on Purchase', 'am' );?>
            </h4>
        </div>
        <div class="iner_options_acrdn_body active">
            <div class="form-group col-xs-12">
                <div class="row">
                    <div class="col-md-4 col-xs-12">
                        <label><?php echo __( 'Days of Delay', 'am' );?></label>
                    </div>
                    <div class="col-md-8 col-xs-12">
                        <input type="number" value="0" min="0" name="" class="form-control" id="days_delay_<?php echo $lesson_id;?>" />
                    </div>
                </div>
            </div>    
        </div>
    </div>
   <div class="iner_options_acrdn Evergreen_Mode_01">
        <div class="iner_options_acrdn_head active">
            <h4>
                <i class="fa fa-plus" aria-hidden="true"></i>
                <i class="fa fa-minus" aria-hidden="true"></i>
                <?php echo __( 'Evergreen Mode', 'am' );?>
            </h4>
        </div>
        <div class="iner_options_acrdn_body active">
            <div class="form-group col-xs-12">
                <div class="row">
                    <div class="col-md-4 col-xs-4">
                        <label><?php echo __( 'Start Day', 'am' );?></label>
                    </div>
                    <div class="col-md-5 col-xs-4">
                        <input type="number" class="form-control" name="evergreen_start_day" id="evergreen_start_day_<?php echo $lesson_id;?>" min="0" value="0" />
                    </div>
                    <div class="col-md-1 col-xs-2 text-center">
                        <label style="text-align:center;">@</label>
                    </div>
                    <div class="col-md-2 col-xs-2">
                        <select name="evergreen_start_hour" id="evergreen_start_hour_<?php echo $lesson_id;?>" class="form-control">
						<?php 
                        for( $i=0; $i<=23; $i++ ) {
                            if( $i<=9 ) {
                                echo '<option value="0'.$i.'">0'.$i.'</option>';
                            }else{
                                echo '<option value="'.$i.'">'.$i.'</option>';
                            }                
                        }
                        ?>
                        </select>
                    </div>
                </div>
            </div>  
            <div class="form-group col-xs-12">
                <div class="row">
                    <div class="col-md-4 col-xs-4">
                        <label><?php echo __( 'End Day', 'am' );?></label>
                    </div>
                    <div class="col-md-5 col-xs-4">
                        <input type="number" name="evergreen_end_day" id="evergreen_end_day_<?php echo $lesson_id;?>" min="0" value="0" class="form-control" />
                    </div>
                    <div class="col-md-1 col-xs-2 text-center">
                        <label style="text-align:center;">@</label>
                    </div>
                    <div class="col-md-2 col-xs-2">
                        <select name="evergreen_end_hour" id="evergreen_end_hour_<?php echo $lesson_id;?>" class="form-control">
						<?php 
                        for( $i=0; $i<=23; $i++ ) {
                            if( $i<=9 ) {
                                echo '<option value="0'.$i.'">0'.$i.'</option>';
                            }else{
                                echo '<option value="'.$i.'">'.$i.'</option>';
                            }                
                        }
                        ?>
                        </select>
                    </div>
                </div>
            </div>  
        </div>
    </div>
   <div class="iner_options_acrdn Enable_Coinmanagement_01">
        <div class="iner_options_acrdn_head active">
            <h4>
                <i class="fa fa-plus" aria-hidden="true"></i>
                <i class="fa fa-minus" aria-hidden="true"></i>
                <?php echo __( 'Enable Coinmanagement', 'am' );?>
            </h4>
        </div>
        <div class="iner_options_acrdn_body active">
            <div class="form-group col-xs-12">
                <div class="row">
                    <div class="col-md-4 col-xs-12">
                        <label><?php echo __( 'Coins', 'am' );?></label>
                    </div>
                    <div class="col-md-8 col-xs-12">
                        <input type="number" class="form-control" value="0" min="0" name="tokens" id="tokens_<?php echo $lesson_id;?>" />
                    </div>
                </div>
            </div>  
        </div>
    </div>
</div>
</div>