<?php if ( $message!="") : ?>

<div id="message" class="updated fade"><p><strong><?php echo __($message, 'am'); ?></strong></p></div>

<?php endif; ?>

<div class="wrap">

<br>

<h1><?php echo __( 'Manage Offers', 'am' );?> <a href="?page=am_offers&action=add" class="page-title-action"><?php echo __( 'Add New', 'am' );?></a></h1>

<br>

<table class="wp-list-table widefat fixed" cellspacing="0">

	<thead>

        <tr>

            <th scope="col" class="manage-column " style=""><?php echo __( 'Short-Code', 'am' );?></th>

            <th scope="col" class="manage-column num" style=""><?php echo __( 'Offer name', 'am' );?></th>

            <th scope="col" class="manage-column num" style=""><?php echo __( 'Products', 'am' );?></th>

            <th scope="col" class="manage-column num" style=""><?php echo __( 'Lessons', 'am' );?></th>

            <th scope="col" class="manage-column num" style=""><?php echo __( 'Buyers', 'am' );?></th>            

            <th scope="col" class="manage-column num" width="350"><?php echo __( 'Action', 'am' );?></th>	

        </tr>

	</thead>



	<tfoot>

        <tr>

            <th scope="col" class="manage-column " style=""><?php echo __( 'Short-Code', 'am' );?></th>

            <th scope="col" class="manage-column num" style=""><?php echo __( 'Offer name', 'am' );?></th>

            <th scope="col" class="manage-column num" style=""><?php echo __( 'Products', 'am' );?></th>

            <th scope="col" class="manage-column num" style=""><?php echo __( 'Lessons', 'am' );?></th>

            <th scope="col" class="manage-column num" style=""><?php echo __( 'Buyers', 'am' );?></th>            

            <th scope="col" class="manage-column num" width="350"><?php echo __( 'Action', 'am' );?></th>	

        </tr>

	</tfoot>



	<tbody id="the-list" class="list">

            <?php if( !empty($offers) ) {?>

                <?php foreach( $offers as $offer ) { ?>

                    <?php

                    $members_count = $modules = $lessons = 0;

                    $product_ids = array();

                    foreach( $offers_structure as $lesson ) {

                        if( $lesson->offer_id == $offer->id ) {

                            $lessons++;

                            $product_ids[] = $lesson->product_id;

                        }

                    }

                    $products = sizeof(array_unique($product_ids));

                    foreach( $members as $member ) {

                        if( $member->offer_id == $offer->id ) {

                            $members_count++;

                        }

                    }

                    ?>

                    <tr class="alternate">

                        <td><strong>[am_offer id="<?php echo $offer->id;?>"]</strong></td>

                        <td class="num"><?php echo $offer->offer_name;?></td>

                        <td class="num"><?php echo $products;?></td>

                        <td class="num"><?php echo $lessons;?></td>

                        <td class="num"><?php echo $members_count;?></td>                                                

                        <td class="action column-action num" width="350">

                            <a href="?page=am_offers&action=del&id=<?php echo $offer->id;?>" onClick="javascript: return confirm('<?php echo __( 'Are you sure you want to delete that item?');?>');"><?php echo __( 'Delete', 'am' );?></a> / <a href="?page=am_offers&action=edit&id=<?php echo $offer->id;?>"><?php echo __( 'Edit', 'am' );?> / <a href="?page=am_offers&action=clone&id=<?php echo $offer->id;?>"><?php echo __( 'Clone', 'am' );?></a>

                        </td>

                    </tr>

                <?php }?>

            <?php }else{?>

            <tr class="alternate">

                <td colspan="6">

                    <p><?php echo __( 'There is no offer at the moment', 'am' );?></p>

                </td>

            </tr>

            <?php }?>

	</tbody>

</table>

</div>