<link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>css/jquery-confirm.css"/>
<?php 
global $wpdb;
			
				
require_once("pagination.class.php");
if ( $message!="") : ?>
<div id="message" class="updated" style="margin-left: 2px;">
	<p><strong><?php echo __( $message, 'am' ); ?></strong></p>
</div>
<?php endif; ?> 

<?php
	
	$sql    = "SELECT * FROM `".$wpdb->prefix."am_orders` ";
	$results=$wpdb->get_results($sql);
	$order_count=count($results);
	$am_lincense_key=constant('AM_LICENSE_KEY'); 

?>
 
<section class="main_manage_wrap_order_page">
    <div class="container-fluid">
        <div class="row custom_secondary_wrap">
            <div class="col-lg-12 custom_manage_title_wrap">
                <h3><?php echo __( 'Orders', 'am' );?> </h3> 
            </div>
			<div class="row custom_manage_btn_wrap" style="padding:0px 10px">
			<?php if(empty($am_lincense_key) && $order_count>50){ ?>
				
				<div id="message" class="error">
					<p><strong><?php echo __("Please enter a licence key in order to add a new order.", 'am'); ?></strong></p>
				</div>
            
			<?php }else { ?>
			<div class="col-sm-6">
                <a href="?page=am_orders&action=add" type="button" class="custom_add_lesson_wrap"><?php echo __( 'Add New', 'am' );?></a>
				
            </div>
					
				
			<?php } ?>
			
			<div class="col-sm-6" style="text-align:right">
               <form action="" method="post" style="display:inline">
				<input type="text" name="search_email" placeholder="E-Mail suchen..."/>
				<input type="submit" name="submit" class="custom_add_lesson_wrap" />
			   
			   </form>
				
            </div>
			</div>
        </div>
    </div>
    <div class="container-fluid custom_wrap_table">
        <div class="row  table-responsive">
            <table class="table table-bordered custom_table_wrap_b">
                <thead>
                    <tr>
                        <th><?php echo __( 'Product Name', 'am' );?></th>
                        <th><?php echo __( 'Order ID', 'am' );?></th>
                        <th><?php echo __( 'Buyer', 'am' );?></th>
                        <th><?php echo __( 'Order Date', 'am' );?></th>
                        <th><?php echo __( 'Status', 'am' );?></th>
                        <th><?php echo __( 'Action', 'am' );?></th>
                    </tr>
                </thead>
                <tbody>
                <?php
					
				global $wpdb;
				/* Show many results per page? */
				$sql    = "SELECT * FROM `".$wpdb->prefix."am_orders` ";
				if(isset($_POST['submit']))
				{
					$sql    = "SELECT * FROM `".$wpdb->prefix."am_orders` where buyer_email='".$_POST['search_email']."'";
				}
				
				$count  = $wpdb->get_results( $sql );
				
					
				$items  = count($count); 
				$limit  = 10; // If you want to exceed the limit No. 
			    if($items > 0) {
					$p = new pagination;
					$p->items($items);
					$p->limit($limit); // Limit entries per page
					$p->target("admin.php?page=am_orders"); 
					$p->currentPage($_GET[$p->paging]); // Gets and validates the current page
					$p->calculate(); // Calculates what to show
					$p->parameterName('paging');
					$p->adjacents(1); //No. of page away from the current page
							 
					if(!isset($_GET['paging'])) {
						$p->page = 1;
						$i = 1;
					} else {
						$p->page = $_GET['paging'];
						$i = ($_GET['paging'] -1)* $limit;			
					}
					//Query for limit paging
					$limit = "LIMIT " . ($p->page - 1) * $p->limit  . ", " . $p->limit;	
					$sql2 = "SELECT * FROM `".$wpdb->prefix."am_orders` $limit";
					if(isset($_POST['submit']))
					{
						$sql2 = "SELECT * FROM `".$wpdb->prefix."am_orders` where buyer_email='".$_POST['search_email']."' $limit";
					}
					
					$orders = $wpdb->get_results( $sql2 ); 
				} 
 
				
					
				if( !empty($orders) ) {
						 foreach( $orders as $order ) { ?>
                    <tr>
                        <td><?php echo $order->product_name;?></td>
                        <td><?php echo $order->order_id;?></td>
                        <td><?php echo $order->buyer_email;?></td>
                        <td><?php echo date_i18n( 'd-m-Y',$order->order_timestamp);?></td>
                        <td>
                        <?php if($order->status=='active'){?>
                        <span class="custom_active"><?php echo __( 'Active', 'am' );?></span>
                        <?php }else{ ?>
                        <span class="custom_not_active"><?php echo __( 'Not active', 'am' );?></span>
                        <?php } ?>
                        </td>
                        <td> 
                        <span class="cutom_delete custom_padding">
                        <a href="?page=am_orders&action=del&id=<?php echo $order->id;?>" onclick="javascript: return confirm('<?php echo __( 'Are you sure you want to delete that item?', 'am' );?>');"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                        </span> 
                        
                        <span class="cutom_edit custom_padding">
                        <a href="?page=am_orders&action=edit&id=<?php echo $order->id;?>"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                        </span> 
                        
                        <span class="cutom_email custom_padding">
                        <a href="javascript:void(0)" class="send_user_email" id="email<?php echo $order->id;?>" div_id="<?php echo $order->id;?>" email="<?php echo $order->buyer_email;?>" title="Resend Login Datas"><i class="fa fa-envelope" aria-hidden="true"></i></a>
                        </span> 
                        </td>
                    </tr>
                    <?php }?>
					<?php }else{?>
                    <tr class="alternate">
                        <td colspan="6">
                            <p><?php echo __( 'There is no order at the moment', 'am' );?></p>
                        </td>
                    </tr>
                    <?php }?>
                </tbody>
                <tfoot>
                    <tr>
                        <th><?php echo __( 'Product Name', 'am' );?></th>
                        <th><?php echo __( 'Order ID', 'am' );?></th>
                        <th><?php echo __( 'Buyer', 'am' );?></th>
                        <th><?php echo __( 'Order Date', 'am' );?></th>
                        <th><?php echo __( 'Status', 'am' );?></th>
                        <th><?php echo __( 'Action', 'am' );?></th>
                    </tr>
                </tfoot>
            </table>
        </div>
        <div class="custom_pagination_wrap">
        <ul class="pagination custom_pagination_ul">
         <?php
		 if(count($orders)>0){
		 echo $p->show();  // Echo out the list of paging. 
		 }?>
    </ul>
</div>
    </div>
</section>

<script type="text/javascript" src="<?php echo AM_PLUGIN_URL;?>js/jquery-confirm.js"></script>
<script>
jQuery('.send_user_email').on('click', function () {
		
	 var user_email = $(this).attr('email');
	 var div_id = $(this).attr('div_id');
	 
	 $("#email"+div_id).html('<img src="<?php echo site_url(); ?>/wp-content/plugins/access_members/images/ajax-loader.gif">');
	
	 jQuery.ajax({
		type: 'post', 
		url: "<?php echo admin_url('admin-ajax.php'); ?>",
		data : {action: "send_user_credentails",user_email:user_email},
		success: function(response){
			
			jQuery("#email"+div_id).html('<i class="fa fa-envelope" aria-hidden="true"></i>');
			
			if(response ==1){
			
			jQuery.alert({
							type: 'green',
							title: 'Success',
							content: 'Username and password send successfully',
							buttons: {
									   tryAgain: {
									   text: 'OK',
									   btnClass: 'btn-green',
									   action: function(){}
									 }
							}
			  			});	
						
			}else{
				
			jQuery.alert({
						type: 'red',
						title: 'Error',
						content: response,
						buttons: {
								   tryAgain: {
								   text: 'OK',
								   btnClass: 'btn-green',
								   action: function(){}
								 }
						}
					});		
			
			}
			
		}
	});
		
});
</script>