<link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>/css/new_common.css?v-1.1">
<link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>/css/bootstrap.min.css?v-1.1">

<?php if ( $message!="") : ?>
<div id="message" class="updated"><p><strong><?php echo __( $message, 'am' ); ?></strong></p></div>
<?php endif; ?>

<div class="main_wrap_am-email-series mail_serires_margin">
  	
    <div class="custom_email_series_wrap custom_newsletter_wrap_mar">
        <h4><?php echo __( 'E-Mail - Contacts - New', 'am' ); ?></h4> 
    </div> 
    
    <div class="setting-iner-header">
        <ul>
            
            <li class="DefaultDesign">
                <a href="?page=am_newsletter" class="am_active"> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope-o" aria-hidden="true"></i></div>
                    <?php echo __( 'Newsletter', 'am' );?>
                </a>
            </li>
            
            <?php //if($license_settings->email_series ==1){ ?>
            <li class="GeneralSettings ">
                <a href="?page=am_email_series" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope" aria-hidden="true"></i> </div>
                    <?php echo __( 'E-mail Series', 'am' );?>
                </a>
            </li>
            <?php //} ?>
            
            
            <li class="LoginDefaultDesign active">
                <a href="?page=am_contacts" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-phone-square" aria-hidden="true"></i></div>
                    <?php echo __( 'Contacts', 'am' );?>
                </a>
            </li>
            
            
            <?php //if($license_settings->optin_forms ==1){ ?>
            <li class="LoginDefaultDesign">
                <a href="?page=am_optin_frm" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-lock" aria-hidden="true"></i></div>
                    <?php echo __( 'Opt-In Forms', 'am' );?>
                </a>
            </li>
            <?php //} ?>
            
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_tags" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"><i class="fa fa-tags" aria-hidden="true"></i></div>
                    <?php echo __( 'Tags', 'am' );?>
                </a>
            </li>
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_email_setting" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-cog" aria-hidden="true"></i></div>
                    <?php echo __( 'Settings', 'am' );?>
                </a>
            </li>
        </ul>
    </div>
   
    <div class="container-fluid">
        <form method="post" action="?page=am_contacts&action=add" enctype="multipart/form-data" >
        <div class="row">
            <div class="col-lg-3 col-md-3 col-sm-3 custom-col">
                
                <div class="action_tags_clsnew"><h3><?php echo __( 'Tags', 'am' ); ?></h3></div>
                <div class="target-tag-wraper">
                    <ul class="target-tags-con">
					<?php 
                    if(!empty($tags_arr)) {
						
                        foreach($tags_arr as $tag) {
						$count_tag_contacts = $this->count_tag_contacts($tag->id);	
                    ?> 
                       <li> 
                        	<span class="target-heading"><?php echo $tag->tag_name; ?></span> 
                            <span class="target-text"><?php echo $count_tag_contacts; ?></span> 
                            <div class="pull-right checkbox-main-bx">
                                <input type="checkbox" value="<?php echo $tag->id; ?>" name="tag_id[]" id="<?php echo $tag->id; ?>">
                                <label class="icons check_custom" for="<?php echo $tag->id; ?>">
                                    <i class="fa fa-check custom_color-white" aria-hidden="true"></i>
                                </label>
                            </div>
                        </li>
                     <?php }
					 } ?>
                    </ul>
                </div>
            </div>
        
            <div class="col-lg-9 col-md-9 col-sm-9 sender-col">
                <div class="main_frm_content">
                    
                    <h4><?php echo __( 'Contact Details', 'am' ); ?></h4>
                    <div class="form-group">
                        <label><?php echo __( 'Name', 'am' ); ?></label>
                        <input type="text" name="contact_name" class="form-control element-form"> 
                    </div>
                    <div class="form-group">  
                       <label><?php echo __( 'E-Mail', 'am' ); ?></label>
                    	<input type="text" name="email_address" class="form-control element-form">
                    </div> 
                    
                    <div class="form-group">  
                       <label><?php echo __( 'Upload CSV', 'am' ); ?></label>
                    	<input type="file" name="csv_upload">
                        <small><?php echo __( 'Upload bulk of contacs at once', 'am' ); ?></small>
                    </div> 
                    
                    
                    <div class="form-group">  
                      
                       <strong><?php echo __( 'Download CSV Sample', 'am' ); ?></strong>
                       <a href="<?php echo AM_PLUGIN_URL;?>images/sample.csv">
                       <img src="<?php echo AM_PLUGIN_URL;?>images/csv_sample.png" width="70" height="60"  />
                       </a>	
                    </div> 
                     
                </div>
                
                <div class="second_lbldiv"> 
                   <button type="submit" name="btnsave_contacts" class="btn btn-success btn-save  custom_add_lesson_wrap custom_add_lesson_wrap_green_save" value="<?php echo __( 'SAVE', 'am' ); ?>"><?php echo __( 'SAVE', 'am' ); ?></button>
                </div>
            </div>
   		 </div>
        </form>
	</div>

</div>

<script>
$('label').click(function(e) {
		e.preventDefault();
       labelID = $(this).attr('for');
       $('#'+labelID).trigger('click');
});
</script>

