<?php if ( $message!="" ) : ?>

<div id="message" class="updated" style="margin-left: 2px;">
  <p><strong><?php echo __( $message, 'am' ); ?></strong></p>
</div>
<?php endif; ?>


<div class="setting-pg-main">
  <div class="setting-iner">
    <h1><?php echo __( 'Settings', 'am' );?></h1>
    <div class="setting-iner-header">
      <ul>
        <li class="GeneralSettings active"> <a href="javascript:void(0);"> <span class="icon-set"></span>
          <div class="custom_setting_fa_icons_b"> <i class="fa fa-cog" aria-hidden="true"></i></div>
          <?php echo __( 'General Settings', 'am' );?></a> </li>
        <li class="DefaultDesign"> <a href="javascript:void(0);"> <span class="icon-set"></span>
          <div class="custom_setting_fa_icons_b"> <i class="fa fa-paint-brush" aria-hidden="true"></i></div>
          <?php echo __( 'Default Design', 'am' );?></a> </li>
        <li class="LoginDefaultDesign"> <a href="javascript:void(0);"> <span class="icon-set"></span>
          <div class="custom_setting_fa_icons_b"> <i class="fa fa-lock" aria-hidden="true"></i></div>
          <?php echo __( 'Login Default Design', 'am' );?></a> </li>
        <li class="DemoContents"> <a href="javascript:void(0);"> <span class="icon-set"></span>
          <div class="custom_setting_fa_icons_b"> <i class="fa fa-lock" aria-hidden="true"></i></div>
          <?php echo __( 'Demo Contents', 'am' );?></a> </li>
      </ul>
    </div>
    <form method="post" name="frm_am" id="frm_am" class="frm_am" action="?page=am" enctype="multipart/form-data">
      <div class="setting-iner-body">
        <ul>
          <li class="General_Settings active">
            <div class="accessmen_hd">
              <h2><?php echo __( 'Access Members Settings', 'am' );?></h2>
              <a href="?page=am&amp;action=update_theme_files" type="button" class="custom_button_wrap_del pull-right" style="margin-top: -15px;"><?php echo __( 'Only click here when you updated your theme', 'am' ); ?></a>
            </div>
	
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'License Key', 'am' );?></label>
              </div>
              <div class="col-58">
                <input name="am_license_key" class="element-form"  id="am_license_key" type="text" value="<?php echo $options['am_license_key'];?>" />
                <?php if (isset($_GET['msg']) && $message ==""){ ?>
                <span style="color: green;font-weight: bold;">Lizenz aktiviert</span>
                <?php }?>
                
                <?php if (isset($_GET['error']) && $message ==""){ ?>
                <span style="color: red;font-weight: bold;">Es gibt ein Problem mit der eingegebenen Lizenz</span>
                <?php }?>												<?php if ($options['days_left'] !="" && $options['days_left']>0){ ?> 
                <span style="color: red;font-weight: bold;">Demo-Version noch <?php echo $options['days_left'];?> Tage gültig.</span>
                <?php }?>
                
              </div>
              
            </div>
		
            <div class="border-top-section">
              
              <div class="col-38">
                <label class="element-label"><?php echo __( 'DigiStore24 API Key', 'am' );?></label>
                <p class="element-p"><?php echo __( 'You can create new API keys on the following URL', 'am' ); ?>:https://www.digistore24.com/vendor/settings/account_access/api</p>
              </div>
              
              <div class="col-58">
			  <?php	
					if(empty($options['digistore24_api_key']))
					{
						$current_url = (empty( $_SERVER['HTTPS'] ) ? 'http://' : 'https://' )
							 . $_SERVER['HTTP_HOST']
							 . $_SERVER['SCRIPT_NAME'];
					
						$url = "$current_url?page=am&ds24_do_connect=1";
						echo "<a href='$url' class='btn btn-primary'>Verbinde mit Digistore24</a>";
					
					}
					else
					{
						?>
                <input type="text" class="element-form" name="digistore24_api_key" id="digistore24_api_key" value="<?php echo $options['digistore24_api_key'];?>" />
					<?php } ?>
                 
                 <!--<p class="element-p"><?php echo __( 'You should also set Generic IPN URL on the following URL', 'am' );?>: 
                  
                </p> -->
                <p class="element-p"><?php echo __( 'IPN URL that you should set is', 'am' );?>: <?php echo AM_SITE_BASE_URL;?>?am_digistore24_ipn=yes</p> 
				<!--  
				<p class="element-p" style="margin-top:5px;"><input type="text" id="input_ipn" value="<?php echo AM_SITE_BASE_URL;?>?am_digistore24_ipn=yes" readonly />
				<input type="button" class="btncopy btn btn-primary" data-clipboard-target="#input_ipn" value="Copy"> 
				
				</p> -->
			  </div>
            </div>
          <!--  <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Sender Name', 'am' );?></label>
              </div>
              <div class="col-58">
                <input type="text" class="element-form"  name="sender_name" id="sender_name" value="<?php echo $current_user->display_name;?>" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-38">
                <label class="element-label"><?php echo __( 'Sender Email', 'am' );?></label>
              </div>
              <div class="col-58">
                <input class="element-form" type="text" name="sender_email" id="sender_email" value="<?php echo $current_user->user_email;?>" />
              </div>
            </div>
            <input type="hidden" name="user_id" value="<?php echo $current_user->ID;?>" />-->
			
			<?php	if($is_valid_license_key): ?>
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Enable Offers', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="element-radio">
                  <input type="radio" name="offers" id="offers_yes" value="yes" <?php if( $options[ 'offers']=='yes' ) {echo ' checked';}?> />
                  <label for="offers_yes"><?php echo __( 'Yes', 'am' );?></label>
                </div>
                <div class="element-radio">
                  <input type="radio" name="offers" id="offers_no" value="no" <?php if( $options[ 'offers']=='no' ) {echo ' checked';}?> />
                  <label for="offers_no"><?php echo __( 'No', 'am' );?></label>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Google Fonts', 'am' );?></label>
              </div>
              <div class="col-58">
                <textarea name="google_fonts" class="element-form" id="google_fonts"><?php echo $options['google_fonts']; ?></textarea>
                <p class="element-p"><?php echo __( 'Add google fonts name above. Add One font name per line. You can get fonts\'s name from this url', 'am' );?>: https://fonts.google.com/</p>
              </div>
            </div>
            <div class="border-top-section" style="display: none;">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Evergreen Email IDs', 'am' );?></label>
              </div>
              <div class="col-58">
                <textarea name="evergreen_emails" id="evergreen_emails" class="element-form"><?php echo $options['evergreen_emails']; ?></textarea>
                <p class="element-p"><?php echo __( 'Add One email address per line.', 'am' );?></p>
              </div>
            </div>
			<?php endif; ?>
            <div class="border-top-section ck-sxtion">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Global Footer', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php

				$settings = array( 'media_buttons' => false );  
				wp_editor( html_entity_decode(stripslashes($options['global_footer'])), 'global_footer', $settings );

				?>
              </div>
            </div>
            
            

            
            <div class="border-top-section">
				<?php if($is_valid_license_key): ?>
                <div class="col-38">
                    <label class="element-label"><?php echo __( 'Current Server Time:', 'am' );?></label>
                </div>
                <div class="col-58">
                    <?php echo date('G:i', current_time( 'timestamp',1))." (".date_default_timezone_get().")"; ?>
                </div>
               <?php endif;?>
                <div class="col-58">
                    <input type="submit" name="btnsave" id="btnsave" value="<?php echo __( 'Update', 'am' );?>" class="custom_button_wrap"> 
                </div>
            </div>
            
          </li>
          <li class="Default_Design">
            <div class="accessmen_hd">
              <h2><?php echo __( 'Default Design For Products and Offers', 'am' );?></h2>
            </div>
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_custom"><?php echo __( 'Product Default Design', 'am');?></label>
              </div>
              <div class="col-58"> </div>
            </div>
            <div class="border-top-section">
              <div class="col-38">
                <label class="element-label"><?php echo __( 'Show Advertising Image if not logged in:', 'am' );?></label>
              </div>
              <div class="col-58"> <span class="checkspan customcheck_span checkspan_custom_w">
                <label></label>
                <input type="checkbox"  <?php if( $options['product_enable_adv'] == 'yes' ) { ?> checked  <?php }?> name="product_enable_adv" id="product_enable_adv" value="yes" class="enable_adv">
                <span class="checklabspan"></span> </span> </div>
            </div>
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Select Advertising Image', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( $options['product_adv_image'] != '' ) { ?>
                <img src="<?php echo $options['product_adv_image'];?>" width="150" /> <br>
                <?php }?>
                <input type="text" name="product_adv_image" id="product_adv_image" value="<?php echo $options['product_adv_image'];?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button  custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-38">
                <label class="element-label"><?php echo __( 'Advertising URL', 'am' );?></label>
              </div>
              <div class="col-58">
                <input type="text" name="product_adv_url" id="product_adv_url" value="<?php echo $options['product_adv_url'];?>" class="textfield element-form" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_custom"><?php echo __( 'Display Options', 'am' );?></label>
              </div>
              <div class="col-58"> </div>
            </div>
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Page Background Image', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( $options['product_bg_image'] != '' ) { ?>
                <img src="<?php echo $options['product_bg_image'];?>" width="150" /> <br>
                <?php }?>
                <input type="text" name="product_bg_image" id="product_bg_image" value="<?php echo $options['product_bg_image'];?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button  custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Page Logo', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( $options['product_logo'] != '' ) { ?>
                <img src="<?php echo $options['product_logo'];?>" width="150" /> <br>
                <?php }?>
                <input type="text" name="product_logo" id="product_logo" value="<?php echo $options['product_logo'];?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_wrap"><?php echo __( 'Top Header', 'am' );?></label>
              </div>
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Background Gradient', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color Start', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_top_header_gradient_color1" id="product_top_header_gradient_color1" value="<?php  if($options['product_top_header_gradient_color1'] != " " ){echo $options['product_top_header_gradient_color1'];}else{echo '#ffffff';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color End', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_top_header_gradient_color2" id="product_top_header_gradient_color2" value="<?php  if($options['product_top_header_gradient_color2'] != " " ){echo $options['product_top_header_gradient_color2'];}else{echo '#ffffff';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section ck-sxtion">
              <div class="col-38 ">
                <label class="element-label"><?php echo __( 'Top Right Content', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php

				$settings = array( 'media_buttons' => false );
				wp_editor( html_entity_decode(stripslashes($options['product_top_header_content'])), 'product_top_header_content', $settings );

				?>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_wrap"><?php echo __( 'Content Top Area', 'am' );?></label>
              </div>
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Background Gradient', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color Start', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_content_top_gradient_color1" id="product_content_top_gradient_color1" value="<?php  if($options['product_content_top_gradient_color1'] != " " ){echo $options['product_content_top_gradient_color1'];}else{echo '#ffffff';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color End', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_content_top_gradient_color2" id="product_content_top_gradient_color2" value="<?php  if($options['product_content_top_gradient_color2'] != " " ){echo $options['product_content_top_gradient_color2'];}else{echo '#ffffff';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
            
            <!------ De pore Shwe De na Landi ba Kar kawo saba ----------------->
            
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_wrap"><?php echo __( 'Navigation', 'am' );?></label>
              </div>
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Module', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Background Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_module_bg_color" id="product_module_bg_color" value="<?php  if($options['product_module_bg_color'] != " " ){echo $options['product_module_bg_color'];}else{echo '#232b2d';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_module_text_color" id="product_module_text_color" value="<?php  if($options['product_module_text_color'] != " " ){echo $options['product_module_text_color'];}else{echo '#ffffff';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="size_font_warp">
                  <div class="color_start_wrap">
                    <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                    <div class="aligment_wrap"> <span class="color_custom_pi">
                      <input type="number" name="product_module_text_size" id="product_module_text_size" min="10" value="<?php  if($options['product_module_text_size'] != " " ){echo $options['product_module_text_size'];}else{echo '14';}?>" />
                      </span> </div>
                  </div>
                  <div class="color_start_wrap font_wrap">
                    <label class="custom_element"> <?php echo __( 'Font', 'am' );?></label>
                    <div class="aligment_wrap"> <span class="color_custom_pi">
                      <select name="product_module_text_font" id="product_module_text_font" class="custom_selection_wo_w product_module_text">
                        <option value=""><?php echo __( 'Select Font', 'am' );?></option>
                        <?php 

                                foreach( $fonts as $font ) {

									if($options['product_module_text_font'] == $font ) {

										echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

									}elseif( $font == "Arial, Helvetica, sans-serif" ) {

										echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

									}else{

										echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

									}                                        

                                    }

                                 ?>
                      </select>
                      </span> </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Lesson', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Background Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_lesson_bg_color" id="product_lesson_bg_color" value="<?php  if($options['product_lesson_bg_color'] != " " ){echo $options['product_lesson_bg_color'];}else{echo '#333f3c';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_lesson_text_color" id="product_lesson_text_color" value="<?php  if($options['product_lesson_text_color'] != " " ){echo $options['product_lesson_text_color'];}else{echo '#ffffff';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="size_font_warp">
                  <div class="color_start_wrap">
                    <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                    <div class="aligment_wrap"> <span class="color_custom_pi">
                      <input type="number" name="product_lesson_text_size" id="product_lesson_text_size" min="10" value="<?php  if($options['product_lesson_text_size'] != " " ){echo $options['product_lesson_text_size'];}else{echo '12';}?>" />
                      </span> </div>
                  </div>
                  <div class="color_start_wrap font_wrap">
                    <label class="custom_element"><?php echo __( 'Font', 'am' );?></label>
                    <div class="aligment_wrap"> <span class="color_custom_pi">
                      <select name="product_lesson_text_font" id="product_lesson_text_font" class="custom_selection_wo_w product_module_text">
                        <option value=""><?php echo __( 'Select Font' , 'am' );?></option>
                        <?php 

                            foreach( $fonts as $font ) {

								if($options['product_lesson_text_font'] == $font ) {

									echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}elseif( $font == "Arial, Helvetica, sans-serif" ) {

									echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}else{

									echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}                                        

							}

                            ?>
                      </select>
                      </span> </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Accessible Text', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Active', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_access_active_color" id="product_access_active_color" value="<?php  if($options['product_access_active_color'] != " " ){echo $options['product_access_active_color'];}else{echo '#78c8ce';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"> <?php echo __( 'Inactive', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_access_inactive_color" id="product_access_inactive_color" value="<?php  if($options['product_access_inactive_color'] != " " ){echo $options['product_access_inactive_color'];}else{echo '#b3cece';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Accessible Symbol', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Active', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_access_symbol_active_color" id="product_access_symbol_active_color" value="<?php  if($options['product_access_symbol_active_color'] != " " ){echo $options['product_access_symbol_active_color'];}else{echo '#78c8ce';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Inactive', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_access_symbol_inactive_color" id="product_access_symbol_inactive_color" value="<?php  if($options['product_access_symbol_inactive_color'] != " " ){echo $options['product_access_symbol_inactive_color'];}else{echo '#3f4c4f';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Module Tabs', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="radio" name="product_module_tab" id="product_module_tab1" value="all_active" <?php if($options[ 'product_module_tab']=="" || $options[ 'product_module_tab']=='all_active' ){echo 'checked';}?> >
                    <label for="product_module_tab1"><?php echo __( 'Open all active module tabs', 'am' );?></label>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="radio" name="product_module_tab" id="product_module_tab2" value="close_all" <?php if($options[ 'product_module_tab']=='close_all' ){echo 'checked';}?>>
                    <label for="product_module_tab2"><?php echo __( 'Close all module tabs', 'am' );?></label>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="radio" name="product_module_tab" id="product_module_tab3" value="open_all" <?php if($options[ 'product_module_tab']=='open_all' ){echo 'checked';}?>>
                    <label for="product_module_tab3"> <?php echo __( 'Open all module tabs', 'am' );?></label>
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Sticky Menu', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="checkbox" name="product_sticky_menu" value="yes" id="product_sticky_menu" class="sticky_menu" <?php if($options[ 'product_sticky_menu']=='yes' ){echo 'checked';}?> >
                    <label for="product_sticky_menu"><?php echo __( 'Always on top (Sticky menu)', 'am' );?></label>
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Scrollbar', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="checkbox" name="product_scrollbar" value="yes" id="product_scrollbar" <?php if($options[ 'product_scrollbar']=='yes' ){echo 'checked';}?> class="scrollbar">
                    <label for="product_scrollbar"><?php echo __( 'Scrollbar', 'am' );?></label>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="checkbox" name="product_auto_scroll" value="yes" id="product_auto_scroll" <?php if($options[ 'product_auto_scroll']=='yes' ){echo 'checked';}?> class="scrollbar">
                    <label for="product_auto_scroll"><?php echo __( 'Auto Scroll To Active Lessons', 'am' );?></label>
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_wrap"><?php echo __( 'Post Header', 'am' );?></label>
              </div>
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Duration Text', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_post_duriation_text_color" id="product_post_duriation_text_color" value="<?php  if($options['product_post_duriation_text_color'] != " " ){echo $options['product_post_duriation_text_color'];}else{echo '#313b3d';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="number" name="product_post_duriation_text_size" id="product_post_duriation_text_size" min="10" value="<?php  if($options['product_post_duriation_text_size'] != " " ){echo $options['product_post_duriation_text_size'];}else{echo '10';}?>" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Font', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <select name="product_post_duriation_text_font" id="product_post_duriation_text_font" class="custom_selection_wo_w product_module_text">
                      <option value=""><?php echo __( 'Select Font', 'am' );?></option>
                      <?php 

							foreach( $fonts as $font ) {

								if($options['product_post_duriation_text_font'] == $font ) {

									echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}elseif( $font == "Arial, Helvetica, sans-serif" ) {

									echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}else{

									echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}                                        

							}

							?>
                    </select>
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Instructor', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="product_instructor_text_color" id="product_instructor_text_color" value="<?php  if($options['product_instructor_text_color'] != " " ){echo $options['product_instructor_text_color'];}else{echo '#bbbbbb';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="number" name="product_instructor_text_size" id="product_instructor_text_size" min="10" value="<?php  if($options['product_instructor_text_size'] != " " ){echo $options['product_instructor_text_size'];}else{echo '12';}?>" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Font', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <select name="product_instructor_text_font" id="product_instructor_text_font" class="custom_selection_wo_w product_module_text">
                      <option value=""><?php echo __( 'Select Font', 'am' );?></option>
                      <?php 

							foreach( $fonts as $font ) {

								if($options['product_instructor_text_font'] == $font ) {

									echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}elseif( $font == "Arial, Helvetica, sans-serif" ) {

									echo '<option value="'.$font.'" style="font-family:'.$font.'" selected >'.$font.'</option>';

								}else{

									echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}                                        

							}

							?>
                    </select>
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_custom"><?php echo __( 'Offer Default Design', 'am' );?></label>
              </div>
              <div class="col-58"> </div>
            </div>
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_wrap"><?php echo __( 'Display Options', 'am' );?></label>
              </div>
              <div class="col-38">
                <label class="element-label"><?php echo __( 'Page Background Image', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( $options['offer_bg_image'] != '' ) { ?>
                <img src="<?php echo $options['offer_bg_image'];?>" width="150" /> <br>
                <?php }?>
                <input type="text" name="offer_bg_image" id="offer_bg_image" value="<?php echo $options['offer_bg_image'];?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"><?php echo __( 'Page Logo', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( $options['offer_logo'] != '' ) { ?>
                <img src="<?php echo $options['offer_logo'];?>" width="150" /> <br>
                <?php }?>
                <input type="text" name="offer_logo" id="offer_logo" value="<?php echo $options['offer_logo'];?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_wrap"><?php echo __( 'Top Header', 'am' );?></label>
              </div>
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Background Gradient', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color Start', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="offer_top_header_gradient_color1" id="offer_top_header_gradient_color1" value="<?php  if($options['offer_top_header_gradient_color1'] != " " ){echo $options['offer_top_header_gradient_color1'];}else{echo '#cccccc';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color End', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="offer_top_header_gradient_color2" id="offer_top_header_gradient_color2" value="<?php  if($options['offer_top_header_gradient_color2'] != " " ){echo $options['offer_top_header_gradient_color2'];}else{echo '#ffffff';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left">
                <label class="custom_element uppercase_letter top_heading_wrap"><?php echo __( 'Full Content Area', 'am' );?></label>
              </div>
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Background Gradient', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color Start', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="offer_content_gradient_color1" id="offer_content_gradient_color1" value="<?php  if($options['offer_content_gradient_color1'] != " " ){echo $options['offer_content_gradient_color1'];}else{echo '#ffffff';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Gradient Color End', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="offer_content_gradient_color2" id="offer_content_gradient_color2" value="<?php  if($options['offer_content_gradient_color2'] != " " ){echo $options['offer_content_gradient_color2'];}else{echo '#cccccc';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
              </div>
            </div>
            <div class="border-top-section">
              <div class="text-left col-38 padding_wrap_gradient">
                <label class="custom_element"><?php echo __( 'Texts', 'am' );?></label>
              </div>
              <div class="col-58">
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Above Button Text', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="offer_above_button_text" id="offer_above_button_text" value="<?php echo $options['offer_above_button_text'];?>" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="offer_text_color" id="offer_text_color" value="<?php  if($options['offer_text_color'] != " " ){echo $options['offer_text_color'];}else{echo '#000000';}?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="number" name="offer_text_size" id="offer_text_size" min="10" value="<?php  if($options['offer_text_size'] != " " ){echo $options['offer_text_size'];}else{echo '14';}?>" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Font', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <select name="offer_text_font" id="offer_text_font" class="custom_selection_wo_w product_module_text">
                      <option value=""><?php echo __( 'Select Font', 'am' );?></option>
                      <?php 

							foreach( $fonts as $font ) {

								if($options['offer_text_font'] == $font ) {

									echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}elseif( $font == "Arial, Helvetica, sans-serif" ) {

									echo '<option value="'.$font.'" style="font-family:'.$font.'" selected >'.$font.'</option>';

								}else{

									echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}                                        

							}

							?>
                    </select>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Button Text', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="offer_button_text" id="offer_button_text" value="<?php echo $options['offer_button_text'];?>" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="offer_button_text_color" id="offer_button_text_color" value="<?php  echo $options['offer_button_text_color'];?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Font', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <select name="offer_button_text_font" id="offer_button_text_font" class="custom_selection_wo_w product_module_text">
                      <option value=""><?php echo __( 'Select Font', 'am' );?></option>
                      <?php 

							foreach( $fonts as $font ) {

								if($options['offer_button_text_font'] == $font ) {

									echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}elseif( $font == "Arial, Helvetica, sans-serif" ) {

									echo '<option value="'.$font.'" style="font-family:'.$font.'" selected >'.$font.'</option>';

								}else{

									echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

								}                                        

							}

							?>
                    </select>
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Text Size', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="number" name="offer_button_text_size" id="offer_button_text_size" min="10" value="<?php echo $options['offer_button_text_size'];?>" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <label class="custom_element"><?php echo __( 'Background Color', 'am' );?></label>
                  <div class="aligment_wrap"> <span class="color_custom_picker">
                    <input type="text" name="offer_button_bg_color" id="offer_button_bg_color" value="<?php echo $options['offer_button_bg_color'];?>" class="am_color_picker" />
                    </span> </div>
                </div>
                <div class="color_start_wrap">
                  <input type="submit" name="btnsave" id="btnsave" value="<?php echo __( 'Save', 'am' );?>" class="custom_button_wrap">
                </div>
              </div>
            </div>
          </li>
          <li class="Login_Default_Design">
            <div class="accessmen_hd">
              <h2><?php echo __( 'Login Default Design', 'am' );?></h2>
            </div>
            <div class="border-top-section">
              <div class="col-38">
                <label class="element-label"><?php echo __( 'Page Background Image', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( $options['login_default_bg_image'] != '' ) { ?>
                <img src="<?php echo $options['login_default_bg_image'];?>" width="150" /> <br>
                <?php }?>
                <input type="text" name="login_default_bg_image" id="login_default_bg_image" value="<?php echo $options['login_default_bg_image'];?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-38">
                <label class="element-label"><?php echo __( 'Page Logo', 'am' );?></label>
              </div>
              <div class="col-58">
                <?php if( $options['login_default_logo'] != '' ) { ?>
                <img src="<?php echo $options['login_default_logo'];?>" width="150" /> <br>
                <?php }?>
                <input type="text" name="login_default_logo" id="login_default_logo" value="<?php echo $options['login_default_logo'];?>" class="textfield element-form_img_wrap" />
                <input class="upload_media_button button custom_upload_media_button" type="button" name="btnupload" value="Upload" />
              </div>
            </div>
            <div class="border-top-section">
              <div class="col-38   ">
                <label class="element-label"></label>
              </div>
              <div class="col-58">
                <input type="submit" name="btnsave" id="btnsave" class="custom_button_wrap" value="<?php echo __( 'Save', 'am' );?>">
              </div>
            </div>
          </li>
          <li class="DemoContents">
            <div class="accessmen_hd">
              <h2><?php echo __( 'Demo Contents', 'am' );?></h2>
            </div>
            <?php $load_demo_contents = get_option( 'load_demo_contents'); ?>
            <div class="border-top-section">
              <?php if($load_demo_contents =='yes'){ ?>
              <div class="col-58"> <a href="?page=am&action=delete_demo_contents" type="button" name="btnsave" id="btnsave" class="custom_button_wrap_del" onclick="return confirm('Are you sure want to delete? Your all data will be lost with demo data')"><?php echo __( 'Delete demo Contents', 'am' );?></a> </div>
              <?php }else{ ?>
              <div class="col-38"> <a href="?page=am&action=load_demo_contents" type="button" name="btnsave" id="btnsave" class="custom_button_wrap"><?php echo __( 'Load demo Contents', 'am' );?></a> </div>
              <?php } ?>
            </div>
          </li>
        </ul>
      </div>
    </form>
  </div>
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js"></script>
<script>

    jQuery(document).ready(function (e) {
		
		new ClipboardJS('.btncopy');

        jQuery("body").on("click", ".GeneralSettings", function () {

            jQuery(".setting-iner-header > ul > li").removeClass("active");

            jQuery(".setting-iner-body > ul > li").removeClass("active");

            jQuery(this).addClass("active");

            jQuery(".General_Settings").addClass("active");

        });

        jQuery("body").on("click", ".DefaultDesign", function () {

            jQuery(".setting-iner-header > ul > li").removeClass("active");

            jQuery(".setting-iner-body > ul > li").removeClass("active");

            jQuery(this).addClass("active");

            jQuery(".Default_Design").addClass("active");

        });

        jQuery("body").on("click", ".LoginDefaultDesign", function () {

            jQuery(".setting-iner-header > ul > li").removeClass("active");

            jQuery(".setting-iner-body > ul > li").removeClass("active");

            jQuery(this).addClass("active");

            jQuery(".Login_Default_Design").addClass("active");

        });

        jQuery("body").on("click", ".DemoContents", function () {

            jQuery(".setting-iner-header > ul > li").removeClass("active");

            jQuery(".setting-iner-body > ul > li").removeClass("active");

            jQuery(this).addClass("active");

            jQuery(".DemoContents").addClass("active");

        });

    });

</script> 
