<link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>/css/new_common.css?v-1.1">
<link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>/css/bootstrap.min.css?v-1.1">
<link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>css/jquery.datetimepicker.min.css">

<?php if ( $message!="") : ?>
<div id="message" class="updated"><p><strong><?php echo __( $message, 'am' ); ?></strong></p></div>
<?php endif; ?>

<style>
.email-text-box {
	width: 41% !important;
	display: inline;
}
.radio-main-bx {
	overflow: hidden;
	position: relative;
}
.radio-main-bx > input[type="radio"] {
	opacity: 0;
	position: absolute;
	top: -600px;
}
.radio-main-bx > input[type="radio"]:checked + label.icons > .fa-times {
	color:#dd0000;
}
.radio-main-bx > input[type="radio"]:checked + label.icons > .fa-check {
	color:#07b607;
}
	
</style>

<div class="wrap">
<h2><?php echo __( 'Add New Newsletter', 'am' ); ?></h2>    
   
    <div class="container-fluid">
        <form action="?page=am_newsletter&action=add" method="post">
        <div class="row">
            <div class="col-lg-3 col-md-3 custom-col">
                <div class="target-tag-wraper">
                    <div class="text-center">  <h3><?php echo __( 'Targeting Tags', 'am' ); ?></h3></div>
                    <ul class="target-tags-con">
					<?php 
                    if(!empty($tags_arr)) {
						
                        foreach($tags_arr as $tag) {
						$count_tag_contacts = $this->count_tag_contacts($tag->id);	
                    ?> 
                       <li> 
                        	<span class="target-heading"><?php echo $tag->tag_name; ?></span> 
                            <span class="target-text"><?php echo $count_tag_contacts; ?></span> 
                            <div class="pull-right radio-main-bx" id="ist-wrap<?php echo $tag->id; ?>">
                                <input type="radio" value="no" name="tags_id[<?php echo $tag->id;?>]" id="tags_id_no<?php echo $tag->id; ?>">
                                <label class="icons" for="tags_id_no<?php echo $tag->id; ?>">
                                    <i class="fa fa-times" aria-hidden="true"></i>
                                </label> 
                                
                                <input type="radio" value="yes" name="tags_id[<?php echo $tag->id;?>]" id="tags_id_yes<?php echo $tag->id; ?>">
                                <label class="icons" for="tags_id_yes<?php echo $tag->id; ?>">
                                    <i class="fa fa-check" aria-hidden="true"></i>
                                </label>
                                
                                <label class="remove-filter icons" tag_id="<?php echo $tag->id; ?>">
                                  <i class="fa fa-refresh" aria-hidden="true"></i>
                                </label>
                             </div>
                        </li>
                     <?php }
					 } ?>
                    </ul>
                </div>
               
               
                <h3><?php echo __( 'Action Tags', 'am' ); ?></h3>
                <h6><?php echo __( 'Opened', 'am' ); ?></h6>
                <div class="dropdown">
                    <button type="button" class="dropbtn myDropdown"><?php echo __( 'Select Subject....', 'am' ); ?> 
                        <span class="dropicon">
                            <i class="fa fa-caret-down" aria-hidden="true"></i>
                        </span> 
                    </button>
                    <div id="myDropdown" class="dropdown-content">
                     	<?php 
						if(!empty($emails_arr)) {
							foreach($emails_arr as $email) {
						?> 
                        <div class="dropdown-content-wrap"><?php echo $email->subject;?>
                     		<div class="pull-right radio-main-bx">
                                <input type="radio" value="no" name="opened_emails[<?php echo $email->id;?>]" id="opened_emails_no<?php echo $email->id;?>">
                                <label class="icons" for="opened_emails_no<?php echo $email->id;?>">
                                    <i class="fa fa-times" aria-hidden="true"></i>
                                </label> 
                                <input type="radio" value="yes" name="opened_emails[<?php echo $email->id;?>]" id="opened_emails_yes<?php echo $email->id;?>">
                                <label class="icons" for="opened_emails_yes<?php echo $email->id;?>">
                                    <i class="fa fa-check" aria-hidden="true"></i>
                                </label> 
                                <label class="icons">
                                   <i class="fa fa-refresh" aria-hidden="true"></i>
                                </label> 
                            </div>
                            
                        </div>
                        <?php }
						} ?>
                    </div>
                </div>
               
               
                <h6><?php echo __( 'Clicked', 'am' ); ?></h6>
                <div class="dropdown">
                    <button type="button" class="dropbtn myDropdownsec"><?php echo __( 'Select Subject....', 'am' ); ?> 
                        <span class="dropicon">
                            <i class="fa fa-caret-down" aria-hidden="true"></i>
                        </span> 
                    </button>
                    <div id="myDropdownsec" class="dropdown-content">
   						<?php 
						if(!empty($emails_arr)) {
							foreach($emails_arr as $email) {
						?> 
                        <div class="dropdown-content-wrap"><?php echo $email->subject;?>
                     		<div class="pull-right radio-main-bx">
                                <input type="radio" value="no" name="clicked_emails[<?php echo $email->id;?>]" id="clicked_emails_no<?php echo $email->id;?>">
                                <label class="icons" for="clicked_emails_no<?php echo $email->id;?>">
                                    <i class="fa fa-times" aria-hidden="true"></i>
                                </label> 
                                <input type="radio" value="yes" name="clicked_emails[<?php echo $email->id;?>]" id="clicked_emails_yes<?php echo $email->id;?>">
                                <label class="icons" for="clicked_emails_yes<?php echo $email->id;?>">
                                    <i class="fa fa-check" aria-hidden="true"></i>
                                </label> 
                                <label class="icons">
                                   <i class="fa fa-refresh" aria-hidden="true"></i>
                                </label> 
                            </div>
                        </div>
                        <?php }
						} ?>
                    </div>
                </div>
               
                
                <h6><?php echo __( 'Sent', 'am' ); ?></h6>
                <div class="dropdown">
                    <button type="button" class="dropbtn myDropdownthird"><?php echo __( 'Select Subject....', 'am' ); ?> 
                        <span class="dropicon">
                            <i class="fa fa-caret-down" aria-hidden="true"></i>
                        </span> 
                    </button>
                    <div id="myDropdownthird" class="dropdown-content"> 
                        <?php 
						if(!empty($emails_arr)) {
							foreach($emails_arr as $email) {
						?> 
                        <div class="dropdown-content-wrap"><?php echo $email->subject;?>
                     		<div class="pull-right radio-main-bx">
                                <input type="radio" value="no" name="sent_emails[<?php echo $email->id;?>]" id="sent_emails_no<?php echo $email->id;?>">
                                <label class="icons" for="sent_emails_no<?php echo $email->id;?>">
                                    <i class="fa fa-times" aria-hidden="true"></i>
                                </label> 
                                <input type="radio" value="yes" name="sent_emails[<?php echo $email->id;?>]" id="sent_emails_yes<?php echo $email->id;?>">
                                <label class="icons" for="sent_emails_yes<?php echo $email->id;?>">
                                    <i class="fa fa-check" aria-hidden="true"></i>
                                </label> 
                                <label class="icons">
                                   <i class="fa fa-refresh" aria-hidden="true"></i>
                                </label> 
                            </div>
                        </div>
                        <?php }
						} ?>
                    </div>
                </div>
                
                
                <h6><?php echo __( 'Lesson finished', 'am' ); ?></h6>
                <div class="dropdown">
                    <button type="button" class="dropbtn myDropdownfourth"><?php echo __( 'Select Lesson....', 'am' ); ?> 
                        <span class="dropicon">
                            <i class="fa fa-caret-down" aria-hidden="true"></i>
                        </span> 
                    </button>
                    <div id="myDropdownfourth" class="dropdown-content"> 
                        <?php 
						if(!empty($lessons)) {
							foreach($lessons as $lesson) {
						?> 
                        <div class="dropdown-content-wrap"><?php echo $lesson->post_name;?>
                     		<div class="pull-right radio-main-bx">
                                <input type="radio" value="no" name="lesson_finished[<?php echo $lesson->ID;?>]" id="lesson_finished_no<?php echo $lesson->ID;?>">
                                <label class="icons" for="lesson_finished_no<?php echo $lesson->ID;?>">
                                    <i class="fa fa-times" aria-hidden="true"></i>
                                </label> 
                                <input type="radio" value="yes" name="lesson_finished[<?php echo $lesson->ID;?>]" id="lesson_finished_yes<?php echo $lesson->ID;?>">
                                <label class="icons" for="lesson_finished_yes<?php echo $lesson->ID;?>">
                                    <i class="fa fa-check" aria-hidden="true"></i>
                                </label> 
                                <label class="icons">
                                   <i class="fa fa-refresh" aria-hidden="true"></i>
                                </label> 
                            </div>
                        </div>
                        <?php }
						} ?>
                    </div>
                </div>
               
               
                <h6><?php echo __( 'Purchased product', 'am' ); ?></h6>
                <div class="dropdown">
                    <button type="button" class="dropbtn myDropdownfifth"><?php echo __( 'Select Product....', 'am' ); ?> 
                        <span class="dropicon">
                            <i class="fa fa-caret-down" aria-hidden="true"></i>
                        </span> 
                    </button>
                    <div id="myDropdownfifth" class="dropdown-content"> 
                        <?php 
						if(!empty($products)) {
							foreach($products as $product) {
						?> 
                        <div class="dropdown-content-wrap"><?php echo $product->product_name;?>
                     		<div class="pull-right radio-main-bx">
                                <input type="radio" value="no" name="purchased_product[<?php echo $product->id;?>]" id="purchased_product_no<?php echo $product->id;?>">
                                <label class="icons" for="purchased_product_no<?php echo $product->id;?>">
                                    <i class="fa fa-times" aria-hidden="true"></i>
                                </label> 
                                <input type="radio" value="yes" name="purchased_product[<?php echo $product->id;?>]" id="purchased_product_yes<?php echo $product->id;?>">
                                <label class="icons" for="purchased_product_yes<?php echo $product->id;?>">
                                    <i class="fa fa-check" aria-hidden="true"></i>
                                </label> 
                                <label class="icons">
                                   <i class="fa fa-refresh" aria-hidden="true"></i>
                                </label> 
                            </div>
                        </div>
                        <?php }
						} ?>
                    </div>
                </div>
              
               
                <h6><?php echo __( 'Opted in at', 'am' ); ?></h6>
                <div class="dropdown">
                    <button type="button" class="dropbtn myDropdownsix"><?php echo __( 'Select Optin form....', 'am' ); ?> 
                        <span class="dropicon">
                              <i class="fa fa-caret-down" aria-hidden="true"></i>
                        </span> 
                    </button>
                    <div id="myDropdownsix" class="dropdown-content"> 
                        <?php 
						if(!empty($optin_forms_arr)) {
							foreach($optin_forms_arr as $optin_form) {
						?> 
                        <div class="dropdown-content-wrap"><?php echo $optin_form->form_name;?>
                     		<div class="pull-right radio-main-bx">
                                <input type="radio" value="no" name="opted_in[<?php echo $optin_form->id;?>]" id="opted_in_no<?php echo $optin_form->id;?>">
                                <label class="icons" for="opted_in_no<?php echo $optin_form->id;?>">
                                    <i class="fa fa-times" aria-hidden="true"></i>
                                </label> 
                                <input type="radio" value="yes" name="opted_in[<?php echo $optin_form->id;?>]" id="opted_in_yes<?php echo $optin_form->id;?>">
                                <label class="icons" for="opted_in_yes<?php echo $optin_form->id;?>">
                                    <i class="fa fa-check" aria-hidden="true"></i>
                                </label> 
                                <label class="icons">
                                   <i class="fa fa-refresh" aria-hidden="true"></i>
                                </label> 
                            </div>
                        </div>
                        <?php }
						} ?> 
                    </div>
                </div>
                
                <div class="Trigger-wrap">
                <h5><?php echo __( 'Trigger', 'am' ); ?></h5>
                    
                <p><input type="radio" class="trigger_email_type" name="trigger_email_type" value="instant"> Instant</p>
                <p><input type="radio" class="trigger_email_type" name="trigger_email_type" value="at_time"> At time:</p>
                </div>
            
                
                <!-- Picker---->
                <input type="text" class="am_datepicker" placeholder="Select Date.." name="trigger_date_time" id="trigger_date_time" />
                
                </div>
                
           
            <div class="col-lg-9 col-lg-9 sender-col">
                
                <div class="main_frm_content">
                
                    <h4>Mail Subject</h4>
                    <div class="form-group">
                        <label>From Name</label>
                        <input type="text" name="from_name" class="form-control"> 
                    </div>
                    
                    <div class="form-group">
                        <label>From Email</label>
                        <input type="text" name="from_email" class="form-control"> 
                    </div>
                    
                    <div class="form-group">
                        <label>Subject For This Mail</label>
                        <input type="text" name="subject" class="form-control"> 
                    </div>
                	
                    
                    <div class="clearfix" style="margin-bottom: 30px;"></div>
               
                    <div class="form-group">
                        <h4>MAIL CONTENT</h4>
                        <textarea name="mail_content" id="editor1"></textarea>
                    </div>
                    
                    <div class="clearfix" style="margin-bottom: 30px;"></div>
                    
                    <h4>YOUR CONTACT INFORMATION</h4> 
                   
                	
                   <div class="alert">Anti-spam legislation requires that all email communicatios include the sender's physical address</div>
                    
                
                    <div class="form-group">
                        <label>Your Name/Company Name</label>
                        <input type="text" name="company_name" class="form-control"> 
                        <small class="form-text text-muted">Default Company Name (You can edit company name if required from here.</small> 
                    </div>
                    
                    <div class="form-group">
                        <label>Your Address</label>
                        <input type="text" name="address" class="form-control"> 
                        <small class="form-text text-muted">Default Address (You can edit address if required from here) </small> 
                    </div>
                    
                
                	<p class="btn-toggle">Open + Linking Tracking: <input checked name="link_tracking" value="1" data-toggle="toggle" data-style="ios" type="checkbox"> </p>
                    
                    
                    <div class="form-group">
                        <label for="exampleInputEmail1">Send a preview of this email to:</label>
                        <input type="text" class="form-control email-text-box" name="send_preview_email">
                        <button type="button" class="btn btn-success btn-submit">Preview</button>
                    </div>
                    
                    <button type="submit" name="btnsave_newsletter" class="btn btn-success" value="<?php echo __( 'Save', 'am' ); ?>">SAVE</button>
                    <button type="button" class="btn btn-danger">SEND</button>
                
                </div>
               
            </div>
        </div>
        </form>
    </div>
   
</div>

<script src="<?php echo AM_PLUGIN_URL;?>js/jquery.datetimepicker.full.min.js"></script>
<script src="//cdn.ckeditor.com/4.6.2/standard/ckeditor.js"></script>

<script>
	CKEDITOR.replace( 'editor1' );
</script>

<script>
jQuery(document).ready(function($){
	
	$('.remove-filter').click(function(){
		
        var tag_id = $(this).attr('tag_id');
		$('#ist-wrap'+tag_id).find('input:radio').removeAttr('checked');   
    
	});
	
	
	$("#trigger_date_time").hide();	
	
	$(".myDropdown").click(function(){
		$("#myDropdown").toggle('show');	
	});
	
	$(".myDropdownsec").click(function(){
		$("#myDropdownsec").toggle('show');	
	});
	
	$(".myDropdownthird").click(function(){
		$("#myDropdownthird").toggle('show');	
	});
	
	$(".myDropdownfourth").click(function(){
		$("#myDropdownfourth").toggle('show');	
	});
	
	$(".myDropdownfifth").click(function(){
		$("#myDropdownfifth").toggle('show');	
	});
	
	$(".myDropdownsix").click(function(){
		$("#myDropdownsix").toggle('show');	
	});
	
	$(".trigger_email_type").change(function(){
		
		var trigger_value = $(this).val();	
		if(trigger_value == 'instant'){
			$("#trigger_date_time").hide();	
		}else{
			$("#trigger_date_time").show();	
		}
		
	});
	

});
</script>

<script>
$('label').click(function(e) {
		e.preventDefault();
       labelID = $(this).attr('for');
       $('#'+labelID).trigger('click');
});
</script>

