<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * Class that will hold functionality for plugin deactivation
 *
 * PHP version 5
 *
 * @category   Uninstall
 * @package    Access Members
 * @author     Erfolgs-Faktor
 * @version    1.0.0
 * @since      File available since Release 1.0.0
*/

class AM_Uninstall
{
    public static $am;
    
    public function __construct() {
        
        $this->am = new AM();
        
        do_action('am_before_uninstall', $this->am, $this );
        
        wp_clear_scheduled_hook( 'am_verify_plugin_license' );
        
        do_action('am_after_uninstall', $this->am, $this );
    }    
}

$am_uninstall = new AM_Uninstall();