<?php if ( $message!="") : ?>
<div id="message" class="updated fade"><p><strong><?php echo __( $message, 'am' ); ?></strong></p></div>
<?php endif; ?>
<div class="wrap">
<h2><?php echo __( 'Add New Quiz', 'am' ); ?></h2>
<form method="post" name="frm_am" id="frm_am" class="frm_am" action="?page=am_quiz&action=add" enctype="multipart/form-data">
    
    <div class="am_product_detail">        
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.6.3/css/font-awesome.min.css"/>
        <script src="https://rubaxa.github.io/Sortable/Sortable.js"></script>
        <link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
        <script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>        
        <script src="<?php echo AM_PLUGIN_URL;?>js/jquery.datetimepicker.full.min.js"></script>
        <link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>css/jquery.datetimepicker.min.css">        
        <table class="wp-list-table widefat fixed" cellspacing="0">
                <thead>
                <tr>
                    <th scope="col" class="manage-column" style=""><?php echo __( 'Quiz Detail', 'am' );?></th>
                </tr>
                </thead>
                <tbody id="the-list">
                <tr>
                    <td>            	
                        <table width="100%">
                          <tr>
                                <td width="16%"><?php echo __( 'Select Product', 'am' );?></td>
                                <td width="84%">
                                    <select name="quiz_product_id" >
                                        <option value=""><?php echo __( 'Select Product', 'am' );?></option>
                                        <?php foreach( $products as $product) { ?>
                                        <option value="<?php echo $product->id;?>"><?php echo $product->product_name;?></option>
                                        <?php }?>
                                    </select>
                                </td>
                            </tr>
                            <tr>
                                <td><?php echo __( 'Select Lesson', 'am' );?></td>
                                <td>
                                    <select name="quiz_lesson_id" >
                                        <option value=""><?php echo __( 'Select Lesson', 'am' );?></option>
                                        <?php foreach( $lessons as $lesson ) { ?>
                                        <option value="<?php echo $lesson->ID;?>"><?php echo $lesson->post_title;?></option>
                                        <?php }?>
                                    </select>
                                </td>
                            </tr>
                        </table>
                        
                        <table width="100%">
                            <tr>
                                <td width="150"><label><?php echo __( 'Add Question', 'am' );?></label></td>
                                <td>
                                    <input type="text" name="question[]" value="" />
                                </td>
                            </tr>
                            
                            <tr>
                                <td width="150"><label><?php echo __( 'Add Option', 'am' );?>1</label></td>
                                <td>
                                    <input type="text" name="question_option1[]" value="" />
                                    <input type="radio" name="answer_question0" value="question_option1" class="enable_sumit"> <label><?php echo __( 'Answer', 'am' );?></label>
                                </td>
                            </tr>
                            
                            <tr>
                                <td width="150"><label><?php echo __( 'Add Option', 'am' );?>2</label></td>
                                <td>
                                    <input type="text" name="question_option2[]" value="" />
                                    <input type="radio" name="answer_question0" value="question_option2" class="enable_sumit"> <label><?php echo __( 'Answer', 'am' );?></label>
                                </td>
                            </tr>
                            
                            <tr>
                                <td width="150"><label><?php echo __( 'Add Option', 'am' );?>3</label></td>
                                <td>
                                    <input type="text" name="question_option3[]" value="" />
                                    <input type="radio" name="answer_question0" value="question_option3" class="enable_sumit"> <label><?php echo __( 'Answer', 'am' );?></label>
                                </td>
                            </tr>
                            
                            <tr>
                                <td width="150"><label><?php echo __( 'Add Option', 'am' );?>4</label></td>
                                <td>
                                    <input type="text" name="question_option4[]" value="" />
                                    <input type="radio" name="answer_question0" value="question_option4" class="enable_sumit"> <label><?php echo __( 'Answer', 'am' );?></label>
                                </td>
                            </tr>
                            
                            <tr>
                                <td colspan="2">
                                    <hr />
                                </td>                        
                            </tr>
                        </table>
                        
                        
                        <span id="more_questions_item"></span>
                        
                        
                        <table width="100%">
                            <tr>
                                <td colspan="2">
                                     <button type="button" class="button btn-blue" onClick="add_layer_html_milestone(this.form);"><?php echo __( 'Add More Questions', 'am' );?></button>
                                </td>                        
                            </tr>
                            <tr>
                                <td><input type="submit" name="btnsave_quiz" class="button button-primary button-large" value="<?php echo __( 'Save', 'am' ); ?>"></td>
                                <td>&nbsp;</td>
                            </tr>
                        </table>

                    </td>
                </tr>
             </tbody>
        </table>
        </div>
        
        <script>
            Sortable.create(am_product_modules_list, {
              animation: 150
            });
        </script>
        
        <script type='text/javascript'>
        var rowNum = 0;
		
		function add_layer_html_milestone(frm) {
		 rowNum ++;
		 
		 var row = '<table width="100%" id="rowNum'+rowNum+'"><tr><td width="150"><img src="<?php echo AM_PLUGIN_URL;?>images/close_red.png" onclick="removeRow('+rowNum+');" data-id="1822" width="20" height="20" title="Remove csv filter"></td><td>&nbsp;</td></tr><tr><td width="150"><label>Add Question</label></td><td><input type="text" name="question[]" value="" /></td></tr><tr><td width="150"><label>Add Option1</label></td><td><input type="text" name="question_option1[]" value="" />&nbsp;<input type="radio" name="answer_question'+rowNum+'" value="question_option1" class="enable_sumit"><label>Answer</label></td></tr><tr><td width="150"><label>Add Option2</label></td><td><input type="text" name="question_option2[]" value="" />&nbsp;<input type="radio" name="answer_question'+rowNum+'" value="question_option2" class="enable_sumit"> <label>Answer</label></td></tr><tr><td width="150"><label>Add Option3</label></td><td><input type="text" name="question_option3[]" value="" />&nbsp;<input type="radio" name="answer_question'+rowNum+'" value="question_option3" class="enable_sumit"> <label>Answer</label></td></tr><tr><td width="150"><label>Add Option4</label></td><td><input type="text" name="question_option4[]" value="" />&nbsp;<input type="radio" name="answer_question'+rowNum+'" value="question_option4" class="enable_sumit"> <label>Answer</label></td></tr><tr><td colspan="2"><hr /></td></tr></table>';
					 
		 jQuery('#more_questions_item').before(row);
		 
		}
		
		function removeRow(rnum) {
		 jQuery('#rowNum'+rnum).remove();
		}
		
		</script>   
        
</form>
</div>