<?php if ( $message!="") : ?>
<div id="message" class="updated fade"><p><strong><?php echo __( $message, 'am' ); ?></strong></p></div>
<?php endif; ?>
<div class="wrap">
<br>
<h1><?php echo __( 'Bonus Buttons', 'am' );?> <a href="?page=am_bonus_buttons&action=add" class="page-title-action"><?php echo __( 'Add New', 'am' );?></a></h1>
<br>
<table class="wp-list-table widefat fixed" cellspacing="0">
	<thead>
        <tr>
            <th scope="col" class="manage-column " style=""><?php echo __( 'Title', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'Button Text', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'URL', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'Only For Customers', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'Shortcode', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'Action', 'am' );?></th>
        </tr>
	</thead>

	<tfoot>
        <tr>
            <th scope="col" class="manage-column " style=""><?php echo __( 'Title', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'Button Text', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'URL', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'Only For Customers', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'Shortcode', 'am' );?></th>
            <th scope="col" class="manage-column num" style=""><?php echo __( 'Action', 'am' );?></th>
        </tr>
	</tfoot>

	<tbody id="the-list" class="list">
            <?php if( !empty($buttons) ) {?>
                <?php foreach( $buttons as $button ) { ?>
                    <tr class="alternate">
                        <td><strong><?php echo $button->title;?></strong></td>
                        <td class="num"><?php echo $button->button_text;?></td>
                        <td class="num"><?php echo $button->url;?></td>
                        <td class="num"><?php echo $button->for_customers;?></td>    
                        <td class="num">[am_bonus_button id="<?php echo $button->id;?>"]</td>    
                        <td class="num">
                            <a href="?page=am_bonus_buttons&action=del&id=<?php echo $button->id;?>" onClick="javascript: return confirm('<?php echo __( 'Are you sure you want to delete that item?', 'am' );?>');"><?php echo __( 'Delete', 'am' );?></a> / <a href="?page=am_bonus_buttons&action=edit&id=<?php echo $button->id;?>"><?php echo __( 'Edit', 'am' );?></a>
                        </td>    
                    </tr>
                <?php }?>
            <?php }else{?>
            <tr class="alternate">
                <td colspan="6">
                    <p><?php echo __( 'There is no bonus button at the moment', 'am' );?></p>
                </td>
            </tr>
            <?php }?>
	</tbody>
</table>
</div>