<?php if ( $message!="") : ?>

<div id="message" class="updated fade"><p><strong><?php echo $message; ?></strong></p></div>

<?php endif; ?> 

<style>

    .am_view_icon{margin-left:10px;width: 32px;height: 16px;font-size: 0px;background:url("<?php echo AM_PLUGIN_URL;?>/images/view.png") no-repeat;display: inline-block;}

    .am_edit_icon{margin-left:10px;width: 24px;height: 24px;font-size: 0px;background:url("<?php echo AM_PLUGIN_URL;?>/images/edit.png") no-repeat;display: inline-block;}

    .am_del_icon{margin-left:10px;width: 24px;height: 24px;font-size: 0px;background:url("<?php echo AM_PLUGIN_URL;?>/images/del.png") no-repeat;display: inline-block;}

    .am_pdf_icon{margin-left:10px;width: 24px;height: 24px;font-size: 0px;background:url("<?php echo AM_PLUGIN_URL;?>/images/pdf.png") no-repeat;display: inline-block;}

</style>

<div class="wrap">

    <h2><?php echo __( 'Coins Management', 'am' );?> <a href="?page=am_coins_management&action=add" class="page-title-action"><?php echo __( 'Add New', 'am' );?></a></h2>

    <br>

    <div id="FieldsTableContainer" style="width: 100%;"></div>

    <script type="text/javascript">

        jQuery(document).ready(function () {

            jQuery('#FieldsTableContainer').jtable({

                title: '<?php echo __( 'All Records', 'am' );?>',

                paging: true,

                pageSize: 20,

                sorting: true,

                defaultSorting: 'id ASC',

                actions: {

                    listAction: ajaxurl+'?action=am_list_coins_management_entries'

                },

                fields: {

                        ID: {

                            title: '<?php echo __( 'ID', 'am' );?>',

                            key: true,

                            create: false,

                            edit: false,

                            list: true,

                            width: '10px'

                        },

                        Title: {

                            title: '<?php echo __( 'Title', 'am' );?>',

                            width: '20%'

                        },

                        Users: {

                            title: '<?php echo __( 'Users', 'am' );?>',

                            width: '20%'

                        },

                        InitialCoins: {

                            title: '<?php echo __( 'Initial Coins', 'am' );?>',

                            width: '10%'

                        },

                        MonthlyCoins: {

                            title: '<?php echo __( 'Monthly Coins', 'am' );?>',

                            width: '10%'

                        },

                        Date: {

                            title: '<?php echo __( 'Date', 'am' );?>',

                            width: '15%'

                        },

                        View: {

                            title: '',

                            width: '40px'

                        }

                }

            });

            //Load person list from server

            jQuery('#FieldsTableContainer').jtable('load');

        });

    </script>            

</div>