<?php 
global $wpdb;
require_once("pagination.class.php");
if ( $message!="") : ?>
    <div id="message" class="updated fade">
        <p><strong><?php echo __($message, 'am'); ?></strong></p>
    </div>
<?php endif; ?> 

 
<?php
	$sql    = "SELECT * FROM `".$wpdb->prefix."am_contacts`";
	$results=$wpdb->get_results($sql);
	$contact_count=count($results);
	$am_lincense_key=constant('AM_LICENSE_KEY'); 
	
	
	

 
 ?>
<div class="main_wrap-am-contacts-page">
    <div class="custom_email_series_wrap">
        <h2><?php echo __( 'E-Mail - Contacts', 'am' );?> </h2>
    </div>
    <div class="setting-iner-header">
        <ul>
            <li class="DefaultDesign">
                <a href="?page=am_newsletter" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope-o" aria-hidden="true"></i></div>
                    <?php echo __( 'Newsletter', 'am' );?>
                </a>
            </li>
            
            <?php // if( $license_settings->email_series ==1){ ?>
            <li class="GeneralSettings">
                <a href="?page=am_email_series" class="am_active"> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope" aria-hidden="true"></i> </div>
                    <?php echo __( 'E-mail Series', 'am' );?>
                </a>
            </li>
            <?php // } ?>
            
            <li class="LoginDefaultDesign active">
                <a href="?page=am_contacts" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-phone-square" aria-hidden="true"></i></div>
                    <?php echo __( 'Contacts', 'am' );?>
                </a>
            </li>
            
            <?php // if($license_settings->optin_forms ==1){ ?>
            <li class="LoginDefaultDesign">
                <a href="?page=am_optin_frm" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-lock" aria-hidden="true"></i></div>
                    <?php echo __( 'Opt-In Forms', 'am' );?>
                </a>
            </li>
            <?php //} ?>
            
            <li class="LoginDefaultDesign ">
                <a href="?page=am_tags" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"><i class="fa fa-tags" aria-hidden="true"></i></div>
                    <?php echo __( 'Tags', 'am' );?>
                </a>
            </li>
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_email_setting" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-cog" aria-hidden="true"></i></div>
                    <?php echo __( 'Settings', 'am' );?>
                </a>
            </li>
        </ul>
        <div class="row">
            <div class="col-xs-12 wrap_searc_entries"> <span class="custom_entries">
		    <?php   
            global $wpdb;
            $sql = "SELECT * FROM `".$wpdb->prefix."am_tags` ORDER BY id DESC";
            $tags = $wpdb->get_results( $sql );?>
            <form method="post" id="" action="?page=am_contacts&action=tag" class="custom_form_wo__email_contacts">
                <select onchange="this.form.submit()" name="tag" id="tag" class="custom_selection_wo__email_contacts">
                    <option value=""><?php echo __( 'Select Tag', 'am' ); ?></option>
                    <?php foreach($tags as $tag){ ?>
                        <option value="<?php echo $tag->id; ?>" <?php if($_POST[ 'tag']==$tag->id){ ?> selected="selected"
                            <?php }?>>
                                <?php echo $tag->tag_name; ?>
                        </option>
                        <?php }?>
                </select>
            </form>
            </span>
			<span class="search_email_contacts">
				<form action="" method="POST">
					<input type="text" name="search_email" placeholder="Enter email to search" />
					<input type="submit" name="email_search_submiit" class="custom_add_lesson_wrap"/>
				</form>
			
			</span>
				
				
				<span class="custom_export">
                <a class="custom_add_lesson_wrap" href="<?php echo get_site_url()."?action=export_csv";?>"><?php echo __( 'Export Contacts List', 'am' ); ?></a>
            </span>
	</div>
        </div>
        <div class="container-fluid custom_wrap_table table-responsive">
		<?php
			
				if(empty($am_lincense_key) && $contact_count>=500){
					?>
			
				<div id="message" class="error">
					<p><strong><?php echo __("Please enter a licence key in order to add a new contact.", 'am'); ?></strong></p>
				</div>
				<?php } else  { ?>
				
				
				
            
             <div class="custom_email_series_wrap nw_cls_btn">
             <a href="?page=am_contacts&action=add" type="button"  class="custom_add_lesson_wrap">
			 <?php echo __( 'Add New', 'am' );?></a>
             </div>
			 <?php } ?>
        
            
            <div class="row">
                <table class="table table-bordered custom_table_wrap_b">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th><?php echo __( 'Name', 'am' );?></th>
                            <th><?php echo __( 'Email', 'am' );?></th>
                            <th><?php echo __( 'Status', 'am' );?></th>
                            <th><?php echo __( 'Action', 'am' );?></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php 
					
					/* Show many results per page? */
					if($action == 'tag' && $_REQUEST['tag'] !=""){ 
						if(!empty($_POST['tag']))
						{
							unset($_GET['paging']);
						}
						$tag_search = " WHERE tags like '%".$_REQUEST['tag']."%'"; //$_POST['tag']; 
					}else{
					$tag_search = "";
					}
			
					$email_search="";
					if(isset($_REQUEST['email_search_submiit']))
					{
						
						
						$email_search=" Where email_address='".$_REQUEST['search_email']."'";
						
					
					}
				
		
					$sql    = "SELECT * FROM `".$wpdb->prefix."am_contacts` ".$tag_search." $email_search ORDER BY id DESC";
					$count  = $wpdb->get_results( $sql );
					$items  = count($count); 
			
					$target="admin.php?page=am_contacts";
					
					if(!empty($action) && !empty($_REQUEST['tag']))
					{
						$target="admin.php?page=am_contacts&action=tag&tag=".$_REQUEST['tag'];
					}
					
					
					$limit  = 10; // If you want to exceed the limit No. 
				    if($items > 0) {
							$p = new pagination;
							$p->items($items);
							$p->limit($limit); // Limit entries per page
							$p->target($target); 
							$p->currentPage($_GET[$p->paging]); // Gets and validates the current page
							$p->calculate(); // Calculates what to show
							$p->parameterName('paging');
							$p->adjacents(1); //No. of page away from the current page
									 
							if(!isset($_GET['paging'])) {
								$p->page = 1;
								$i = 0;
							} else {
								$p->page = $_GET['paging'];
								$i = ($_GET['paging'] -1)* $limit;			
							}
							//Query for limit paging
							$limit = "LIMIT " . ($p->page - 1) * $p->limit  . ", " . $p->limit;	 
							
							$sql2 = "SELECT * FROM `".$wpdb->prefix."am_contacts` ".$tag_search." $email_search ORDER BY id DESC $limit";
					
							$contacts_arr = $wpdb->get_results( $sql2 );
							
					} 
					
						
					if( !empty($contacts_arr) ) {
					foreach($contacts_arr as $contact) {
					$i++;	
				    ?>
                        <tr>
                            <td><?php echo $i; ?></td>
                            <td><?php echo $contact->name; ?></td>
                            <td><?php echo $contact->email_address; ?></td>
                            <td>
                            <?php if($contact->status=='1'){?> <span class="label label-warning"><?php echo __( 'Pending', 'am' ); ?></span>
							<?php }else if($contact->status==2){?> <span class="custom_not_active"><?php echo __( 'Not active', 'am' ); ?></span>
							<?php }else{?> <span class="custom_active"><?php echo __( 'Active', 'am' ); ?></span>
                            <?php }?>
                            </td>
                            <td> 
                            <span class="cutom_delete custom_padding">
                            <a href="?page=am_contacts&action=del&id=<?php echo $contact->id;?>" onClick="javascript: return confirm('<?php echo __( 'Are you sure you want to delete that item?');?>');"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                            </span> 
                            
                            <span class="cutom_edit custom_padding">
                            <a href="?page=am_contacts&action=edit&id=<?php echo $contact->id;?>"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                            </span> 
                            </td>
                        </tr>
                        <?php }?>
						<?php }else{?>
                        <tr class="alternate">
                            <td colspan="5">
                                <p><?php echo __( 'There is no Contacts at the moment', 'am' );?></p>
                            </td>
                        </tr>
                        <?php }?>
                    </tbody>
                    <tfoot>
                        <tr>
                            <th>#</th>
                            <th><?php echo __( 'Name', 'am' );?></th>
                            <th><?php echo __( 'Email', 'am' );?></th>
                            <th><?php echo __( 'Status', 'am' );?></th>
                            <th><?php echo __( 'Action', 'am' );?></th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
    <div class="custom_pagination_wrap">
        <ul class="pagination custom_pagination_ul">
        <?php
		 if(count($contacts_arr)>0){
		 echo $p->show();  // Echo out the list of paging. 
		 }?>
    </ul>
</div>
</div>