<?php if ( $message!="") : ?>

<div id="message" class="updated fade"><p><strong><?php echo __( $message, 'am' ); ?></strong></p></div>

<?php endif; ?>

<div class="wrap">

<h2><?php echo __( 'Edit Offer', 'am' ); ?></h2>

<form method="post" name="frm_am" id="frm_am" class="frm_am" action="?page=am_offers&action=edit&id=<?php echo $offer->id;?>" enctype="multipart/form-data">

    <div class="am_product_options">

        <a href="" id="am_product_option_detail" class="active"><?php echo __( 'Offer Detail', 'am' );?></a> | <a href="" id="am_product_option_design"><?php echo __( 'Offer Design', 'am' );?></a>

    </div>

    <div class="am_product_detail">        

        <table class="wp-list-table widefat fixed" cellspacing="0">

                <thead>

                <tr>

                    <th scope="col" class="manage-column" style=""><?php echo __( 'Product Detail', 'am' );?></th>

                </tr>

                </thead>

                <tbody id="the-list">

                <tr>

                    <td>            	

                        <table width="100%">

                            <tr>

                                <td width="15%"><?php echo __( 'Offer Name', 'am' );?></td>

                                <td>

                                    <input type="text" name="offer_name" id="offer_name" value="<?php echo $offer->offer_name;?>" />                                    

                                </td>

                            </tr>

                            <tr>

                                <td colspan="2">

                                    <h3><?php echo __( 'Access', 'am' );?></h3>

                                </td>                        

                            </tr>

                            <tr>

                                <td colspan="2" class="am_product_arch">

                                    <div class="am_product_arch_heading">

                                        <div class="am_col am_col_15"><?php echo __( 'Products', 'am' );?></div>

                                        <div class="am_col am_col_85"><?php echo __( 'Modules + Lessons', 'am' );?></div>                                       

                                    </div>

                                    <div id="am_product_modules_list" class="list-group am_offer_product_struc">

                                       

                                        <?php if( sizeof($offer_products) > 0 ) { ?>                                        

                                        <?php foreach( $offer_products as $product ) {?>

                                        <div class="am_product_arch_mod_row" id="offer_product_<?php echo $product->id;?>">

                                            <div class="am_col am_col_15"><?php echo $product->product_name;?><br><span class="fa fa-trash" data-product-id="<?php echo $product->id;?>" onclick="javascript: return am_del_product(this);"></span></div>

                                            <div class="am_col am_col_85">

                                                <input type="checkbox" name="offer_product_all_lesons[]" class="offer_product_all_lesons" value="<?php echo $product->id;?>" >All <br>

                                                <?php $module_id = 0;?>

                                                <?php foreach( $course_structures as $product_id => $course_structure_outer ) {?>

                                                <?php foreach( $course_structure_outer as $course_structure ) {?>

                                                <?php if( $module_id != $course_structure->module_id ) { ?>

                                                <span>

                                                    <?php 

                                                    foreach( $modules as $module ) { 

                                                        if( $module->id == $course_structure->module_id ) {

                                                            echo $module->name;

                                                            break;

                                                        }

                                                    }

                                                    ?>

                                                </span> <br>

                                                <?php $module_id = $course_structure->module_id ;?>

                                                <input type="hidden" name="modules[]" value="<?php echo $module_id;?>" />

                                                <?php }?>

                                                <input type="hidden" name="lessons_product_<?php echo $module_id;?>" value="<?php echo $product->id;?>" />

                                                <?php if( in_array( $course_structure->lesson_id, $selected_lessons )) { ?>

                                                <input type="checkbox" checked name="lessons_<?php echo $module_id;?>[]" value="<?php echo $course_structure->lesson_id;?>" class="offer_product_<?php echo $product->id;?>_lesson" ><?php echo get_the_title( $course_structure->lesson_id );?> <br>

                                                <?php }else{?>

                                                <input type="checkbox" name="lessons_<?php echo $module_id;?>[]" value="<?php echo $course_structure->lesson_id;?>" class="offer_product_<?php echo $product->id;?>_lesson" ><?php echo get_the_title( $course_structure->lesson_id );?> <br>

                                                <?php }?>

                                                <?php }}?>        

                                            </div>

                                        </div>

                                        <?php }?>

                                        <?php }?>

                                    </div>

                                </td>

                            </tr>

                            <tr>

                                <td colspan="2">

                                    <div class="am_col am_col_15"><div class="am_product_arch_heading"><?php echo __( 'Add Product', 'am' );?></div></div>                                    

                                    <div class="am_col am_col_85">

                                        <select name="am_offer_product" id="am_offer_product">

                                            <option value=""><?php echo __( 'Select Product', 'am' );?></option>

                                            <?php 

                                            foreach( $products as $product ) {

                                                echo '<option value="'.$product->id.'">'.$product->product_name.'</option>';

                                            }

                                            ?>

                                        </select>

                                        <span class="am_ajax_loader"></span>

                                    </div>

                                </td>                        

                            </tr>

                            <tr>

                                <td colspan="2">

                                    <h3><?php echo __( 'Payment Processor Connection', 'am' );?></h3>

                                </td>                        

                            </tr>

                            <tr>

                                <td><?php echo __( 'DigiStore24 Products', 'am' );?></td>

                                <td>

                                    <?php foreach( $digi_products as $k=>$pro ) { ?>

                                        <?php if( $k == 'products' ) { ?>

                                            <?php foreach( $pro as $product ) {?>

                                            <?php //$product = array_shift($pro);?>

                                            <?php if($product->is_active == 'Y') {?>

                                                <?php if( $offer->digi_products == $product->id ) { ?>

                                                <input type="radio" checked name="digi_products" id="digi_product_<?php echo $product->id;?>" value="<?php echo $product->id;?>" /> <?php echo $product->id;?> - <?php echo $product->name;?><br>

                                                <?php }else{ ?>

                                                <input type="radio" name="digi_products" id="digi_product_<?php echo $product->id;?>" value="<?php echo $product->id;?>" /> <?php echo $product->id;?> - <?php echo $product->name;?><br>

                                            <?php }?>

                                            <?php }}?>

                                    <?php }}?>

                                </td>

                            </tr>

                            <tr>

                                <td colspan="2">

                                    <h3><?php echo __( 'Settings', 'am' );?></h3>

                                </td>                        

                            </tr>

                            <tr>

                                <td><?php echo __( 'Login redirect', 'am' );?></td>

                                <td>

                                    <select name="login_redirect" id="login_redirect">

                                        <option value=""><?php echo __( 'Select Page', 'am' );?></option>

                                        <?php foreach( $pages as $k=>$page ) { ?>

                                        <?php if( $offer->login_redirect == $page->ID ) { ?>

                                        <option selected value="<?php echo $page->ID;?>"><?php echo $page->post_title;?></option>

                                        <?php }else{ ?>

                                        <option value="<?php echo $page->ID;?>"><?php echo $page->post_title;?></option>

                                        <?php }?>

                                        <?php }?>

                                    </select>

                                </td>

                            </tr>

                            <tr>

                                <td><?php echo __( 'Error redirect to', 'am' );?></td>

                                <td>

                                    <select name="error_redirect" id="error_redirect">

                                        <option value=""><?php echo __( 'Select Page', 'am' );?></option>

                                        <?php foreach( $pages as $k=>$page ) { ?>

                                        <?php if( $offer->error_redirect == $page->ID ) { ?>

                                        <option selected value="<?php echo $page->ID;?>"><?php echo $page->post_title;?></option>

                                        <?php }else{ ?>

                                        <option value="<?php echo $page->ID;?>"><?php echo $page->post_title;?></option>

                                        <?php }?>

                                        <?php }?>

                                    </select>

                                </td>

                            </tr>

                            <?php /* ?>

                            <tr>

                                <td><?php echo __( 'Error Text(For Summit Mode)', 'am' );?></td>

                                <td>

                                    <?php

                                    $settings = array( 'media_buttons' => false );

                                    wp_editor( '', 'error_text', $settings );

                                    ?>

                                </td>

                            </tr>

                            <?php */ ?>

                            <tr>

                                <td><?php echo __( 'Lock user account if payment canceled', 'am' );?></td>

                                <td>

                                    <?php if( $offer->lock_user_on_no_payment == $page->ID ) { ?>

                                    <input type="checkbox" checked value="yes" name="lock_user_on_no_payment" id="lock_user_on_no_payment" >

                                    <?php }else{ ?>

                                    <input type="checkbox" value="yes" name="lock_user_on_no_payment" id="lock_user_on_no_payment" >

                                    <?php }?>

                                </td>

                            </tr>

                            <tr>

                                <td><?php echo __( 'Account Lock redirect to', 'am' );?></td>

                                <td>

                                    <select name="lock_redirect" id="lock_redirect">

                                        <option value=""><?php echo __( 'Select Page', 'am' );?></option>

                                        <?php foreach( $pages as $k=>$page ) { ?>

                                        <?php if( $offer->lock_redirect == $page->ID ) { ?>

                                        <option selected value="<?php echo $page->ID;?>"><?php echo $page->post_title;?></option>

                                        <?php }else{ ?>

                                        <option value="<?php echo $page->ID;?>"><?php echo $page->post_title;?></option>

                                        <?php }?>

                                        <?php }?>

                                    </select>

                                </td>

                            </tr>

                            <tr>

                                <td><input type="submit" name="btnsave" id="btnsave" class="button button-primary button-large" value="Save"></td>

                                <td>&nbsp;</td>

                            </tr>

                        </table>



                    </td>

                </tr>

             </tbody>

        </table>

        </div>

        

        

    

    <div class="am_product_design">

        <table class="wp-list-table widefat fixed" cellspacing="0">

            <thead>

            <tr>

                <th scope="col" class="manage-column" style=""><?php echo __( 'Offer Design', 'am' );?></th>

            </tr>

            </thead>

            <tbody id="the-list">

            <tr>

                <td>            	

                    <table width="100%">

                        <tr>

                            <td colspan="2">

                                <h3><?php echo __( 'Display Options', 'am' );?></h3>

                            </td>                        

                        </tr>

                        

                        <tr>

                            <td width="15%"><?php echo __( 'Page Background Image', 'am' );?></td>

                            <td>

                                <img src="<?php echo $offer->bg_image;?>" width="150" /><br>

                                <input type="text" name="bg_image" id="bg_image" value="<?php echo $offer->bg_image;?>" class="textfield" />

                                <input class="upload_media_button button" type="button" name="btnupload" value="Upload" />

                            </td>

                        </tr>

                        <tr>

                            <td><?php echo __( 'Page Logo', 'am' );?></td>

                            <td>

                                <img src="<?php echo $offer->logo;?>" width="150" /><br>

                                <input type="text" name="logo" id="logo" value="<?php echo $offer->logo;?>" class="textfield" />

                                <input class="upload_media_button button" type="button" name="btnupload" value="Upload" />

                            </td>

                        </tr>

                        <tr>

                            <td colspan="2">

                                <h4><?php echo __( 'Top Header', 'am' );?></h4>

                            </td>     

                        </tr>

                        <tr>

                            <td colspan="2">

                                <strong> -- <?php echo __( 'Background Gradient', 'am' );?></strong>

                            </td>     

                        </tr>

                        <tr>

                            <td> ---- <?php echo __( 'Gradient Color Start', 'am' );?></td>

                            <td>

                                <input type="text" name="top_header_gradient_color1" id="top_header_gradient_color1" value="<?php echo $offer->top_header_gradient_color1;?>" class="am_color_picker" />                              

                            </td>

                        </tr>

                        <tr>

                            <td> ---- <?php echo __( 'Gradient Color End', 'am' );?></td>

                            <td>

                                <input type="text" name="top_header_gradient_color2" id="top_header_gradient_color2" value="<?php echo $offer->top_header_gradient_color2;?>" class="am_color_picker" />                              

                            </td>

                        </tr>

                        <tr>

                            <td colspan="2">

                                <h4><?php echo __( 'Full Content Area', 'am' );?></h4>

                            </td>     

                        </tr>

                        <tr>

                            <td colspan="2">

                                <strong> -- <?php echo __( 'Background Gradient', 'am' );?></strong>

                            </td>     

                        </tr>

                        <tr>

                            <td> ---- <?php echo __( 'Gradient Color Start', 'am' );?></td>

                            <td>

                                <input type="text" name="content_gradient_color1" id="content_gradient_color1" value="<?php echo $offer->content_gradient_color1;?>" class="am_color_picker" />                              

                            </td>

                        </tr>

                        <tr>

                            <td> ---- <?php echo __( 'Gradient Color End', 'am' );?></td>

                            <td>

                                <input type="text" name="content_gradient_color2" id="content_gradient_color2" value="<?php echo $offer->content_gradient_color2;?>" class="am_color_picker" />                              

                            </td>

                        </tr>

                        <tr>

                            <td colspan="2">

                                <h4><?php echo __( 'Texts', 'am' );?></h4>

                            </td>     

                        </tr>

                        <tr>

                            <td>

                                <strong> -- <?php echo __( 'Above Button Text', 'am' );?></strong>

                            </td> 

                            <td>

                                <input type="text" name="above_button_text" id="above_button_text" value="<?php echo $offer->above_button_text;?>" />                              

                            </td>

                        </tr>

                        <tr>

                            <td> ---- <?php echo __( 'Text Color', 'am' );?></td>

                            <td>

                                <input type="text" name="text_color" id="text_color" value="<?php echo $offer->text_color;?>" class="am_color_picker" />                              

                            </td>

                        </tr>

                        <tr>

                            <td> ---- <?php echo __( 'Text Size', 'am' );?></td>

                            <td>

                                <input type="number" name="text_size" id="text_size" min="10" value="<?php echo $offer->text_size;?>" />                              

                            </td>

                        </tr>

                        <tr>

                            <td> ---- <?php echo __( 'Font', 'am' );?></td>

                            <td>

                                <select name="text_font" id="text_font">

                                    <option value=""><?php echo __( 'Select Font', 'am' );?></option>

                                    <?php 

                                    foreach( $fonts as $font ) {

                                        if( $font == $offer->text_font ) {

                                            echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

                                        }else{

                                            echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

                                        }                                        

                                    }

                                    ?>

                                </select>                                                            

                            </td>

                        </tr>

                        <tr>

                            <td>

                                <strong> -- <?php echo __( 'Button Text', 'am' );?></strong>

                            </td>   

                            <td>

                                <input type="text" name="button_text" id="button_text" value="<?php echo $offer->button_text;?>" />                              

                            </td>

                        </tr>

                        <tr>

                            <td>

                                 --- <?php echo __( 'Text Color', 'am' );?>

                            </td>   

                            <td>

                                <input type="text" name="button_text_color" id="button_text_color" value="<?php echo $offer->button_text_color;?>" class="am_color_picker" />

                            </td>

                        </tr>

                        <tr>

                            <td>

                                 --- <?php echo __( 'Text Font', 'am' );?>

                            </td>   

                            <td>

                                <select name="button_text_font" id="button_text_font">

                                    <option value=""><?php echo __( 'Select Font', 'am' );?></option>

                                    <?php 

                                    foreach( $fonts as $font ) {

                                        if($offer->button_text_font == $font ) {

                                            echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

                                        }elseif( $font == "Arial, Helvetica, sans-serif" ) {

                                            echo '<option selected value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

                                        }else{

                                            echo '<option value="'.$font.'" style="font-family:'.$font.'">'.$font.'</option>';

                                        }                                        

                                    }

                                    ?>

                                </select>                                                        

                            </td>

                        </tr>

                        <tr>

                            <td> --- <?php echo __( 'Text Size', 'am' );?></td>

                            <td>

                                <input type="number" name="button_text_size" id="button_text_size" min="10" value="<?php echo $offer->button_text_size;?>" />                              

                            </td>

                        </tr>

                        <tr>

                            <td> --- <?php echo __( 'Background Color', 'am' );?></td>

                            <td>

                                <input type="text" name="button_bg_color" id="button_bg_color" value="<?php echo $offer->button_bg_color;?>" class="am_color_picker" />                              

                            </td>

                        </tr>

                        <tr>

                            <td><input type="submit" name="btnsave" id="btnsave" class="button button-primary button-large" value="<?php echo __( 'Save', 'am' );?>"></td>

                            <td>&nbsp;</td>

                        </tr>

                    </table>

                </td>

            </tr>

            </tbody>

        </table>

    </div>

</form>

</div>

<script>

    if(jQuery(".offer_product_all_lesons").length){

        jQuery(".offer_product_all_lesons").click(function(){

            var pro_id = jQuery(this).val();

            if(jQuery(this).is(":checked")){

                jQuery(".offer_product_"+pro_id+"_lesson").prop("checked",true);

            }else{

                jQuery(".offer_product_"+pro_id+"_lesson").prop("checked",false);

            }

        });

    }

</script>