<?php if ( $message!="") : ?>

<div id="message" class="updated" style="margin-left: 2px;">

	<p><strong><?php echo __( $message, 'am' ); ?></strong></p>

</div>

<?php endif; ?>



<div class="setting-pg-main am_import_custom_main_wrap">

    <div class="setting-iner">

        <h1><?php echo __( 'Import Product', 'am' ); ?></h1>

        <div class="setting-iner-body">

            <ul>

                <li class="General_Settings active">

                    <div class="accessmen_hd">

                        <h2 class="uppercase_letter"><?php echo __( 'Product Detail', 'am' );?></h2> 

                    </div>

                    <form method="post" name="frm_am" id="frm_am" class="frm_am" action="?page=am_import&action=import" enctype="multipart/form-data">

                        <div class="border-top-section">

                            <div class="col-40  ">

                                <label class="element"><?php echo __( 'Engine', 'am' );?></label>

                            </div>

                            <div class="col-54">

                                <div class="element-radio">

                                    <input type="radio" checked="checked" name="import_engine" value="digimember" id="import_engine" />

                                    <label for="import_engine"><?php echo __( 'Digimember ', 'am' );?></label>

                                </div>

                            </div>

                        </div>

                        

                        <?php if(count($products)>0){ ?>

                        <div class="border-top-section">

                            <div class="col-40">

                                <label class="element-label"><?php echo __( 'Products', 'am' );?></label>

                            </div>

                            <div class="col-54 custom_radio_wrap">

                                <?php  foreach($products as $product){ ?>

                                <div class="element-radio">

                                    <input type="radio" name="digimember_product" <?php if( $selected_product->id == $product->id ) {  ?> checked="checked" <?php } ?> value="<?php echo $product->id;?>" id="<?php echo $product->id;?>digimember_product" onclick="javascript:window.location.href='?page=am_import&product_id=<?php echo $product->id;?>'" />

                                    <label for="<?php echo $product->id;?>digimember_product"><?php echo $product->name;?></label>

                                </div>

                                <?php }?>

                            </div>

                        </div>

                        <?php } ?>

                        

                        <div class="border-top-section">

                            <div class="text-cenr">

                                <label class="custom_element col-40"><?php echo __( 'Secure Posts and Pages (optional)', 'am' );?></label>

                            </div>

                            <div class="col-md-4">

                                <button type="button" class="btn btn-info custon_collpase_heading" data-toggle="collapse" data-target="#demo">   <span class="custom_plus_wrap pull-right"><i class="fa fa-plus" aria-hidden="true"></i></span><?php echo __( 'Posts', 'am' );?></button>

                                

                                <div id="demo" class="collapse">

                                    <div class="col-54 element-checbox_area_wrap">

                                        <div class="element-checbox "> <span class="checkspan customcheck_span checkspan_custom_w">

										<?php 

                                        foreach( $posts as $post ) {

                                                

                                            $checked = ' checked';

                                            foreach ( $product_content as $content ) {

                                                if( $content->post_id == $post->ID ) {

                                                    $checked = '';

                                                    break;

                                                }

                                            }

                                        ?>

                                        <label><?php echo $post->post_title;?></label>

                                        <input type="checkbox" <?php echo $checked;?> name="product_secure_posts[]" value="<?php echo $post->ID;?>" />

                                        <span class="checklabspan"></span> </span> <span class="checkspan customcheck_span checkspan_custom_w">

                                        <?php }?>

                                        </div>

                                    </div>

                                </div>

                            </div>

                            

                            <div class="col-md-4">

                                <button type="button" class="btn btn-info custon_collpase_heading" data-toggle="collapse" data-target="#pages">     <span class="custom_plus_wrap pull-right">    <i class="fa fa-plus" aria-hidden="true"></i></span><?php echo __( 'Pages', 'am' );?></button>

                                <div id="pages" class="collapse">

                                    <div class="col-54 element-checbox_area_wrap">

                                        <div class="element-checbox "> <span class="checkspan customcheck_span checkspan_custom_w">

										<?php 

                                        foreach( $pages as $page ) {

                                                

                                            $checked = ' checked';

                                            foreach ( $product_content as $content ) {

												if( $content->post_id == $page->ID ) {

													$checked = '';

													break;

												}

											}

                                        ?>

                                        <label><?php echo $page->post_title;?></label>

                                        <input type="checkbox" <?php echo $checked;?> name="product_secure_pages[]" value="<?php echo $page->ID;?>" />

                                        <span class="checklabspan"></span> </span> <span class="checkspan customcheck_span checkspan_custom_w">

                                        <?php }?>

                                        </div>

                                    </div>

                                </div>

                            </div>

                        </div>

    

                      

                        <div class="border-top-section">

                            <div class="text-left">

                                <label class="custom_element uppercase_letter"><?php echo __( 'Payment Processor Connection', 'am' );?></label>

                            </div>

                            <div class="col-54"> </div>

                        </div>

                        <div class="border-top-section">

                            <div class="col-40">

                                <label class="element-label"><?php echo __( 'DigiStore24 Products', 'am' );?></label>

                            </div>

                            <div class="col-54 custom_radio_wrap">

                                

                                <?php 

								$digimember_products = explode( ',', $selected_product->ds24_product_ids );

								if(is_array($digimember_products)) {

									$first_digimember_product = $digimember_products[0];

								}else{

									$first_digimember_product = $digimember_products;

								}

								

								foreach( $digi_products as $k=>$pro ){ 

								if( $k == 'products' ) { 

									foreach( $pro as $product ) { 

										if($product->is_active == 'Y'){ ?>

                                        <div class="element-radio">

                                            <input type="radio"  <?php if( $product->id == $first_digimember_product ) { ?> checked="checked" <?php }?> name="digi_products" id="digi_product_<?php echo $product->id;?>" value="<?php echo $product->id;?>" />

                                            <label for="digi_product_<?php echo $product->id;?>"> <?php echo $product->id;?> - <?php echo $product->name;?></label>

                                        </div>

							   <?php 	}//end if 

                                     }//end foreach

                                }//end if

                                }//end foreach

                                ?>

                            </div>

                        </div>

                        

                        <div class="border-top-section">

                            <div class="text-left">

                                <label class="custom_element uppercase_letter"><?php echo __( 'Settings', 'am' );?></label>

                            </div>

                            <div class="col-54"> </div>

                        </div>

                        

                        <div class="border-top-section">

                            <div class="col-40  ">

                                <label class="element-label"><?php echo __( 'Login redirect', 'am' );?></label>

                            </div>

                            <div class="col-54">

                                <div class="element-radio">

                                    <select name="login_redirect" id="login_redirect" class="custom_selection_wrap">

                                        <option value=""><?php echo __( 'Select Page', 'am' );?></option>

                                        <?php foreach( $pages as $k=>$page ) { ?>

                                        <option <?php if( $selected_product->login_url == $page->ID ) {?> selected <?php }?> value="<?php echo $page->ID;?>">

										<?php echo $page->post_title;?></option>

                                        <?php }?>

                                    </select>

                                </div>

                            </div>

                        </div>

                        

                        <div class="border-top-section">

                            <div class="col-40  ">

                                <label class="element-label"><?php echo __( 'Error redirect to', 'am' );?></label>

                            </div>

                            <div class="col-54">

                                <div class="element-radio">

                                    <select name="error_redirect" id="error_redirect" class="custom_selection_wrap">

                                        <option value=""><?php echo __( 'Select Page', 'am' );?></option>

                                        <?php foreach( $pages as $k=>$page ) { ?>

                                        <option <?php if( $selected_product->access_denied_page == $page->ID ) {?> selected  <?php }?> value="<?php echo $page->ID;?>">

                                        <?php echo $page->post_title;?></option>

                                        <?php }?>

                                    </select>

                                </div>

                            </div>

                        </div>

                        

                        <div class="border-top-section">

                            <div class="col-40 ">

                                <label class="element-label"><?php echo __( 'Error Text(For Summit Mode)', 'am' );?></label>

                            </div>

                            <div class="col-54">

                            <?php

                            $settings = array( 'media_buttons' => true );

                            wp_editor( html_entity_decode(stripslashes($selected_product->access_denied_text)), 'error_text', $settings );

                            ?>

                            </div>

                        </div>

                        

                        <div class="border-top-section">

                            <div class="col-40">

                                <label class="element-label"><?php echo __( 'Lock user account if payment canceled', 'am' );?></label>

                           </div>

                            <div class="col-54">

                            <div class="element-checbox "> 

                               <span class="checkspan ">

                                    <label> </label>

                                    <input type="checkbox" <?php if( $selected_product->lock_type == "page" ) {?> checked <?php }?> value="yes" name="lock_user_on_no_payment" id="lock_user_on_no_payment">

                                    <span class="checklabspan"></span> </span>

                             </div>

                            

                            </div>

                        </div>

                        

                        <div class="border-top-section">

                            <div class="col-40">

                                <label class="element-label"><?php echo __( 'Account Lock redirect to', 'am' );?></label>

                            </div>

                            <div class="col-54">

                                <select name="lock_redirect" id="lock_redirect" class="custom_selection_wrap">

                                    <option value=""><?php echo __( 'Select Page', 'am' );?></option>

                                    <?php foreach( $pages as $k=>$page ) { ?>

                                    <option <?php if( $selected_product->lock_page == $page->ID && $selected_product->lock_type == "page" ) {?> selected <?php } ?> value="<?php echo $page->ID;?>"><?php echo $page->post_title;?></option

                                    ><?php }?>

                                </select>

                            </div>

                        </div>

                       

                        

                        <div class="border-top-section">

                            <div class="col-40 ">

                                <label class="element-label"></label>

                            </div>

                            <div class="col-54">

                                <input type="submit" name="btnsave" id="btnsave" class="custom_button_wrap" value="<?php echo __( 'Import', 'am' );?>">

                            </div>

                        </div>

                        

                    </form>

                </li>

            </ul>

        </div>

    </div>

</div>