<?php 
require_once("pagination.class.php");
if ( $message!="") : ?>
    <div id="message" class="updated fade">
        <p><strong><?php echo __($message, 'am'); ?></strong></p>
    </div>
<?php endif; ?> 

 
<div class="main_wrap-am-optin-form-page">
    <div class="custom_email_series_wrap">
        <h2><?php echo __( 'E-Mail - Opt-In Forms', 'am' );?></h2>
    </div>
    <div class="setting-iner-header">
        <ul>
        
            <li class="DefaultDesign">
                <a href="?page=am_newsletter" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope-o" aria-hidden="true"></i></div>
                    <?php echo __( 'Newsletter', 'am' );?>
                </a>
            </li>
            
            <?php //if($license_settings->email_series ==1){ ?>
            <li class="GeneralSettings">
                <a href="?page=am_email_series" class="am_active"> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope" aria-hidden="true"></i> </div>
                    <?php echo __( 'E-mail Series', 'am' );?>
                </a>
            </li>
            <?php  //} ?>
            
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_contacts" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-phone-square" aria-hidden="true"></i></div>
                    <?php echo __( 'Contacts', 'am' );?>
                </a>
            </li>
            
            
            <?php // if($license_settings->optin_forms ==1){ ?>
            <li class="LoginDefaultDesign active">
                <a href="?page=am_optin_frm" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-lock" aria-hidden="true"></i></div>
                    <?php echo __( 'Opt-In Forms', 'am' );?>
                </a>
            </li>
            <?php //} ?>
            
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_tags" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"><i class="fa fa-tags" aria-hidden="true"></i></div>
                    <?php echo __( 'Tags', 'am' );?>
                </a>
            </li>
            
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_email_setting" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-cog" aria-hidden="true"></i></div>
                    <?php echo __( 'Settings', 'am' );?>
                </a>
            </li>
        </ul>
        <div class="container-fluid custom_wrap_table table-responsive">
            
            <div class="custom_email_series_wrap nw_cls_btn">
            <a href="?page=am_optin_frm&action=add" type="button" class="custom_add_lesson_wrap">
			<?php echo __( 'Add New', 'am' );?></a>
            </div>
            
            <div class="row">
                <table class="table table-bordered custom_table_wrap_b">
                    <thead>
                        <tr>
                            <th width="43">#</th>
                            <th><?php echo __( 'Name', 'am' );?></th>
                            <th><?php echo __( 'Tags', 'am' );?></th>
                            <th><?php echo __( 'Redirect', 'am' );?></th>
                            <th><?php echo __( 'Optins', 'am' );?></th>
                            <th><?php echo __( 'Confirmed', 'am' );?></th>
                            <th><?php echo __( 'Shortcode', 'am' );?></th>
                            <th><?php echo __( 'Action', 'am' );?></th>
                        </tr>
                    </thead>
                    <tbody>
                    <?php 
					global $wpdb;
					/* Show many results per page? */
					$sql    = "SELECT * FROM `".$wpdb->prefix."am_optin_forms` ORDER BY id DESC";
					$count  = $wpdb->get_results( $sql );
					$items  = count($count); 
					$limit  = 10; // If you want to exceed the limit No. 
				    if($items > 0) {
							$p = new pagination;
							$p->items($items);
							$p->limit($limit); // Limit entries per page
							$p->target("admin.php?page=am_optin_frm"); 
							$p->currentPage($_GET[$p->paging]); // Gets and validates the current page
							$p->calculate(); // Calculates what to show
							$p->parameterName('paging');
							$p->adjacents(1); //No. of page away from the current page
									 
							if(!isset($_GET['paging'])) {
								$p->page = 1;
								$i = 0;
							} else {
								$p->page = $_GET['paging'];
								$i = ($_GET['paging'] -1)* $limit;			
							}
							//Query for limit paging
							$limit = "LIMIT " . ($p->page - 1) * $p->limit  . ", " . $p->limit;	
							
							$sql2 = "SELECT * FROM `".$wpdb->prefix."am_optin_forms` ORDER BY id DESC $limit";
							$optin_forms_arr = $wpdb->get_results( $sql2 ); 
					} 
					
					if( !empty($optin_forms_arr) ) {
						foreach( $optin_forms_arr as $optin_form){
						$i++;	
						$tag_string = "";
						if($optin_form->tags !=""){
							
							 $optin_tags = explode(',',trim($optin_form->tags,','));
							 foreach($optin_tags as $tag){
									
								 //Get Tag Data
								 $tag_arr = $this->am_get_tag($tag['id']);
								 $tag_string .= '"'.$tag_arr->tag_name.'"<br />';
							 }
							
						}else{
							
							$tag_string = "";
						}
						$page_title = get_the_title($optin_form->form_redirect_page_id);
						?>
                        <tr>
                            <td><?php echo ($i); ?></td>
                             <td><?php echo $optin_form->form_name; ?></td>
                            <td><?php echo $tag_string; ?></td>
                            <td><?php echo $page_title;?></td>
                            <td><?php echo $this->am_get_optin_users($optin_form->id); ?></td>
                            <td><?php echo $this->am_get_optin_confirm_users($optin_form->id); ?></td>
                            <td>[optinform id=<?php echo $optin_form->id; ?>]</td>
                            <td>
                            <span class="cutom_delete custom_padding">
                            <a href="?page=am_optin_frm&action=del&id=<?php echo $optin_form->id;?>" onClick="javascript: return confirm('<?php echo __( 'Are you sure you want to delete that item?');?>');"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                            </span> 
                            
                            <span class="cutom_edit custom_padding">
                            <a href="?page=am_optin_frm&action=edit&id=<?php echo $optin_form->id;?>"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                            </span> 
                            </td>
                        </tr>
                        <?php }?>
						<?php }else{?>
                        <tr class="alternate">
                                <td colspan="8">
                                    <p><?php echo __( 'There is no Opt-In forms at the moment', 'am' );?></p>
                                </td>
                        </tr>
                    	<?php }?>
                    </tbody>
                    <tfoot>
                        <tr>
                            <th width="43">#</th>
                            <th><?php echo __( 'Name', 'am' );?></th>
                            <th><?php echo __( 'Tags', 'am' );?></th>
                            <th><?php echo __( 'Redirect', 'am' );?></th>
                            <th><?php echo __( 'Optins', 'am' );?></th>
                            <th><?php echo __( 'Confirmed', 'am' );?></th>
                            <th><?php echo __( 'Shortcode', 'am' );?></th>
                            <th><?php echo __( 'Action', 'am' );?></th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
		
		<form method="post" name="frm_am" id="frm_am" class="frm_am" action="?page=am_optin_frm" enctype="multipart/form-data">
		
		
		          <div class="border-top-section">
                <div class="col-38">
                    <label class="element-label"><?php echo __( 'OptinForm Name PlaceHolder Text', 'am' );?></label>
                </div>
                <div class="col-58">
                    <input type="text" class="element-form"  name="optinfrom_name_placeholder" value="<?php echo $options['optinfrom_name_placeholder'];?>" />
                </div>
            </div>
                    
            <div class="border-top-section">
                <div class="col-38">
                    <label class="element-label"><?php echo __( 'OptinForm Email PlaceHolder Text', 'am' );?></label>
                </div>
                <div class="col-58">
                    <input type="text" class="element-form"  name="optinfrom_email_placeholder" value="<?php echo $options['optinfrom_email_placeholder'];?>" />
                </div>
            </div>
                    
            <div class="border-top-section">
                <div class="col-38">
                    <label class="element-label"><?php echo __( 'OptinForm Button Text', 'am' );?></label>
                </div>
                <div class="col-58">
                    <input type="text" class="element-form"  name="optinfrom_button_text" value="<?php echo $options['optinfrom_button_text'];?>" />
                </div>
            </div>
			
			            <div class="border-top-section">
              <div class="col-40 text-right">
                <label class="element-label"></label>
              </div>
              <div class="col-54">
                <input type="submit" name="btnsave" id="btnsave" value="<?php echo __( 'Update', 'am' );?>" class="custom_button_wrap">
              </div>
            </div>
			
		</form>
    </div>
    <div class="custom_pagination_wrap">
        <ul class="pagination custom_pagination_ul">
        <?php
		 if(count($optin_forms_arr)>0){
		 echo $p->show();  // Echo out the list of paging. 
		 }?>
    </ul>
</div>
</div>