<?php if ( $message!="") : ?>
<div id="message" class="updated fade"><p><strong><?php echo __($message, 'am'); ?></strong></p></div>
<?php endif; ?>

<div class="wrap">
<br>
<h1><?php echo __( 'Manage Quiz', 'am' );?> <a href="?page=am_quiz&action=add" class="page-title-action"><?php echo __( 'Add New', 'am' );?></a></h1>
<br>
<table class="wp-list-table widefat fixed" cellspacing="0" width="100%">
	<thead>
        <tr>
            <th width="194" class="manage-column" scope="col"><?php echo __( 'Product Name', 'am' );?></th>
            <th width="207" class="manage-column num" scope="col"><?php echo __( 'Lesson', 'am' );?></th>
            <th width="223" class="manage-column num" scope="col"><?php echo __( 'Question', 'am' );?></th>
            <th width="165" class="manage-column num" scope="col"><?php echo __( 'Created Date', 'am' );?></th>
            <th scope="col" class="manage-column num"><?php echo __( 'Action', 'am' );?></th>	
        </tr>
	</thead>

	<tfoot>
        <tr>
           <th scope="col" class="manage-column "><?php echo __( 'Product Name', 'am' );?></th>
           <th scope="col" class="manage-column num"><?php echo __( 'Lesson', 'am' );?></th>
           <th scope="col" class="manage-column num"><?php echo __( 'Question', 'am' );?></th>
           <th scope="col" class="manage-column num"><?php echo __( 'Created Date', 'am' );?></th>
           <th scope="col" class="manage-column num"><?php echo __( 'Action', 'am' );?></th>
        </tr>
	</tfoot>

	<tbody id="the-list" class="list">
            <?php if( !empty($all_quiz_arr) ) {?>
			<?php 
            foreach( $all_quiz_arr as $quiz) { 
            
            $product_name = $this->am_get_product_name($quiz->product_id);
            
            $lesson_name = get_the_title($quiz->lesson_id);
            
            ?>   
            <tr class="alternate">
                <td><strong><?php echo $product_name; ?></strong></td>
                <td class="num"><?php echo $lesson_name; ?></td>
                <td class="num"><?php echo $quiz->question; ?></td>
                <td class="num"><?php echo date("d, M Y", strtotime($quiz->created_date)); ?></td>
              
                <td class="action column-action num" width="449">
                    <a href="?page=am_quiz&action=del&id=<?php echo $quiz->id;?>" onClick="javascript: return confirm('<?php echo __( 'Are you sure you want to delete that item?');?>');"><?php echo __( 'Delete', 'am' );?></a> / 
                    <a href="?page=am_quiz&action=edit&id=<?php echo $quiz->id;?>"><?php echo __( 'Edit', 'am' );?></a>
                </td>
            </tr>
            <?php }?>
            <?php }else{?>
            <tr class="alternate">
                <td colspan="5">
                    <p><?php echo __( 'There is no Quiz at the moment', 'am' );?></p>
                </td>
            </tr>
            <?php }?>
	</tbody>
</table>
</div>