<?php 
require_once("pagination.class.php");
if ( $message!="") : ?>
<div id="message" class="updated" style="margin-left: 2px;">
	<p><strong><?php echo __($message, 'am'); ?></strong></p>
</div>
<?php endif; ?>
 
<section class="main_manage_wrap_order_page">
    <div class="container-fluid">
        <div class="row custom_secondary_wrap">
            <div class="col-lg-12 custom_manage_title_wrap">
                <h3><?php echo __( 'Manage Survey', 'am' );?></h3> 
            </div>
            <div class="col-lg-12 custom_manage_btn_wrap">
                <a href="?page=am_survey&action=add" type="button" class="custom_add_lesson_wrap"><?php echo __( 'Add New', 'am' );?></a>
            </div>
        </div>
    </div>
     <div class="container-fluid custom_wrap_table">
        <div class="row table-responsive">
            <table class="table table-bordered custom_table_wrap_b">
                <thead>
                    <tr>
                        <th><?php echo __( 'Short-Code', 'am' );?></th>
                        <th><?php echo __( 'Survey Image', 'am' );?></th>
                        <th><?php echo __( 'Survey Title', 'am' );?></th>
                        <th><?php echo __( 'Tagged Users', 'am' );?></th>
                        <th><?php echo __( 'Action', 'am' );?></th>
                    </tr>
                </thead>
                <tbody>
                <?php
				global $wpdb;
				/* Show many results per page? */
				$sql    = "SELECT * FROM `".$wpdb->prefix."am_survey` ORDER BY id DESC";
				$count  = $wpdb->get_results( $sql );
				$items  = count($count); 
				$limit  = 10; // If you want to exceed the limit No. 
			    if($items > 0) {
						$p = new pagination;
						$p->items($items);
						$p->limit($limit); // Limit entries per page
						$p->target("admin.php?page=am_survey"); 
						$p->currentPage($_GET[$p->paging]); // Gets and validates the current page
						$p->calculate(); // Calculates what to show
						$p->parameterName('paging');
						$p->adjacents(1); //No. of page away from the current page
								 
						if(!isset($_GET['paging'])) {
							$p->page = 1;
							$i = 0;
						} else {
							$p->page = $_GET['paging'];
							$i = ($_GET['paging'] -1)* $limit;			
						}
						//Query for limit paging
						$limit = "LIMIT " . ($p->page - 1) * $p->limit  . ", " . $p->limit;	 
						
						$sql2 = "SELECT * FROM `".$wpdb->prefix."am_survey` ORDER BY id DESC $limit";
						$all_survey = $wpdb->get_results( $sql2 ); 
				} 
				
				
				if( !empty($all_survey) ) { 
					 foreach( $all_survey as $survey) {
					 $survey_tagged_users = $this->get_tagged_survey_users($survey->id);	
					 ?>
                    <tr>
                        <td>[am_survey id="<?php echo $survey->id;?>"]</td>
                        <td>
                        <?php if( $survey->survey_image != "" ) {?>
                		<img src="<?php echo $survey->survey_image;?>" width="50" />
						<?php }?>
                        </td>
                        <td><?php echo $survey->survey_title;?></td>
                        <td><?php echo $survey_tagged_users;?></td>
                        <td>
                        <span class="cutom_delete custom_padding">
                        <a href="?page=am_survey&action=del&id=<?php echo $survey->id;?>" onClick="javascript: return confirm('<?php echo __( 'Are you sure you want to delete that item?');?>');"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                         </span> 
                         
                        <span class="cutom_edit custom_padding">
                        <a href="?page=am_survey&action=edit&id=<?php echo $survey->id;?>"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                        </span> 
                        </td>
                    </tr>
                    <?php }
					}else{ ?>
					<tr class="alternate">
						<td colspan="5">
							<p><?php echo __( 'There is no Survey at the moment', 'am' );?></p>
						</td>
					</tr>
					<?php }?>
                </tbody>
                <tfoot>
                    <tr>
                        <th><?php echo __( 'Short-Code', 'am' );?></th>
                        <th><?php echo __( 'Survey Image', 'am' );?></th>
                        <th><?php echo __( 'Survey Title', 'am' );?></th>
                        <th><?php echo __( 'Tagged Users', 'am' );?></th>
                        <th><?php echo __( 'Action', 'am' );?></th>
                    </tr>
                </tfoot>
            </table>
        </div>
        <div class="custom_pagination_wrap">
        <ul class="pagination custom_pagination_ul">
        <?php
		 if(count($all_survey)>0){
		 echo $p->show();  // Echo out the list of paging. 
		 }?>
    </ul>
</div>
    </div>
</section>