<?php 
require_once("pagination.class.php");
if ( $message!="") : ?>
    <div id="message" class="updated fade">
        <p><strong><?php echo __($message, 'am'); ?></strong></p>
    </div>
<?php endif; ?> 

 
<div class="main_wrap_am_tags_page">
    <div class="custom_email_series_wrap">
        <h2><?php echo __( 'E-Mail - Tags', 'am' );?></h2>
    </div>
    <div class="setting-iner-header">
        <ul>
            
            <li class="DefaultDesign">
                <a href="?page=am_newsletter" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope-o" aria-hidden="true"></i></div>
                    <?php echo __( 'Newsletter', 'am' );?>
                </a>
            </li>
            
            <?php // if($license_settings->email_series ==1){ ?>
            <li class="GeneralSettings">
                <a href="?page=am_email_series" class="am_active"> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope" aria-hidden="true"></i> </div>
                    <?php echo __( 'E-mail Series', 'am' );?>
                </a>
            </li>
            <?php //} ?>
            
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_contacts" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-phone-square" aria-hidden="true"></i></div>
                    <?php echo __( 'Contacts', 'am' );?>
                </a>
            </li>
            
            
            <?php  //if($license_settings->optin_forms ==1){ ?>
            <li class="LoginDefaultDesign">
                <a href="?page=am_optin_frm" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-lock" aria-hidden="true"></i></div>
                    <?php echo __( 'Opt-In Forms', 'am' );?>
                </a>
            </li>
            <?php //} ?>
            
            
            <li class="LoginDefaultDesign active">
                <a href="?page=am_tags" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"><i class="fa fa-tags" aria-hidden="true"></i></div>
                    <?php echo __( 'Tags', 'am' );?>
                </a>
            </li>
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_email_setting" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-cog" aria-hidden="true"></i></div>
                    <?php echo __( 'Settings', 'am' );?>
                </a>
            </li>
        </ul>
        <div class="container-fluid custom_wrap_table table-responsive">
            
            <div class="custom_email_series_wrap nw_cls_btn">
            <a href="?page=am_tags&action=add" type="button" class="custom_add_lesson_wrap">
			<?php echo __( 'Add New', 'am' );?></a>
            </div>
            
            <div class="row">
                <table class="table table-bordered custom_table_wrap_b" width="100%">
                    <thead>
                        <tr>
                            <th width="43">#</th>
                            <th width="577"><?php echo __( 'Name', 'am' );?></th>
                            <th width="428"><?php echo __( 'Tagged users', 'am' );?></th>
                            <th width="165"><?php echo __( 'Action', 'am' );?></th>
                        </tr>
                    </thead>
                    <tbody>
					<?php 	
                    global $wpdb;
                    /* Show many results per page? */
                    $sql    = "SELECT * FROM `".$wpdb->prefix."am_tags` ORDER BY id DESC";
                    $count  = $wpdb->get_results( $sql );
                    $items  = count($count); 
                    $limit  = 10; // If you want to exceed the limit No. 
                    if($items > 0) {
                            $p = new pagination;
                            $p->items($items);
                            $p->limit($limit); // Limit entries per page
                            $p->target("admin.php?page=am_tags"); 
                            $p->currentPage($_GET[$p->paging]); // Gets and validates the current page
                            $p->calculate(); // Calculates what to show
                            $p->parameterName('paging');
                            $p->adjacents(1); //No. of page away from the current page
                                     
                            if(!isset($_GET['paging'])) {
                                $p->page = 1;
                                $i = 0;
                            } else {
                                $p->page = $_GET['paging'];
                                $i = ($_GET['paging'] -1)* $limit;			
                            }
                            //Query for limit paging
                            $limit = "LIMIT " . ($p->page - 1) * $p->limit  . ", " . $p->limit;	
							
							$sql2 = "SELECT * FROM `".$wpdb->prefix."am_tags` ORDER BY id DESC $limit";
                    		$tags_arr = $wpdb->get_results( $sql2 ); 
                    } 
                    
					
					if( !empty($tags_arr) ) {
						
						foreach( $tags_arr as $tag) {
						$i++;	
						$count_tag_contacts = $this->count_tag_contacts($tag->id);	
						$active_count_tag_contacts = $this->count_tag_contacts($tag->id,"active");	
						?>
                        <tr>
                            <td><?php echo ($i); ?></td>
                            <td><?php echo $tag->tag_name; ?></td>
                            <td><?php echo $count_tag_contacts; ?> (<?php echo $active_count_tag_contacts." active";?>)</td>
                            <td>
                            <span class="cutom_delete custom_padding">
                            <a href="?page=am_tags&action=del&id=<?php echo $tag->id;?>" onClick="javascript: return confirm('<?php echo __( 'Are you sure you want to delete that item?');?>');"><i class="fa fa-trash-o" aria-hidden="true"></i></a>
                            </span> 
                            
                            <span class="cutom_edit custom_padding">
                            <a href="?page=am_tags&action=edit&id=<?php echo $tag->id;?>"><i class="fa fa-pencil" aria-hidden="true"></i></a>
                            </span> 
                            </td>
                        </tr>
                        <?php } ?>
						<?php }else{ ?>
                            <tr class="alternate">
                                <td colspan="4">
                                    <p>
                                        <?php echo __( 'There is no Category at the moment', 'am' );?>
                                    </p>
                                </td>
                            </tr>
                       <?php } ?>
                    </tbody>
                    <tfoot>
                        <tr>
                            <th width="43">#</th>
                            <th><?php echo __( 'Name', 'am' );?></th>
                            <th><?php echo __( 'Tagged users', 'am' );?></th>
                            <th><?php echo __( 'Action', 'am' );?></th>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
    <div class="custom_pagination_wrap">
        <ul class="pagination custom_pagination_ul">
        <?php
		 if(count($tags_arr)>0){
		 echo $p->show();  // Echo out the list of paging. 
		 }?>
    </ul>
</div>
</div>