<link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>/css/new_common.css?v-1.1">
<link rel="stylesheet" href="<?php echo AM_PLUGIN_URL;?>/css/bootstrap.min.css?v-1.1">

<?php if ( $message!="") : ?>
<div id="message" class="updated"><p><strong><?php echo __( $message, 'am' ); ?></strong></p></div>
<?php endif; ?>

<div class="main_wrap_am-email-series mail_serires_margin">
  	
    <div class="custom_email_series_wrap custom_newsletter_wrap_mar">
        <h4><?php echo __( 'E-Mail - Contacts - New', 'am' ); ?></h4> 
    </div> 
    
    <div class="setting-iner-header">
        <ul>
            <li class="DefaultDesign">
                <a href="?page=am_newsletter" class="am_active"> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope-o" aria-hidden="true"></i></div>
                    <?php echo __( 'Newsletter', 'am' );?>
                </a>
            </li>
            
            <li class="GeneralSettings ">
                <a href="?page=am_email_series" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-envelope" aria-hidden="true"></i> </div>
                    <?php echo __( 'E-mail Series', 'am' );?>
                </a>
            </li>
            
            <li class="LoginDefaultDesign active">
                <a href="?page=am_contacts" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-phone-square" aria-hidden="true"></i></div>
                    <?php echo __( 'Contacts', 'am' );?>
                </a>
            </li>
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_optin_frm" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-lock" aria-hidden="true"></i></div>
                    <?php echo __( 'Opt-In Forms', 'am' );?>
                </a>
            </li>
           
            <li class="LoginDefaultDesign">
                <a href="?page=am_tags" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"><i class="fa fa-tags" aria-hidden="true"></i></div>
                    <?php echo __( 'Tags', 'am' );?>
                </a>
            </li>
            
            <li class="LoginDefaultDesign">
                <a href="?page=am_email_setting" class=""> <span class="icon-set"></span>
                    <div class="custom_setting_fa_icons_b"> <i class="fa fa-cog" aria-hidden="true"></i></div>
                    <?php echo __( 'Settings', 'am' );?>
                </a>
            </li>
        </ul>
    </div>
   
    <div class="container-fluid">
        <form method="post" action="?page=am_contacts&action=csv_mapped">
        <div class="row">
            
            <div class="col-lg-6 col-md-6 col-sm-6 sender-col">
                <div class="main_frm_content">
                    
                    <h4><?php echo __( 'CSV Fields Mapping', 'am' );?></h4>
                    <div class="form-group">
                        <label><?php echo __( 'Name', 'am' );?></label>
                        <select name="name_map_field" class="form-control element-form" style="width: 50%;">
						<?php 
                        if(count($csv_fields)>0){
                        	  for($c=0; $c<count($csv_fields); $c++){ ?>
                        	  <option value="<?php echo $c;?>"><?php echo $csv_fields[$c];?></option>
                        <?php }
                         } 
                        ?>
                        </select>
                    </div>
                    <div class="form-group">  
                       <label><?php echo __( 'E-Mail', 'am' );?></label>
                    	<select name="email_map_field" class="form-control element-form" style="width: 50%;">
						<?php 
                        if(count($csv_fields)>0){
                        	  for($c=0; $c<count($csv_fields); $c++){ ?>
                        	  <option value="<?php echo $c;?>"><?php echo $csv_fields[$c];?></option>
                        <?php }
                         } 
                        ?>
                        </select>
                    </div> 
					
					<?php
					$tsql="select * from `".$wpdb->prefix."am_tags`";
					$tagsData=$wpdb->get_results( $tsql );
						for($i=0;$i<$tagsCount;$i++)
						{
							?>
							
							<div class="form-group">  
                       <label><?php echo __( $csv_fields[$i+2], 'am' );?></label>
                    	<select name="tag_map_field[]" class="form-control element-form" style="width: 50%;">
						<?php
							foreach($tagsData as $tData)
							{
								
								echo '<option value="'.$tData->id.'">'.$tData->tag_name.'</option>';
							}
							
                        
                        ?>
                        </select>
                    </div> 
					
					<?php
							
						}
					
					
					?>
					
                    
                </div>
                <input type="hidden" name="tags_indexes" value="<?php echo implode(",",$tagsIndexes);?>"/>
                <div class="second_lbldiv"> 
                   <input type="hidden" name="filename" value="<?php echo $filename;?>" />
                   <input type="hidden" name="contact_tags" value="<?php echo $contact_tags;?>" />
                   <input type="hidden" name="tag_id" value="<?php echo  $_POST['tag_id'];?>" />
                   
                   <button type="submit" name="btnsave_contacts" class="btn btn-success btn-save  custom_add_lesson_wrap custom_add_lesson_wrap_green_save" value="<?php echo __( 'Save', 'am' ); ?>"><?php echo __( 'SAVE', 'am' );?></button>
                </div>
            </div>
   		 </div>
        </form>
	</div>

</div>

<script>
$('label').click(function(e) {
		e.preventDefault();
       labelID = $(this).attr('for');
       $('#'+labelID).trigger('click');
});
</script>

